(function(window,document){
	if(window._introJsLoaded){
		return;
	}else{
		window._introJsLoaded = true;
	}
    function createIntroElement(){
        var introPageEle = document.createElement("div");
        introPageEle.id = "introPage";
        introPageEle.setAttribute('style','z-index:99999;position:absolute !important;top:0;bottom:0;width:100%;border:0;height:100%;height:100%;font-size:0;');
        var iframePageEle = document.createElement("iframe");
       
        
        iframePageEle.src= "./intro.html";
        iframePageEle.setAttribute("scrolling","no");
        iframePageEle.setAttribute('style','border:0;height:100%;width:1px;min-width:100%;*width:100%;');
        introPageEle.appendChild(iframePageEle);
        document.body.appendChild(introPageEle);
    }
    try {
    	
    	var x5AppAgents = /x5app\/([0-9.]*)/.exec(navigator.userAgent);
		var x5Version = "notInApp";
		if(x5AppAgents && x5AppAgents.length > 1){
			x5Version = x5AppAgents[1];
		}
    	//欢迎页更新时间，定值获取方法 new Date().getTime();
		var updateTime = 1471673495977;
		//alert(localStorage.firstIntoTime);
		//alert(navigator.userAgent);
        if (localStorage) {
        	if(localStorage.firstIntoTime){
        		if(localStorage.firstIntoTime>=updateTime){
        			localStorage.setItem(x5Version + 'introPage',false);
        		} else{
        			localStorage.firstIntoTime = new Date().getTime();
        			localStorage.setItem(x5Version + 'introPage',true);
        		}
        	} else{
        		localStorage.firstIntoTime = updateTime;
        		localStorage.setItem(x5Version + 'introPage',true);
        	}
        	
        	if(localStorage.getItem(x5Version + 'introPage') === true || 
        			localStorage.getItem(x5Version + 'introPage') === "true"){
        		
        		var u = navigator.userAgent;
        		var isAndroid = (u.indexOf('Android') > -1 || u.indexOf('Adr') > -1) && u.indexOf('x5app') > -1; // android终端app
        		var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/) && u.indexOf('x5app') > -1; // ios终端
        		//如果来自app访问就不展示闪屏
        		if (isAndroid||isiOS) {
        			 createIntroElement();
        	     }
        		
                var introPageElement = document.getElementById('introPage');
                if (window.addEventListener) {
                    window.addEventListener('message', function(event) {
                        if (event.data === "introPageClose") {
                            if(introPageElement && introPageElement.parentNode != null){
                                introPageElement.parentNode.removeChild(introPageElement);
                            }
                        }
                    });
                }
        	}
        }
    } catch (e) {
    };
})(window,document);
