define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	var Model = function(){
		this.callParent();
	};
	
	Model.prototype.backBtnClick = function(event)
	{
		this.close();
	};
	
	Model.prototype.exchangeClick = function(event)
	{
		var me = this;
		var couponcode = $(me.getElementByXid("code")).val().trim();
		if (couponcode == '') {
			Alert("请输入优惠券兑换码");
			return;
		}
		dlm.sendRequest({
			"action" : "/coupon/receiveCoupon.action",
			"params" : {"couponcode": couponcode, receivetype:"4"},
			"success" : function(json) {
				if (json.result == 1) {
					Alert("领取优惠券成功");
					var params = me.params;
					if ("refresh" in params) {
						params.refresh();
					}
					setTimeout(function(){
						me.close();
					}, 1000);
				}
				else {
					Alert(json.data);
				}
			}
		});
	};

	return Model;
});