define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	var Model = function(){
		this.callParent();
	};

	Model.prototype.onloadModel = function(event){
		var me = this;
		dlm.sendRequest({
			"action" : "/getApproveInfo.action",
			"params" : {
				
			},
			"success" : function(json) {
				var result = json.result;
				if(result=="1"){
					var personalname = json.data.personalname;
					var personalid = json.data.personalid;
					/*if(personalname.length==2){
						personalname = personalname.substring(0,1) + "*";
					} else if(personalname.length>2){
						personalname = personalname.substring(0,1) + "**";
					}*/
					if(personalid.length>0){
						personalid = personalid.substring(0,3) + " *********** " + personalid.substring(personalid.length-4);
					}
					$("#personalname").html(personalname);
					$("#personalid").html(personalid);
				} else if(result=="2"){
					Alert(json.data.message);
					me.close();
				}
			}
		});
	};

	Model.prototype.back=function(event){
		this.close();
	};
	
	Model.prototype.selectBank=function(event){
		var url = '$UI/dlapp/page/finance/selectBank.w';
		justep.Shell.showPage(url);
	};
	
	Model.prototype.selectProvince = function(event){
		var url = '$UI/dlapp/page/finance/selectProvince.w';
		justep.Shell.showPage(url);
	};
	
	Model.prototype.selectOrganize = function(event){
		if($("#bank").html()!=="" && $("#province").html()!=="" &&
			$("#city").html()!==""){
			var url = '$UI/dlapp/page/finance/selectOrganize.w';
			var params = {
				bank:$("#bank").html(),
				province:$("#province").html(),
				city:$("#city").html()
			};
			justep.Shell.showPage(url,params);
		} else{
			Alert("请选择开户行和开户地");
		}
		
	};
	
	Model.prototype.submit = function(event){
		var me = this;
		var bankname = $("#bank").html().trim();
		var accountnum = $("#accountnum").val().trim();
		var province = $("#province").html().trim();
		var city = $("#city").html().trim();
		var orgcode = $("#orgcode").html().trim();
		if(bankname===""){
			Alert("请选择开户行");
			return false;
		}
		if(accountnum===""){
			Alert("请填写卡号");
			return false;
		}
		if(bankname!="中国银行"){
			if(province===""){
				Alert("请选择开户地");
				return false;
			}
			if(orgcode===""){
				Alert("请选择支行");
				return false;
			}
		}
		dlm.sendRequest({
			"action" : "/finance/addExtractBankAccount.action",
			"params" : {
				"isdefault":"1",
				"bankname":bankname,
				"accountnum":accountnum,
				"province":province,
				"city":city,
				"orgcode":orgcode
			},
			"success" : function(json) {
				var result = json.result;
				if(result=="1"){
					me.params.reloadParent();
					me.close();
				} else if(result=="2"){
					Alert(json.data.message);
				}
			}
		});
		
		
	};
	
	return Model;
});