define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	require("$UI/system/lib/cordova/cordova");
	require("cordova!cordova-plugin-device");
	var Model = function() {
		this.callParent();
	};

	Model.prototype.modelLoad = function(event) {

		var me = this;
		var phone = me.params.phone;
		if (phone) {
			$("#phone_input").val(phone);
		}

		// 循环验证非空 并且点亮登录按钮
		var must_num = $(".must-input").length;
		$(".must-input").on('input', function() {
			$(".must-input").each(function(index) {
				var _len = $(this).val().length;
				if ($(this).hasClass("phone-input")) {
					if (checkphone(".phone-input") == true) {
						$(".reg-btn").find("a").removeClass("on").addClass("off");
						return false;
					}
				} else if ($(this).parent("li").hasClass("yzm")) {
					if (_len < 4) {
						$(".reg-btn").find("a").removeClass("on").addClass("off");
						return false;
					}
				}
				;
				if (index == must_num - 1) {
					$(".reg-btn").find("a").removeClass("off").addClass("on");
				}
			});

		});
		Zepto(".empty").tap(function() {
			$(".reg-btn").find("a").removeClass("on").addClass("off");
		});
	};
	/**
	 * 
	 */

	Model.prototype.getCodeClick = function(event) {
		// 先检验手机号是否注册，如果注册了就不发送验证码并且不倒计时，如果没有注册那么发送验证码并且倒计时
		var me = this;
		var userid = me.params.userid;
		var phone = me.params.phone;
		if (!(/^1[3|4|5|7|8]\d{9}$/.test(phone))) {
			Alert("请输入正确的手机号");
			return false;
		}
		dlm.sendRequest({
			"action" : "/register/checkPhone.action",
			"params" : {
				"phone" : phone
			},
			"success" : function(json) {
				// 未注册
				if (json.result == 1) {
					Alert("用户不存在!");
					return false;
				} else {

					// 发送验证码
					dlm.sendRequest({
						"action" : "/sendVerificationCode.action",
						"params" : {
							"phone" : phone,
							"userid" : userid
						},
						"success" : function(json) {
							$(".yzm-click").hide();
							$(".djs").show();
							djs();

						}
					});
				}

			}
		});

	};

	Model.prototype.validate_loginClick = function(event) {
		/**
		 * 验证码校验
		 */
		var me = this;
		var phone = me.params.phone;
		var checkvalue = me.getElementByXid("code").value;
		/*
		 * dlm.sendRequest({ "action" : "/checkVerifyCode.action", "params" : {
		 * "phonenumber" : phone, "verifycode" : code }, "success" :
		 * function(json) { // 验证码正确的话将参数代入下一个页面 if (json.result == 8) {
		 * 
		 * var url = '$UI/dlapp/page/register/register_second.w?';
		 * justep.Shell.showPage(url); } if (json.result == 9) {
		 * Alert(json.data); return false; } if (json.result == 10) {
		 * Alert(json.data); return false; } if (json.result == 11) {
		 * Alert(json.data); return false; } }
		 * 
		 * });
		 */

		var username = me.params.username;
		var password = me.params.password;
		if (username && password) {
			// 登录用户名密码校验

			/*
			 * dlm.sendRequest({ "action" : "/loginCheck.action", "params" : {
			 * "username" : username, "password" : password, // "status" : "md5"
			 * "pcname" : device.model, "macaddress" : device.uuid }, "success" :
			 * function(json) { alert(JSON.stringify(json.data)); //
			 * localStorage.userinfo = JSON.stringify(json.data); if
			 * (json.result == 1) { } me.getParent().loginSuccess(); me.close(); }
			 * });
			 */
			//if ($(event.delegateTarget).html() == "验证并登录") {
				//$(event.delegateTarget).html("登录中...");
				dlm.sendRequest({

					"action" : "/login.action",
					"params" : {
						"username" : username,
						"password" : password,
						"status" : "md5",
						"checkvalue" : checkvalue,
						"logintype" : "5",
						"pcname" : justep.Browser.isX5App ? device.model : null,
						"macaddress" : justep.Browser.isX5App ? device.uuid : null
					},
					"success" : function(json) {
						if (json.result == 1) {
							localStorage.userinfo = JSON.stringify(json.data);
							me.params.refreshMain();
						} else {
							Alert(json.data);

						}
					}
				});
			//}
		} else if (!username) {
			Alert("请填写用户名");
		} else if (!password) {
			Alert("请填写密码");
		} else {
			Alert("用户名或者密码错误");

		}
	};

	Model.prototype.a1Click = function(event) {
		this.close();
	};

	return Model;
});