define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlm/js/dlm");
	
	var Model = function(){
		this.callParent();
	};

	Model.prototype.a1Click = function(event){
		this.close();
	};
	
	Model.prototype.modelLoad = function(event){
		
	};
	
	Model.prototype.data1CustomRefresh = function(event){
		var me = this;
		dlm.sendRequest({
			"action":"/getUserMessageList.action",
			"params":{
			},
			"success":function(json){
				if(json && json.data && json.data.length > 0){
					me.comp("data1").loadData(json.data);
				}
			}
		});
	};
	
	Model.prototype.messageClick = function(event){
		var row = event.bindingContext.$object;
		var dom = event.delegateTarget;
		var messageid = row.val("messageid");
		var page = row.val("page");
		var params = row.val("params");
		if(page){
			dlm.goPage(page,JSON.parse(params));
		}else{
			dlm.goPage("messageInfo",{"messageid":messageid});
		}
		$(dom).find("dd>h2>span").hide();
	};
	
	return Model;
});