define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var browser = require("$UI/system/lib/base/browser");
	
	var Model = function()
	{
		this.callParent();
	};
	
	Model.prototype.a1Click = function(event)
	{
		this.close();
	};
	
	Model.prototype.modelLoad = function(event)
	{
		var me = this;        
		if (browser.isX5App) {
			if (browser.isIOS) {
	        	me.comp("panel1").setHeight("top", 63);
	        } 
		}
        
        var data = me.params.data; 
		if (data.query) {
        	dlm.sendRequest({
				"action":"/appNoticeInfo.action",
				"params":{
					"noticeid":data.id,
				},
				"success":function(json){
					if (json && json.data) {
						me.initialize(json.data);
					}
				}
        	});
        }
        else {
        	me.initialize(data);
        }
	};
	
	Model.prototype.initialize = function(data)
	{
		var me = this;
		me.data = data;
		$(me.getElementByXid("iframe1")).attr("src", data.linkurl);
	};
	
	Model.prototype.shareNotice = function(event)
	{
		var me = this;
		this.getParent().noticeInfoShare({id: me.params.data.id, title: me.params.data.title, query: true, summary:me.data.summary});
	};
	
	return Model;
});