define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	var browser = require("$UI/system/lib/base/browser");
	
	var Model = function(){
		this.callParent();
	};
	
	var iscrollObj;//列表拖动对象
	var totalPage = 0;//总页数
	var totalCount = 0;//总条数
	var currentNo = 0;
	
	// 页面加载
	Model.prototype.modelLoad = function(event){
		var me = this;        
		if (browser.isX5App) {
			if (browser.isIOS) {
	        	me.comp("panel2").setHeight("top", 63);
	        } 
		}
		var pulldownAction = function(){
		// 刷新数据
			me.comp("data1").refreshData({"confirm":false});
		};
		var pullupAction = function(){
	        currentNo += 1;	        
	        if(currentNo > totalPage){
	        	$(me.getElementByXid("pullup")).hide();	        	
	        	if(me.comp("data1").count() == 0){
//					$(me.getElementByXid("no-contxt")).show();
				}
				else {
					$(me.getElementByXid("listEnd")).html("没有更多数据了");
		            $(me.getElementByXid("listEnd")).show();
				}
	            iscrollObj.refresh();
	        }else{
				//下一页数据加载，显示加载中效果
				$(me.getElementByXid("pullup")).show();
	            me.getList();
	        }
	    };
		iscrollObj = iscrollAssist.newVerScrollForPull($(me.getElementByXid("wrapper")),pulldownAction,pullupAction);
		//推送订单
		clearInterval(window.pushOrderIntervalId);
		window.pushOrderIntervalId = setInterval(function(){me.pushOrders();}, 60000);
		me.pushOrders();
	};
	
	var userinfo = localStorage.userinfo ? JSON.parse(localStorage.userinfo) : null;
	
	Model.prototype.pushOrders = function(refresh)
	{
		var me = this;
		var isQualityBuyer = localStorage.isQualityBuyer;
		refresh = refresh || false;
		if (isQualityBuyer == 'true'){
			//是否立即刷新，若立即刷新则不进行下面的判断
			if (!refresh) {
				if (localStorage.getItem("pushOrdersRead") == 'false') {
					var orders = JSON.parse(localStorage.getItem("pushOrders")) || [];
					var orderTitle = orders.length > 0 ? orders[0].ordertitle : "";
					$(me.getElementByXid("pushOrder")).find(".message-info").html(orderTitle);
					$(me.getElementByXid("pushOrder")).find("dd > h2 > em").remove();
					$(me.getElementByXid("pushOrder")).find("dd > h2").append("<em>&#xe649;</em>");
					return;
				}
			}
			var ignoreOrders = localStorage.getItem("ignoreOrders");
			dlm.sendRequest({
				"action":"/order/getPushData.action",
				"params":{
					ignoreOrders: ignoreOrders
				},
				"async":true,
				"success":function(json){
					if (json.data && ("ignoreOrders" in json.data)) {
						localStorage.setItem("ignoreOrders", json.data.ignoreOrders.join(","));
					}
					if(json && json.result == "1" && json.data && json.data.data){
						var data = json.data.data || [];
						var orderTitle = data.length > 0 ? data[0].ordertitle : "";
						$(me.getElementByXid("pushOrder")).find(".message-info").html(orderTitle);
						var orders = JSON.stringify(data);
						var cacheOrders = localStorage.getItem("pushOrders");
						if (cacheOrders != orders) {
							localStorage.setItem("pushOrders", orders);
							localStorage.setItem("pushOrdersRead", false);
							if (data.length > 0) {
								var orderTitle = data[0].ordertitle;
								$(me.getElementByXid("pushOrder")).find(".message-info").html(orderTitle);
								$(me.getElementByXid("pushOrder")).find("dd > h2 > em").remove();
								$(me.getElementByXid("pushOrder")).find("dd > h2").append("<em>&#xe649;</em>");
								$(".msgtip").show();
							}
						}
						else {
							if (localStorage.getItem("pushOrdersRead") == 'true') {
								$(me.getElementByXid("pushOrder")).find("dd > h2 > em").remove();
							}
							else {
								$(me.getElementByXid("pushOrder")).find("dd > h2 > em").remove();
								$(me.getElementByXid("pushOrder")).find("dd > h2").append("<em>&#xe649;</em>");
								$(".msgtip").show();
							}
						}
					}
				}
			});
		}
		else {
			//去掉信息
			localStorage.removeItem("pushOrders");
			localStorage.removeItem("pushOrdersRead");
			$(me.getElementByXid("pushOrder")).find("dd > h2 > em").remove();
			$(me.getElementByXid("pushOrder")).find(".message-info").html("");
		}
	};
	
	//加载列表
	Model.prototype.getList = function(){
		var me = this;
		//隐藏已无更多
		$(me.getElementByXid("listEnd")).hide();
		
		//显示加载中
		if(me.comp("data1").count() == 0){
			$(me.getElementByXid("pullup")).show();
			$(me.getElementByXid("pulldown")).hide();
		}
		dlm.sendRequest({
			"action":"/getNotreadChatListNew.action",
			"params":{
				"pageSize":dlm.pageSize,
				"currentNo":currentNo
			},
			"success":function(json){
				if(currentNo == 0){
					me.comp("data1").clear();
				}
				if(json && json.result == "1" && json.data){
					totalCount = json.count;
					totalPage = parseInt(totalCount / dlm.pageSize);
					if(json.data.length > 0){
						for(var i = 0;i<json.data.length;i++){
							json.data[i].ordertitle = json.data[i].lastChat.ordertitle;
							json.data[i].touaddr = json.data[i].lastChat.touaddr;
							json.data[i].content = json.data[i].lastChat.nickname + ":" + json.data[i].lastChat.content;
						}
						me.comp("data1").loadData(json.data, currentNo != 0);
					}
				}
				//如果列表没有数据，隐藏下拉刷新，显示无更多数据
				if(me.comp("data1").count() == 0){
					$(me.getElementByXid("pulldown")).hide();
//					$(me.getElementByXid("listEnd")).html("暂无记录");
//					$(me.getElementByXid("listEnd")).show();
//					$(me.getElementByXid("no-contxt")).show();
				}else{
					$(me.getElementByXid("pulldown")).show();
				}
				//隐藏加载中效果
				$(me.getElementByXid("pullup")).hide();
				 
				//延迟刷新
				setTimeout(function(){
					$(me.getElementByXid("wrapper")).hide();
					if(currentNo == 0){
						if(iscrollObj){
							iscrollObj.scrollTo(0, 0);
						}
					}
					iscrollObj.refresh();
					$(me.getElementByXid("wrapper")).show();
				},300);
				
			}
		});
	};

	//列表数据刷新
	Model.prototype.data1CustomRefresh = function(event){
		//刷新
		currentNo = 0;
		this.getList();
	};
	
	Model.prototype.data1Create = function(event){
		event.source.limit = 2;
	};
	
	//返回
	Model.prototype.back=function(event){
		totalPage = 0;//总页数
		totalCount = 0;//总条数
		currentNo = 0;
		this.params.reloadParent();
		this.close();
	};
	
	Model.prototype.orderChat=function(event){
		$(event.delegateTarget).hide();
		var row = event.bindingContext.$object;
		var orderid = row.val("orderid");
		justep.Shell.showPage("$UI/dlapp/page/orderManage/orderChat.w",{"orderid":orderid});
	};
	
	Model.prototype.noticeClick = function(event)
	{
		$("#msgtip").hide();
		$(this.getElementByXid("notice")).find("dd > h2 > em").remove();
		dlm.goPage("noticeList");
	};
	
	Model.prototype.activityClick = function(event)
	{
		$("#msgtip").hide();
		$(this.getElementByXid("activity")).find("dd > h2 > em").remove();
		dlm.goPage("noticeactivityList");
	};
	
	Model.prototype.messageClick = function(event)
	{
		$("#msgtip").hide();
		$(this.getElementByXid("message")).find("dd > h2 > em").remove();
		dlm.goPage("messageList");
	};
	
	Model.prototype.couponClick = function(event)
	{
		$("#msgtip").hide();
		$(this.getElementByXid("message")).find("dd > h2 > em").remove();
		dlm.goPage("remindCoupon");
	};
	
	Model.prototype.pushOrderClick = function(event)
	{
		var me = this;
		//请求优质打手信息
		var isQualityBuyer = localStorage.isQualityBuyer;
		if (isQualityBuyer == 'true'){
			//已读推荐
			localStorage.setItem("pushOrdersRead", true);
			$(me.getElementByXid("pushOrder")).find("dd > h2 > em").remove();
			dlm.goPage("pushOrderList");
		}
		else{
			var hasDone = false;
			layer.open({
			    content: "王者荣耀打手认证通过后可享受订单推荐哦，<br/>是否现在去认证？",
			    btn: ["确定", "我再看看"],
			    yes: function(index){
			    	if (hasDone) {
			    		return;
			    	}
			    	hasDone = true;
			    	dlm.sendRequest({
						"action" : "/beater/getBeaterUserInfo.action",
						"params" : {},
						"success" : function(json) {
							dlm.goPage("addQualityBuyerStep1", json.data);
						}
			    	});	
			    	
			      	layer.close(index);
			    }
			});
		}
			
	};
	
	return Model;
});