define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	var browser = require("$UI/system/lib/base/browser");
	
	var Model = function(){
		this.callParent();
	};
	
	Model.prototype.back = function(event){
		this.close();
	};
	
	Model.prototype.modelLoad = function(event)
	{
		var me = this;        
		if (browser.isX5App) {
			if (browser.isIOS) {
	        	me.comp("panel1").setHeight("top", 63);
	        } 
		}
	};
	
	
	Model.prototype.doApprove = function(event){
		var personname = $("#personname").val();
		var personid = $("#personid").val();
		if(personname===""){
			Alert("请填写姓名");
			return;
		}
		if(personid===""){
			Alert("请填写身份证号");
			return;
		}
		var me = this;
		dlm.sendRequest({
			"action" : "/doApprove.action",
			"params" : {
				"personname":personname,
				"personid":personid
			},
			"success" : function(json) {
				var result = json.result;
				if(result=="1"){
					Alert("认证成功");
					me.params.reloadParent();
					me.close();
				} else{
					Alertt(json.data.message);
				}
			}
		});
	};
	
	
	
	return Model;
});