define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	var Model = function() {
		this.callParent();
	};

	Model.prototype.feedback_confirmClick = function(event) {
		var me = this;
		var title = $("#title").val();
		var content = $("#content").val();
		var userid = localStorage.userinfo.userid;
		if (title == "") {
			Alert("请填写标题");
			return false;
		}
		if (content == "") {
			Alert("请填写内容");
			return false;
		}
		if (content.length > 200) {
			Alert("请填写200字以内");
			return false;
		}
		if (content && title ) {
			dlm.sendRequest({
				"action" : "/feedback.action",
				"params" : {
					userid : userid,
					title : title,
					content : content
				},
				"success" : function(json) {
					if (json.result == 1) {
						Alert("提交成功");
					}
					me.close();
				}
			});

		}

	};

	Model.prototype.a1Click = function(event) {
		this.close();
	};

	return Model;
});