define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");

	var Model = function() {
		this.callParent();
	};

	Model.prototype.back = function(event) {
		this.close();
	};

	Model.prototype.onloadModel = function(event) {
		var me = this;
		dlm.sendRequest({
			"action" : "/getLoginUserInfo.action",
			"params" : {},
			"success" : function(json) {
				var user = json.data;
				if (user && user.logincheck) {
					$('input[name="logincheck"]').each(function() {
						if (user.logincheck == $(this).val()) {
							$(this).attr("checked", true);

						} else {
							$(this).attr("checked", false);

						}
					});
				}
			}
		});
	};

	Model.prototype.updateLoginCheck = function(event) {
		var me = this;
		var logincheck = $("input[name='logincheck']:checked").val();
		var checkvalue = $(this.getElementByXid("checkvalue")).val();
		if (logincheck == "2" && checkvalue.trim() === "") {
			Alert("请填写问题内容");
			return;
		}

		dlm.sendRequest({
			"action" : "/updateLoginCheck.action",
			"params" : {
				"logincheck" : logincheck,
				"checkvalue" : checkvalue
			},
			"success" : function(json) {
				if (json.result == "1") {
					Alert("修改成功");
					me.close();
				} else {
					Alert(json.data);
				}
			}
		});

	};
/*	// 不验证
	Model.prototype.li2Click = function(event) {
		$(this.getElementByXid("checkvalue")).css({"disabled":'true'});
	};
	// 手机验证
	Model.prototype.li1Click = function(event) {
		alert($(this.getElementByXid("checkvalue")).val());
		$(this.getElementByXid("checkvalue")).css({"disabled":'true'});

	};
	//密保问题验证
	Model.prototype.li3Click = function(event) {
		alert($(this.getElementByXid("checkvalue")).val());
		$(this.getElementByXid("checkvalue")).css({"disabled":'false'});
		alert(111111111111);
	};*/

	return Model;
});