define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	var Model = function() {
		this.callParent();
	};

	/*
	 * Model.prototype.modelLoad = function(event) { var me = this; var nickname =
	 * me.params.nickname; console.log(params);
	 * this.comp("nickname_update").val(nickname); };
	 */

	Model.prototype.nickname_confirmClick = function(event) {
		var me = this;
		var nickname = $("#nickname_update").val();
//		if(!/([a-zA-Z0-9]|[._]){6,20}$/.test(nickname)){
//			Alert("参数不合法");
//			return false;
//		}
		
		if(nickname.length<3){
			Alert("昵称长度必须大于3!");
			return false;
		}
		if(nickname.length>10){
			Alert("昵称长度必须小于10!");
			return false;
		}
		dlm.sendRequest({
			"action" : "/setUserInfo.action",
			"params" : {
				nickname : nickname
			},
			"success" : function(json) {
				if (json.result == 1) {
					console.log(json);
					me.params.reloadParent();
					// me.params.hideIcon();
					me.close();

				} else {
					Alert(json.data);
				}

			}
		});
	};

	Model.prototype.a1Click = function(event) {
		this.close();
	};

	Model.prototype.modelLoad = function(event) {
		var nickname = this.params.nickname;

		if ("未设置" == nickname) {
			$("#nickname_update").val("")
		} else {
			$("#nickname_update").val(nickname)
		}

	};

	return Model;
});