define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
    require("cordova!cordova-plugin-inappbrowser");
	require("cordova!cordova-plugin-OpenApp");

	var Model = function() {
		this.callParent();
	};
	Model.prototype.personalContentLoad = function(event){
	
	    var myScroll;
	    var def = function(e){e.preventDefault();}
	    function loaded () {
			myScroll = new IScroll('#kf_wrapper',{
				bounce:false,
				momentum:false,
				scrollY:false
			});
			document.addEventListener('touchmove',def,false);
		};
		
		  //联系客服
		
		$("#lxkf").click(function(event){
		
				$(".x-panel-content").height("100%");
		        //debugger
	            event.stopPropagation(); //阻止事件冒泡
				loaded(); // 创建活动菜单
				var mmenuhei = $("#kf_choose_aut_").outerHeight(true);
				DownSlide(mmenuhei);
				
			    $("#personal_qq").on('tap',function(event){
					//UpSlide(def, myScroll);
					window.open('mqq://im/chat?chat_type=wpa&uin=800191771&version=1&src_type=web','_system');
					UpSlide(def, myScroll);
				});
				$("#personal_tel").on('tap',function(event){
					UpSlide(def, myScroll);
				});
				$("#personal_mail").on('tap',function(event){
					UpSlide(def, myScroll);
				});
				$("#kf_cancel_choose").on('tap', function(event){
					UpSlide(def, myScroll); //关闭上滑菜单
				});
				$(document).click(function(){
					UpSlide(def, myScroll); //关闭上滑菜单
				});
				$("#kf_offer_float").click(function(event){
					event.stopPropagation();
				});
		});


	};

	Model.prototype.loadPersonalInfo = function(event) {

		var me = this;
		dlm.sendRequest({
			"action" : "/getLoginUserInfo.action",
			"params" : {},
			"success" : function(json) {
				var user = json.data;
				if (user) {
					if (user.nickname) {
						$("#per_nickname").html(user.nickname);
					}

					if (user.userid) {
						$("#per_signature").html("ID:"+user.userid);
					}
					/*if (user.signature) {
						var signature = user.signature;
						if (signature.length > 12) {
							signature = signature.substring(0, 12) + "......"
						}
						$("#per_signature").html("个性签名：" + signature);
					}*/
					if (user.touaddr) {
						$("#per_touaddr").attr("src", user.touaddr);
						console.log(user.touaddr);
					}
				}
			}
		});

		dlm.sendRequest({
			"action" : "/finance/getAccountInfo.action",
			"params" : {

			},
			"success" : function(json) {
				$("#per_amount").html(json.data.A);
				$("#per_freeze").html(json.data.B);
			}
		});
	};

	Model.prototype.financeManager = function(event) {
		var me = this;
		var url = '$UI/dlapp/page/finance/financeManager.w';
		var params = {
			reloadParent : function() {
				me.loadPersonalInfo();
			}
		};
		justep.Shell.showPage(url, params);
	};
	/**
	 * 点击资料跳转到个人详情页
	 */
	Model.prototype.userinfoClick = function(event) {
		var me = this;
		var url = '$UI/dlapp/page/personal/personalinfo.w';
		var params = {
			reloadParent : function() {
				me.loadPersonalInfo();
			}

		}
		justep.Shell.showPage(url, params);

	};
	Model.prototype.closelogin = function(event) {
		var me = this;
		justep.Shell.closeAll();
		justep.Shell.showPage("main");
		me.getParent().loginSuccess();
	};
	/**
	 * 点击设置进入到设置界面
	 */
	Model.prototype.setClick = function(event) {
		var me = this;
		var params = {
			reloadParent : function() {
				me.closelogin();
			}
		}
		// var url = '$UI/dlapp/page/personal/setting.w';
		var url = '$UI/dlapp/page/personal/safety.w';
		justep.Shell.showPage(url, params);
	};

	Model.prototype.helpClick = function(event) {
		var url = '$UI/dlapp/page/personal/help.w';
		justep.Shell.showPage(url);
	};

	Model.prototype.aboutClick = function(event) {
		var url = '$UI/dlapp/page/personal/about.w';
		justep.Shell.showPage(url);
	};

	return Model;
});