define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var browser = require("$UI/system/lib/base/browser");
	var dlm = require("$UI/dlapp/js/dlm");
    require("cordova!cordova-plugin-inappbrowser");
	require("cordova!cordova-plugin-OpenApp");

	var Model = function(){
		this.callParent();
	};
	
	Model.prototype.setCouponNumber = function(number)
	{
		var me = this;
		$(me.getElementByXid("couponNumber")).html(number);
	};
	
	Model.prototype.downloadAppClick = function(event)
	{
		var me = this;
		if (me.isMobile()) {
			//window.location.href= "http://cloundss.dailianmao.com/tool/dlm_v1.1.9.apk";
			var ua = navigator.userAgent.toLowerCase();//获取判断用的对象
			if (ua.match(/MicroMessenger/i) == "micromessenger" || ua.match(/WeiBo/i) == "weibo" || ua.match(/QQ/i) == "qq") {
			    //在微信中打开、在新浪微博客户端打开、在QQ空间打开
				var _html = $(me.getElementByXid("downloadTips")).html();
				layer.open({
			    	className:"wstore-share-tip",
					content: _html,
					shadeClose:false,
					success: function(elem){
					    $(".wstore-share").click(function(){
					    	layer.closeAll();
					    });
					    $(".layermchild").css("background-color","transparent");
					    $(".laymshade").css("background","rgba(0,0,0,.9);");
					    $(".section").css("display","block");
					}     
				});
			}
		}
	};
	
	Model.prototype.isMobile = function()
	{
		var u = navigator.userAgent;
		return !!u.match(/AppleWebKit.*Mobile.*/);
	};
	
	Model.prototype.personalContentLoad = function(event)
	{
		var me = this;
		if(!browser.isX5App){
			if(!browser.isIOS){
				var lb_outerlink = localStorage.getItem("lb_outerlink");
				var userinfo = localStorage.getItem("userinfo");
				if (lb_outerlink) {
					if (userinfo && userinfo != "null") {
						$(me.getElementByXid("downloadZone")).show();
					}
				}
				else {
					$(me.getElementByXid("downloadZone")).show();
				}
			}	
		}
		
		dlm.sendRequest({
			"action" : "/coupon/getNotFinishCouponCount.action",
			"params" : {},
			"success" : function(json) {
				me.setCouponNumber(json.count);
			}
		});
		
	    var myScroll;
	    var def = function(e){e.preventDefault();}
	    function loaded () {
			myScroll = new IScroll('#kf_wrapper',{
				bounce:false,
				momentum:false,
				scrollY:false
			});
			document.addEventListener('touchmove',def,false);
		};
		
		  //联系客服
		
		$("#lxkf").click(function(event){
		
				$(".x-panel-content").height("100%");
		        //debugger
	            event.stopPropagation(); //阻止事件冒泡
				loaded(); // 创建活动菜单
				var mmenuhei = $("#kf_choose_aut_").outerHeight(true);
				DownSlide(mmenuhei);
				
			    $("#personal_qq").on('tap',function(event){
					//UpSlide(def, myScroll);
					window.open('mqq://im/chat?chat_type=wpa&uin=800191771&version=1&src_type=web','_system');
					UpSlide(def, myScroll);
				});
				$("#personal_tel").on('tap',function(event){
					UpSlide(def, myScroll);
				});
				$("#personal_mail").on('tap',function(event){
					UpSlide(def, myScroll);
				});
				$("#kf_cancel_choose").on('tap', function(event){
					UpSlide(def, myScroll); //关闭上滑菜单
				});
				$(document).click(function(){
					UpSlide(def, myScroll); //关闭上滑菜单
				});
				$("#kf_offer_float").click(function(event){
					event.stopPropagation();
				});
		});

		//获取打手信息
		me.getBeaterInfo({"loadnew":false});
		
	};

	Model.prototype.loadPersonalInfo = function(event) {
		
		var me = this;
		dlm.sendRequest({
			"action" : "/getLoginUserInfo.action",
			"params" : {},
			"success" : function(json) {
				var user = json.data;
				if (user) {
					if (user.nickname) {
						$("#per_nickname").html(user.nickname);
					}

					if (user.userid) {
						$("#per_signature").html("平台ID："+user.userid);
					}
					/*if (user.signature) {
						var signature = user.signature;
						if (signature.length > 12) {
							signature = signature.substring(0, 12) + "......"
						}
						$("#per_signature").html("个性签名：" + signature);
					}*/
					if (user.touaddr) {
						$("#per_touaddr").attr("src", user.touaddr);
					}
				}
			}
		});

		dlm.sendRequest({
			"action" : "/finance/getAccountInfo.action",
			"params" : {

			},
			"success" : function(json) {
				if (json.data.A != null) {
					$("#per_amount").html(json.data.A.toLocaleString());
				}
				else {
					$("#per_amount").html('');
				}
				if (json.data.B != null) {
					$("#per_freeze").html(json.data.B.toLocaleString());
				}
				else {
					$("#per_freeze").html('');
				}
			}
		});
		
		
		
	};

	Model.prototype.financeManager = function(event) {
		var me = this;
		var url = '$UI/dlapp/page/finance/financeManager.w';
		var params = {
			reloadParent : function() {
				me.loadPersonalInfo();
			}
		};
		justep.Shell.showPage(url, params);
	};
	/**
	 * 点击资料跳转到个人详情页
	 */
	Model.prototype.userinfoClick = function(event) {
		var me = this;
		var url = '$UI/dlapp/page/personal/personalinfo.w';
		var params = {
			reloadParent : function() {
				me.loadPersonalInfo();
			}

		}
		justep.Shell.showPage(url, params);

	};
	Model.prototype.closelogin = function(event) {
		var me = this;
		justep.Shell.closeAll();
		justep.Shell.showPage("main");
		me.getParent().loginSuccess();
	};
	/**
	 * 点击设置进入到设置界面
	 */
	Model.prototype.setClick = function(event) {
		var me = this;
		var params = {
			reloadParent : function() {
				me.closelogin();
			}
		}
		// var url = '$UI/dlapp/page/personal/setting.w';
		var url = '$UI/dlapp/page/personal/safety.w';
		justep.Shell.showPage(url, params);
	};

	Model.prototype.helpClick = function(event) {
		var url = '$UI/dlapp/page/personal/help.w';
		justep.Shell.showPage(url);
	};

	Model.prototype.qualitybuyer = function(event) {
		
		var me = this;
		//获取打手信息
		me.getBeaterInfo({"loadnew":true});
		
	};
	
	Model.prototype.aboutClick = function(event) {
		var url = '$UI/dlapp/page/personal/about.w';
		justep.Shell.showPage(url);
	};
	
	Model.prototype.couponClick = function(event)
	{
		var me = this;
		dlm.goPage("myCoupon", {callback: function(number){
			me.setCouponNumber(number);
		}});
	};

	Model.prototype.getBeaterInfo = function(key) {
		
		var me = this;
		
		//请求优质打手信息
		dlm.sendRequest({
			"action" : "/beater/getBeaterUserInfo.action",
			"params" : {},
			"success" : function(json) {
				var recordBean = json.data;
				
				if (recordBean == null || recordBean.currentgrade == 0 || recordBean.auth_status == 3 || recordBean.auth_status == 4) {
					$(me.getElementByXid("person_dsrz_one")).hide();
					$(me.getElementByXid("person_dsrz_two")).show();
					$(me.getElementByXid("auth-num")).html("当前已有"+json.count+"人认证");
					localStorage.setItem("isQualityBuyer", false);
				}else{
					localStorage.setItem("isQualityBuyer", true);
					$(me.getElementByXid("person_dsrz_one")).show();
					$(me.getElementByXid("person_dsrz_two")).hide();
					
					$(me.getElementByXid("goodbj_b")).html(recordBean.gradename);
					
					if(recordBean.currentgrade < 10){
						$(me.getElementByXid("goodbj")).attr("class","goodbj")
					}else{
						$(me.getElementByXid("goodbj")).attr("class","goodbj high-quality")
					}
					
				}
				
				if(key.loadnew){
					
					if (recordBean == null || recordBean.currentgrade == 0 || recordBean.auth_status == 3 || recordBean.auth_status == 4) {
						dlm.goPage("addQualityBuyerStep1", recordBean);
					}else{
						dlm.goPage("profitList",recordBean);
					}
				}
			}
		});
		return null;
	};
	
	
	return Model;
});