define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	var constant = require("$UI/dlapp/js/constant");
	require("$UI/system/lib/cordova/cordova");
	require("cordova!cordova-plugin-camera");

	var Model = function() {
		this.callParent();
	};
	/**
	 * 页面加载时查询用户信息
	 */
	Model.prototype.modelLoad = function(event) {
		dlm.sendRequest({
			"action" : "/getLoginUserInfo.action",
			"params" : {

			},
			"success" : function(json) {
				console.log(json);
				if (json.result == 1) {

					if (!json.data.phone) {
						$('#username').html("未设置");
					} else {
						$('#username').html(json.data.username);
					}
					if (!json.data.nickname) {
						$('#nickname').html("未设置");
					} else {
						$('#nickname').html(json.data.nickname);
					}
					if (!json.data.phone) {
						$('#phonenumber').html("未设置");
					} else {
						$('#phonenumber').html(json.data.linktel);
					}
					if (!json.data.qq) {
						$('#qqnumber').html("未设置");
					} else {
						$('#qqnumber').html(json.data.qq);
					}
					if (!json.data.signature) {
						$('#sign').html("未设置");
						$('#sign').val("");
					} else {
						$('#sign').html(json.data.signature.substring(0, 10) + "...");
						$('#sign').val(json.data.signature);
					}
					if (!json.data.touaddr) {
						$("#headimage").attr("src", "http://cloundss.oss-cn-hangzhou.aliyuncs.com/dlm/images/default-tx.png");
					} else {
						$("#headimage").attr("src", json.data.touaddr);
					}
					if (json.data.nicknameflag == 1) {
						$("#nickname_icon").hide();
						$("#cancleClick").unbind();
					}

				} else {
					Alert(json.data);
				}

			}
		});
		
		
		
		/*if (!navigator.camera) {
			return;
		}
		navigator.camera.getPicture(onLoadImageSuccess, onLoadImageFail, {
			mediaType : 0,// 只选择图片
			quality : 80,
			destinationType : navigator.camera.DestinationType.DATA_URL,
			sourceType : navigator.camera.PictureSourceType.PHOTOLIBRARY
		});

		// 拍照成功后回调
		function onLoadImageSuccess(imageData) {
			if ($list.find(".file-item").size() >= 3) {
				Alert("一次最多上传3个文件");
				return false;
			}
			if (imageData.length > 3 * 1024 * 1024) {
				Alert("单个文件最大不能超过3M");
				return false;
			}
			var fileid = "fileid" + justep.UUID.createUUID();
			var $li = $('<div id="' + fileid + '" class="file-item thumbnail" >' + '<img>' + '<div class="up-del"><em class="iconfont">&#xe608;</em></div>' + '</div>'), $img = $li.find('img');
			$list.append($li);
			$(".up-del").on("click", function() {
				$(this).parent().remove();
			});
			$img.attr("src", "data:image/jpeg;base64," + imageData);
		}

		function onLoadImageFail(error) {
			// Alert(error);
		}*/

		var userinfo = localStorage.userinfo ? JSON.parse(localStorage.userinfo) : null;
		var $ = jQuery, $list = $(this.getElementByXid("fileList")), $btn = $(this.getElementByXid("headimage")), state = 'pending',
		// 优化retina, 在retina下这个值是2
		ratio = window.devicePixelRatio || 1,

		// 缩略图大小
		thumbnailWidth = 100 * ratio, thumbnailHeight = 100 * ratio,

		// Web Uploader实例
		uploader;
		// 初始化Web Uploader
		uploader = WebUploader.create({

			// 自动上传。
			auto : false,
			// 文件接收服务端。
			// server : 'http://upload.7881.com/file/fileUploadFlash.action',
			server : constant.UPLOAD_URL + '/uploadHeadImg.action',

			// 选择文件的按钮。可选。
			// 内部根据当前运行是创建，可能是input元素，也可能是flash.
			pick : this.getElementByXid("filePicker"),
			// 只允许选择文件，可选。
			accept : {
				title : 'Images',
				extensions : 'gif,jpg,jpeg,bmp,png',
				mimeTypes : 'image/*'
			},
			fileVal : 'fileImage',
			duplicate : true,
			sendAsBinary : true,
			compress : {
				height : 1200,
				width : 1200,
				noCompressIfLarger : false
			}
		});
		
		uploader.on('beforeFileQueued', function(file) {
			if (file.size > 3 * 1024 * 1024) {
				Alert("单个文件最大不能超过3M");
				return false;
			}
			if (file.name.length < 5) {
				Alert("请选择图片文件");
				return false;
			}
			var hz = file.name.substring(file.name.length - 5, file.name.length);
			if (hz.indexOf(".gif") == -1 && hz.indexOf(".jpg") == -1 && hz.indexOf(".jpeg") == -1 && hz.indexOf(".bmp") == -1 && hz.indexOf(".png") == -1 && hz.indexOf(".GIF") == -1
					&& hz.indexOf(".JPG") == -1 && hz.indexOf(".JPEG") == -1 && hz.indexOf(".BMP") == -1 && hz.indexOf(".PNG") == -1) {
				Alert("请选择图片文件");
				return false;
			}
		});
		// 当有文件添加进来的时候
		uploader.on('fileQueued', function(file) {
			var $li = $('<div id="' + file.id + '" class="file-item thumbnail">' + '<img>' + '</div>'), $img = $li.find('img');
			$list.html($li);
			// 创建缩略图
			uploader.makeThumb(file, function(error, src) {
				if (error) {
					$img.replaceWith('<span>不能预览</span>');
					return;
				}

				$img.attr('src', src);
			}, thumbnailWidth, thumbnailHeight);

			uploader.option('formData', {
				"ticket" : userinfo.ticket,
				"appflag" : "1",
				"size" : file.size
			});
			uploader.upload();

		});

		// 文件上传过程中创建进度条实时显示。
		uploader.on('uploadProgress', function(file, percentage) {
			var $li = $('#' + file.id), $percent = $li.find('.progress span');

			// 避免重复创建
			if (!$percent.length) {
				$percent = $('<p class="progress"><span></span></p>').appendTo($li).find('span');
			}

			$percent.css('width', percentage * 100 + '%');
		});

		// 文件上传成功，给item添加成功class, 用样式标记上传成功。
		uploader.on('uploadSuccess', function(file) {
			//console.log(response.url) // 服务器返回的地址
			Alert("上传成功");
		});

		// 文件上传失败，现实上传出错。
		uploader.on('uploadError', function(file) {
			var $li = $('#' + file.id), $error = $li.find('div.error');

			// 避免重复创建
			if (!$error.length) {
				$error = $('<div class="error"></div>').appendTo($li);
			}

			Alert('上传失败');
		});

	};
	/**
	 * 点击头像上传图片
	 * 
	 * @param event
	 */
	Model.prototype.headImgClick = function(event) {
		

	};
	/**
	 * 跳到修改nickname页面
	 * 
	 * @param event
	 */
	Model.prototype.nicknameBtnClick = function(event) {
		var me = this;
		var nickname = $("#nickname").html();
		var url = '$UI/dlapp/page/personal/nickname.w';
		var params = {
			nickname : nickname,
			reloadParent : function() {
				me.modelLoad();
			},
		// 隐藏大于号图标
		/*
		 * hideIcon :function(){ $('#nickname_icon').hide(); }
		 */

		}
		justep.Shell.showPage(url, params);

	};
	/**
	 * 跳到修改phone页面
	 * 
	 * @param event
	 */
	Model.prototype.phoneBtnClick = function(event) {
		var me = this;
		var url = '$UI/dlapp/page/personal/phone.w';
		var phone = $("#phonenumber").html();
		var params = {
			phone : phone,
			reloadParent : function() {
				me.modelLoad();
			}
		}
		justep.Shell.showPage(url, params);
	};
	/**
	 * 跳到修改qq页面
	 * 
	 * @param event
	 */
	Model.prototype.qqBtnClick = function(event) {
		var me = this;
		var url = '$UI/dlapp/page/personal/qq.w';
		var qq = $("#qqnumber").html();
		var params = {
			qq : qq,
			reloadParent : function() {
				me.modelLoad();
			}
		}
		justep.Shell.showPage(url, params);
	};

	/**
	 * 跳到修改个性签名signature页面
	 * 
	 * @param event
	 */
	Model.prototype.signatureBtnClick = function(event) {
		var me = this;
		var url = '$UI/dlapp/page/personal/signature.w';
		var signature = $("#sign").val();
		var params = {
			signature : signature,
			reloadParent : function() {
				me.modelLoad();
			}
		}
		justep.Shell.showPage(url, params);
	};
	/**
	 * 关闭当前页面
	 */
	Model.prototype.a1Click = function(event) {
		var me = this;
		me.close();
		me.params.reloadParent();

	};
	


	return Model;
});