define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	var Model = function() {
		this.callParent();
	};
	Model.prototype.modelLoad = function(event) {
		var qq = this.params.qq;
		if("未设置"==qq){
			$("#qq_input").val("")
		}else{
			$("#qq_input").val(qq)
		}
	};
	Model.prototype.qq_confirmClick = function(event) {
		var me = this;
		var qq = $("#qq_input").val();
		if (qq) {
			if (!(/^\s*[.0-9]{5,11}\s*$/.test(qq))) {
				Alert("请填写正确的QQ");
				return false;
			}
		}
		dlm.sendRequest({
			"action" : "/setUserInfo.action",
			"params" : {
				qq : qq
			},
			"success" : function(json) {
				console.log(json);
				me.params.reloadParent();
				me.close();

			}
		});
	};

	Model.prototype.a1Click = function(event) {
		this.close();
	};

	return Model;
});