define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	var gameinfolist = require("$UI/dlapp/js/gameinfo_app");
	
	var Model = function(){
		this.callParent();
	};
	
	Model.prototype.data1 = {
		orderid:"",
		gameid:"",
		gamename:"",
		areaname:"",
		servername:"",
		rolename:"",
		dltype:"",
		ordertitle:"",
		unitprice:"",
		requiretime:"",
		safedeposit:"",
		efficiency:"",
		accountvalue:"",
		accountpwd:"",
		otherdesc:"",
		orderorgin:"0",
		dlcontent:"",
		receivecheck:"",
		closeday:"",
		onshelf:"",
		linktel:"",
		qq:"",
		price:"",
		title:"",
		content:"",
		paiweijiafen:"",
		ordersource:"0",
		//autoLoginVal:"",//自动登录
		//owner_phone:""//号主手机
		orginuserid:""
	};
	
	
	Model.prototype.chushihua = function(){
		var me =this;
		var _gameinfo;
		var _gamelist;
		var _orderUl = me.getElementByXid("zpType");
		var _ul = me.getElementByXid("hero_qu_fu");
		var _heroDlUl = me.getElementByXid("heroDlType");
		var _game  = gameinfolist.list;
		
		for(var i =0;i<_game.length;i++){
			if(_game[i].id==me.data1.gameid){
				_gameinfo = _game[i];
				_gamelist = _game[i].list;
			}
		}
		for(var i =0;i<_gamelist.length;i++){
			if(_gamelist[i].name=="全区全服"){
				continue;
			}
			var _html ='<li>'+
						'<span data-val="'+_gamelist[i].name+'">'+_gamelist[i].name+'</span>'+
						'<ul>';
			for(var j=0;_gamelist[i] && _gamelist[i].list && j<_gamelist[i].list.length;j++){
				if(_gamelist[i].list[j].name=="全服"){
					continue;
				}
				 _html +='<li data-val="'+_gamelist[i].list[j].name+'">'+_gamelist[i].list[j].name+'</li>';
			}
			_html +='</ul>'+
					'</li>';
			$(_ul).append(_html);
		}
		for(var i=0;_gameinfo.zptype && i<_gameinfo.zptype.length;i++){
			var _html='<li><span data-val="'+_gameinfo.zptype[i]+'">'+_gameinfo.zptype[i]+'</span></li>';
			$(_orderUl).append(_html);
		}
		for(var i=0;_gameinfo.herodltype && i<_gameinfo.herodltype.length;i++){
			var _html='<li><span data-val="'+_gameinfo.herodltype[i]+'">'+_gameinfo.herodltype[i]+'</span></li>';
			$(_heroDlUl).append(_html);
		}
	  	
	  	Zepto('.zpType').mobiscroll().treelist({
	        theme: 'mobiscroll',
	        lang: 'zh',
	        display: 'bottom',
	        inputClass: 'sec-input',
	        placeholder: '请选择组排类型',
	        onSelect: function (valueText, inst) {
	        	var typeval = $('.zpType>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
	        	$("#zpType-val").val(typeval);
	        	
	        	$('.button-blue-hero').text("");
	        	$('.button-blue-hero').text("价格查询");
	        	$('#heroSubmitType').val("query");
	        	
	        },
	        formatResult: function (array) { //返回自定义格式结果
	        	onDlType = $('.zpType>li').eq(array[0]).children('span');
	        	return  onDlType.text();                   
	        }
	    });
	    
	    Zepto('.hero-qf-input').mobiscroll().treelist({
	        theme: 'mobiscroll',
	        lang: 'zh',
	        display: 'bottom',
	        inputClass: 'sec-input',
	        width: [160, 170],
	        placeholder: '请选择您所在的区服，必填项',
	        labels: ['qu-hero', 'fu-hero'],
	        onSelect: function (valueText, inst) {
	        	var quval = $('.hero-qf-input>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
	        	var fuval = $('.hero-qf-input>li').eq(inst._tempWheelArray[0]).find('ul').find('li[data-val='+inst._tempWheelArray[1]+']').attr('data-val');
	        	$("#hero_qu-val").val(quval);
	        	$("#hero_fu-val").val(fuval);
	        	
	        	$('.button-blue-hero').text("");
	        	$('.button-blue-hero').text("价格查询");
	        	$('#heroSubmitType').val("query");
	        },
	        formatResult: function (array) { //返回自定义格式结果
	        	qu = $('.hero-qf-input>li').eq(array[0]).children('span');
	        	fu = $('.hero-qf-input>li').eq(array[0]).find('ul').find('li[data-val='+array[1]+']');
	        	return  qu.text() + ' ' + fu.text();           
	        }
	    });
	    
	    Zepto('.heroDlType').mobiscroll().treelist({
	        theme: 'mobiscroll',
	        lang: 'zh',
	        display: 'bottom',
	        inputClass: 'sec-input',
	        placeholder: '请选择代练类型',
	        onSelect: function (valueText, inst) {
	        	var typeval = $('.heroDlType>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
	        	$("#hero-dlType-val").val(typeval);
	        	
	        	if(typeval=='排位'){
	        		$('#heroTitle').show();
	        		$('.grade-item-dignwei').hide();
	        		$('.grade-item-jinji').hide();
	        		$('.grade-item-paiwei').show();
	        	}else if(typeval=='定位'){
	        		$('#heroTitle').show();
	        		$('.grade-item-paiwei').hide();
	        		$('.grade-item-jinji').hide();
	        		$('.grade-item-dignwei').show();
	        	}else if(typeval=='晋级'){
	        		$('#heroTitle').show();
	        		$('.grade-item-paiwei').hide();
	        		$('.grade-item-dignwei').hide();
	        		$('.grade-item-jinji').show();
	        	}
	        	
	        	$('.button-blue-hero').text("");
	        	$('.button-blue-hero').text("价格查询");
	        	$('#heroSubmitType').val("query");
	        	
	        },
	        formatResult: function (array) { //返回自定义格式结果
	        	onDlType = $('.heroDlType>li').eq(array[0]).children('span');
	        	return  onDlType.text();                   
	        }
	    });
	    
	    
	    
	    
	    
	    
	    
	    
	    Zepto('.grade-start-hero').mobiscroll().treelist({
	        theme: 'mobiscroll',
	        lang: 'zh',
	        display: 'bottom',
	        inputClass: 'sec-input',
	        placeholder: '请选择初始段位',
	        onSelect: function (valueText, inst) {
	        	var nameval = $('.grade-start-hero>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
	        	var starval = $('.grade-start-hero>li').eq(inst._tempWheelArray[0]).find('ul').find('li[data-val='+inst._tempWheelArray[1]+']').attr('data-val');
	        	$("#start-name-val-hero").val(nameval);
	        	$("#start-star-val-hero").val(starval);
	        	
	        	$('.button-blue-hero').text("");
	        	$('.button-blue-hero').text("价格查询");
	        	$('#heroSubmitType').val("query");
	        },
	        formatResult: function (array) { //返回自定义格式结果
	        	n = $('.grade-start-hero>li').eq(array[0]).children('span');
	        	s = $('.grade-start-hero>li').eq(array[0]).find('ul').find('li[data-val='+array[1]+']');
	        	return  n.text() + ' ' + s.text();                   
	        }
	    });
    
	    Zepto('.grade-target-hero').mobiscroll().treelist({
	        theme: 'mobiscroll',
	        lang: 'zh',
	        display: 'bottom',
	        inputClass: 'sec-input',
	        placeholder: '请选择目标段位',
	       onSelect: function (valueText, inst) {
	        	var nameval = $('.grade-target-hero>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
	        	var starval = $('.grade-target-hero>li').eq(inst._tempWheelArray[0]).find('ul').find('li[data-val='+inst._tempWheelArray[1]+']').attr('data-val');
	        	$("#target-name-val-hero").val(nameval);
	        	$("#target-star-val-hero").val(starval);
	        	
	        	$('.button-blue-hero').text("");
	        	$('.button-blue-hero').text("价格查询");
	        	$('#heroSubmitType').val("query");
	        },
	        formatResult: function (array) { //返回自定义格式结果
	        	n = $('.grade-target-hero>li').eq(array[0]).children('span');
	        	s = $('.grade-target-hero>li').eq(array[0]).find('ul').find('li[data-val='+array[1]+']');
	        	return  n.text() + ' ' + s.text();                   
	        }
	    });
	    
	    
	    Zepto('.grade-start-dingwei').mobiscroll().treelist({
	        theme: 'mobiscroll',
	        lang: 'zh',
	        display: 'bottom',
	        inputClass: 'sec-input',
	        placeholder: '请选择段位',
	        onSelect: function (valueText, inst) {
	        	var nameval = $('.grade-start-dingwei>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
	        	$("#start-name-val-hero-dingwei").val(nameval);
	        	
	        	$('.button-blue-hero').text("");
	        	$('.button-blue-hero').text("价格查询");
	        	$('#heroSubmitType').val("query");
	        },
	        formatResult: function (array) { //返回自定义格式结果
	        	n = $('.grade-start-dingwei>li').eq(array[0]).children('span');
	        	s = $('.grade-start-dingwei>li').eq(array[0]).find('ul').find('li[data-val='+array[1]+']');
	        	return  n.text() + ' ' + s.text();                   
	        }
	    });
	    
	    
	    Zepto('.grade-start-changci').mobiscroll().treelist({
	        theme: 'mobiscroll',
	        lang: 'zh',
	        display: 'bottom',
	        inputClass: 'sec-input',
	        placeholder: '请选择场次',
	        onSelect: function (valueText, inst) {
	        	var nameval = $('.grade-start-changci>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
	        	$("#hero-changci-val").val(nameval);
	        	
	        	$('.button-blue-hero').text("");
	        	$('.button-blue-hero').text("价格查询");
	        	$('#heroSubmitType').val("query");
	        },
	        formatResult: function (array) { //返回自定义格式结果
	        	n = $('.grade-start-changci>li').eq(array[0]).children('span');
	        	s = $('.grade-start-changci>li').eq(array[0]).find('ul').find('li[data-val='+array[1]+']');
	        	return  n.text() + ' ' + s.text();                   
	        }
	    });
	    
	    
	    
	    
	    Zepto('.grade-start-jinji').mobiscroll().treelist({
	        theme: 'mobiscroll',
	        lang: 'zh',
	        display: 'bottom',
	        inputClass: 'sec-input',
	        placeholder: '请选择段位',
	        onSelect: function (valueText, inst) {
	        	var nameval = $('.grade-start-jinji>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
	        	var starval = $('.grade-start-jinji>li').eq(inst._tempWheelArray[0]).find('ul').find('li[data-val='+inst._tempWheelArray[1]+']').attr('data-val');
	        	$("#start-name-val-hero-jinji").val(nameval);
	        	$("#start-star-val-hero-jinji").val(starval);
	        	
	        	var selectedValue = nameval+starval;
	        	if("黄铜1" == selectedValue || "白银1" == selectedValue || "黄金1" == selectedValue
	        					 				|| "铂金1" == selectedValue || "钻石1" == selectedValue){
	        		$("#ul-hero-win").empty("");
	        		$("#ul-hero-win").append("<li><span data-val='0'>0场</span></li><li><span data-val='1'>1场</span></li><li><span data-val='2'>2场</span></li>");
	        		
	        		$("#ul-hero-negative").empty("");
	        		$("#ul-hero-negative").append("<li><span data-val='0'>0场</span></li><li><span data-val='1'>1场</span></li><li><span data-val='2'>2场</span></li>");
	        	}else{
	        		
	        		$("#ul-hero-win").empty("");
	        		$("#ul-hero-win").append("<li><span data-val='0'>0场</span></li><li><span data-val='1'>1场</span></li>");
	        		
	        		$("#ul-hero-negative").empty("");
	        		$("#ul-hero-negative").append("<li><span data-val='0'>0场</span></li><li><span data-val='1'>1场</span></li>");
	        	}
	        	//初始化为0场
	        	$("#hero-dlType-val-win").val("0").attr("data-val","0场");
	        	$("#hero-dlType-val-negative").val("0").attr("data-val","0场");
	        	
	        	Zepto('.ul-hero-win').mobiscroll().treelist({
			        theme: 'mobiscroll',
			        lang: 'zh',
			        display: 'bottom',
			        inputClass: 'sec-input',
			        placeholder: '0场',
			        onSelect: function (valueText, inst) {
			        	var typeval = $('.ul-hero-win>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
			        	$("#hero-dlType-val-win").val(typeval);
			        	
			        	$('.button-blue-hero').text("");
			        	$('.button-blue-hero').text("价格查询");
			        	$('#heroSubmitType').val("query");
			        	
			        },
			        formatResult: function (array) { //返回自定义格式结果
			        	onDlType = $('.ul-hero-win>li').eq(array[0]).children('span');
			        	return  onDlType.text();                   
			        }
			    });
			    
			    
			    Zepto('.ul-hero-negative').mobiscroll().treelist({
			        theme: 'mobiscroll',
			        lang: 'zh',
			        display: 'bottom',
			        inputClass: 'sec-input',
			        placeholder: '0场',
			        onSelect: function (valueText, inst) {
			        	var typeval = $('.ul-hero-negative>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
			        	$("#hero-dlType-val-negative").val(typeval);
			        	
			        	$('.button-blue-hero').text("");
			        	$('.button-blue-hero').text("价格查询");
			        	$('#heroSubmitType').val("query");
			        	
			        },
			        formatResult: function (array) { //返回自定义格式结果
			        	onDlType = $('.ul-hero-negative>li').eq(array[0]).children('span');
			        	return  onDlType.text();                   
			        }
			    });
	        	
	        	$('.button-blue-hero').text("");
	        	$('.button-blue-hero').text("价格查询");
	        	$('#heroSubmitType').val("query");
	        	
	        },
	        formatResult: function (array) { //返回自定义格式结果
	        	n = $('.grade-start-jinji>li').eq(array[0]).children('span');
	        	s = $('.grade-start-jinji>li').eq(array[0]).find('ul').find('li[data-val='+array[1]+']');
	        	return  n.text() + ' ' + s.text();                   
	        }
	    });
	    
	    
	    /*Zepto('.ul-hero-win').mobiscroll().treelist({
	        theme: 'mobiscroll',
	        lang: 'zh',
	        display: 'bottom',
	        inputClass: 'sec-input',
	        placeholder: '0场',
	        onSelect: function (valueText, inst) {
	        	var typeval = $('.ul-hero-win>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
	        	$("#hero-dlType-val-win").val(typeval);
	        	
	        	$('.button-blue-hero').text("");
	        	$('.button-blue-hero').text("价格查询");
	        	$('#heroSubmitType').val("query");
	        	
	        },
	        formatResult: function (array) { //返回自定义格式结果
	        	onDlType = $('.ul-hero-win>li').eq(array[0]).children('span');
	        	return  onDlType.text();                   
	        }
	    });
	    
	    
	    Zepto('.ul-hero-negative').mobiscroll().treelist({
	        theme: 'mobiscroll',
	        lang: 'zh',
	        display: 'bottom',
	        inputClass: 'sec-input',
	        placeholder: '0场',
	        onSelect: function (valueText, inst) {
	        	var typeval = $('.ul-hero-negative>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
	        	$("#hero-dlType-val-negative").val(typeval);
	        	
	        	$('.button-blue-hero').text("");
	        	$('.button-blue-hero').text("价格查询");
	        	$('#heroSubmitType').val("query");
	        	
	        },
	        formatResult: function (array) { //返回自定义格式结果
	        	onDlType = $('.ul-hero-negative>li').eq(array[0]).children('span');
	        	return  onDlType.text();                   
	        }
	    });*/
	    
	    
	    $('#shengdian').bind('input propertychange', function() {  
	  		$('.button-blue-hero').text("");
        	$('.button-blue-hero').text("价格查询");
        	$('#heroSubmitType').val("query");
		}); 
	    
	    
	}
	
	Model.prototype.modelLoad = function(event){
		var me = this;
		var orderid = this.params.orderid;
		var republish = this.params.republish || false;
		if(!orderid){//发布订单页面点击发布
			this.data1.gameid= this.params.gameId;
			this.data1.gamename=this.params.gameName;
			$('.release-title').text("");
			$('.release-title').text("当前选择游戏："+this.data1.gamename);
			$("#heroCurrGameId").val(this.data1.gameid);
			$("#heroCurrGameName").val(this.data1.gamename);
			
			me.chushihua();
			
			$("#hero-dlType-val").val("排位").attr("data-val","排位");
			$(me.getElementByXid("heroDlType")).prev().val("排位");
			$('#heroTitle').show();
    		$('.grade-item-dignwei').hide();
    		$('.grade-item-jinji').hide();
    		$('.grade-item-paiwei').show();
		}
		
		var myScroll;
		var def = function(e){e.preventDefault();}
		function loaded () {
			//加载默认的事件
			myScroll = new IScroll('#ba_wrapper1',{
				bounce:false,
				momentum:false
			});
			document.addEventListener('touchmove',def,false);
		};
		
	};
	
	Model.prototype.cancle_heroPriceQuey = function(event){
		var me = this;
		me.close();
	};
	
	
	Model.prototype.heroPriceClick = function(event){

		var submitValue = $('#heroSubmitType').val();
		if('query' == submitValue){
			
			var currAreaName = $.trim($("#zpType-val").val());
			if(currAreaName ==""){
				Alert("请选择组排类型");
				return;
			}
			
			var currAreaName = $.trim($("#hero_qu-val").val());
			if(currAreaName ==""){
				Alert("请选择大区名称");
				return;
			}
			
			var currServerName = $.trim($("#hero_fu-val").val());
			if(currServerName ==""){
				Alert("请选择服务器名称");
				return;
			}
			
			//代练类型验证
			var dltypeValue = $.trim($("#hero-dlType-val").val());
			if(dltypeValue == ""){
				Alert("请选择代练类型");
				return;
			}else if(dltypeValue != "" && dltypeValue == "排位"){
			
				var beginLe01Hero = $.trim($("#start-name-val-hero").val());
				var beginLe02Hero = $.trim($("#start-star-val-hero").val());
				if(beginLe01Hero == "" || beginLe02Hero == ""){
					Alert("请选择初始段位");
					return;
				}
				
				var endLe01Hero = $.trim($("#target-name-val-hero").val());
				var endLe02Hero = $.trim($("#target-star-val-hero").val());
				if(endLe01Hero == "" || endLe02Hero == ""){
					Alert("请选择目标段位");
					return;
				}
				
				var g = /^[1-9]*[1-9][0-9]*$/; 
				var currShengDian = $.trim($("#shengdian").val());
				if(currShengDian ==""){
					Alert("请输入胜点");
					return;
				}else if(!g.test(currShengDian) || (parseInt(currShengDian)<0 || parseInt(currShengDian)>100)){
					Alert("请输入0-100的正整数胜点");
					return;
				}
				
			}else if(dltypeValue != "" && dltypeValue == "定位"){
			
				var dingweiduanwei = $.trim($("#start-name-val-hero-dingwei").val());
				if(dingweiduanwei == ""){
					Alert("请选择段位");
					return;
				}
				
				var changci = $.trim($("#hero-changci-val").val());
				if(changci == ""){
					Alert("请选择场次");
					return;
				}
				
			}else if(dltypeValue != "" && dltypeValue == "晋级"){
			
				var beginLe01HeroJin = $.trim($("#start-name-val-hero-jinji").val());
				var beginLe02HeroJin = $.trim($("#start-star-val-hero-jinji").val());
				if(beginLe01HeroJin == "" || beginLe02HeroJin == ""){
					Alert("请选择段位");
					return;
				}
				
				var shengchang = $.trim($("#hero-dlType-val-win").val());
				if(shengchang == ""){
					Alert("请选择胜场");
					return;
				}
				
				var fuchang = $.trim($("#hero-dlType-val-negative").val());
				if(fuchang == ""){
					Alert("请选择负场");
					return;
				}
				
			}
						
			//取值
			var heroCurrParams = {
					"areaname": $("#hero_qu-val").val(),
					"servername": $("#hero_fu-val").val(),
					"ordertitle": ""
			};
			
			var zpValue = $("#zpType-val").val();
			var heroDlTypeParam = $("#hero-dlType-val").val();
			if(dltypeValue == "排位"){
				
				heroCurrParams.ordertitle = "【"+zpValue.substring(0,2)+heroDlTypeParam+"】 "+$("#start-name-val-hero").val()
																			+" "+$("#start-star-val-hero").val()+"-"+$("#target-name-val-hero").val()
																					+" "+$("#target-star-val-hero").val()+" 已有"+$.trim($("#shengdian").val())+"胜点";
			}else if(dltypeValue == "定位"){
				heroCurrParams.ordertitle = "【"+zpValue.substring(0,2)+heroDlTypeParam+"赛】 "+$("#start-name-val-hero-dingwei").val()
																			+" 需打"+$("#hero-changci-val").val()+"场";
			}else if(dltypeValue == "晋级"){
				heroCurrParams.ordertitle = "【"+zpValue.substring(0,2)+heroDlTypeParam+"赛】 "+$("#start-name-val-hero-jinji").val()
																			+" "+$("#start-star-val-hero-jinji").val()+" 已有"+$("#hero-dlType-val-win").val()+"胜"
																					+$("#hero-dlType-val-negative").val()+"负";
			}
			
			//alert(heroCurrParams.ordertitle);
			
			/*$.getJSON("/data/getBasePriceByTitleApp.action", heroCurrParams, function(json){
			  alert(json);
			});*/


			//请求定价
			dlm.sendRequest({
				type : "POST",
				"action":"/data/getBasePriceByTitleApp.action",
				"params":heroCurrParams,
				"async":true,
				"success":function(json){
					if(json && (json.result == "0" || json.result == "2")){
						Alert("标题无法识别");
						return;
					}else if(json && json.result == "1"){
						
						$(".clearfix-hero").find("em:eq(0)").text(json.data.msg);
						$(".detail-info-wrap-hero").show();
						$('.button-blue-hero').text("");
						$('.button-blue-hero').text("应用并发单");
						$('#heroSubmitType').val("add");
					}
					/*debugger;
					var d = eval("("+data+")");
					if(json.data && json.data.result == "success" || json.data.result == "SUCCESS"){
						
						$(".clearfix").find("em:eq(0)").text(json.data.data.price);
						$(".detail-info-wrap").show();
						$('.button-blue').text("");
						$('.button-blue').text("应用并发单");
						$('#submitType').val("add");
					}else{
						Alert(json.data.data.msg);
						return;
					}*/
				}
			});
			return;
			
		}
		if('add' == submitValue){
		
			var params = {};
			params.gameId=$("#heroCurrGameId").val();
			params.gameName=$("#heroCurrGameName").val();
			params.areaname=$("#hero_qu-val").val();
			params.servername=$("#hero_fu-val").val();
			params.dltype=$("#hero-dlType-val").val();
			
			
			//代练类型验证
			var dltypeValue = $.trim($("#hero-dlType-val").val());
			var heroDlTypeParam = $("#hero-dlType-val").val();
			var zpValue = $("#zpType-val").val();
			var currHeroTitle = "";
			if(dltypeValue == "排位"){
				
				currHeroTitle = "【"+zpValue.substring(0,2)+heroDlTypeParam+"】 "+$("#start-name-val-hero").val()
																			+" "+$("#start-star-val-hero").val()+"-"+$("#target-name-val-hero").val()
																					+" "+$("#target-star-val-hero").val()+" 已有"+$.trim($("#shengdian").val())+"胜点";
			}else if(dltypeValue == "定位"){
				currHeroTitle = "【"+zpValue.substring(0,2)+heroDlTypeParam+"】 "+$("#start-name-val-hero-dingwei").val()
																			+" 需打"+$("#hero-changci-val").val()+"场";
			}else if(dltypeValue == "晋级"){
				currHeroTitle = "【"+zpValue.substring(0,2)+heroDlTypeParam+"】 "+$("#start-name-val-hero-jinji").val()
																			+" "+$("#start-star-val-hero-jinji").val()+" 已有"+$("#hero-dlType-val-win").val()+"胜"
																					+$("#hero-dlType-val-negative").val()+"负";
			}
			
			
			
			params.unitprice=$(".clearfix-hero").find("em:eq(0)").text();
			params.ordertitle=currHeroTitle;
			params.dlcontent="请尽快上号代练哦";
			
			params.priceQueryAdd = "true";
			
			dlm.goPage("publish_sec",params);
			return;
		}
		
	};
	
	return Model;
});

