define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	
	var Model = function(){
		this.callParent();
	};
	
	
	Model.prototype.initSelectedFlag = function(){
		this.selectedFlagModel = false;
	}
	
	Model.prototype.trueSelectedFlag = function(){
		this.selectedFlagModel = true;
	}
	
	Model.prototype.selectedFlagModel = false;
	
	//window.heroJson = {"tanke":[{"id":"135","option_url":"http://cloundss.oss-cn-hangzhou.aliyuncs.com/dlm/images/photo/wzry/yx/187.jpg","name":"项羽","selected":"false"},{"id":"166","option_url":"http://cloundss.oss-cn-hangzhou.aliyuncs.com/dlm/images/photo/wzry/yx/177.jpg","name":"亚瑟","selected":"false"}],"zhanshi":[{"id":"117","option_url":"http://cloundss.oss-cn-hangzhou.aliyuncs.com/dlm/images/photo/wzry/yx/187.jpg","name":"钟无艳","selected":"false"},{"id":"166","option_url":"http://cloundss.oss-cn-hangzhou.aliyuncs.com/dlm/images/photo/wzry/yx/140.jpg","name":"亚瑟","selected":"false"}]};
	window.heroJson = {"fashi":[],"cike":[],"sheshou":[],"zhanshi":[],"tanke":[],"fuzhu":[]};
	window.selectedHeroJosn = [];
	
	
	Model.prototype.modelLoad = function(event){
	
		var me = this;
		var selectedFlag = me.params.selectedFlag;
		if(selectedFlag){
			//点击返回不清空已选择英雄
			me.trueSelectedFlag();
		}else{
			//点击返回清空已选择英雄
			me.initSelectedFlag();
		}
		me.chushihua();
		
		$(".skin-list").on("click","li a",function(){
			if($(this).parent("li").hasClass("on")){
				
				//移出数组
				var heroIndex = window.selectedHeroJosn.indexOf($(this).children("span").text());
				if(heroIndex > -1){
					window.selectedHeroJosn.remove(heroIndex);
				}
			}else {
				
				//加入数组
				var heroIndex = window.selectedHeroJosn.indexOf($(this).children("span").text());
				if(heroIndex == -1){
					window.selectedHeroJosn.push($(this).children("span").text());
				}
				
			}
			$(this).parent("li").toggleClass("on");
			$(".skin-bottom p").text("已选择"+window.selectedHeroJosn.length+"个英雄");
		});
		
		
		//--------tap页切换事件开始--------------//
		$(".lp-tab-top").on("click","a",function(){
		
			$(this).parent("li").addClass("on").siblings().removeClass("on");
			var tapVal = $(this).children("span").attr("value");
			
			var liValue = "";
			if("tanke" == tapVal){
				$.each(window.heroJson.tanke, function(i, item){
					if(window.selectedHeroJosn.contains(item.heroname)){
						liValue = liValue + "<li class=\"on\"><a href=\"javascript:void(0);\">"
				  							+"<img src=\""+item.imgurl+"?x-oss-process=image/resize,w_150,h_150\"/>"
				  								+"<p></p><span>"+item.heroname+"</span><em></em></a></li>";
					}else{
						liValue = liValue + "<li><a href=\"javascript:void(0);\">"
				  							+"<img src=\""+item.imgurl+"?x-oss-process=image/resize,w_150,h_150\"/>"
				  								+"<p></p><span>"+item.heroname+"</span><em></em></a></li>";
					}
				  
				});
				$(".skin-list .clearfix").empty();
				$(".skin-list .clearfix").append(liValue);
			}else if("zhanshi" == tapVal){
				$.each(window.heroJson.zhanshi, function(i, item){
					if(window.selectedHeroJosn.contains(item.heroname)){
						liValue = liValue + "<li class=\"on\"><a href=\"javascript:void(0);\">"
				  							+"<img src=\""+item.imgurl+"?x-oss-process=image/resize,w_150,h_150\"/>"
				  								+"<p></p><span>"+item.heroname+"</span><em></em></a></li>";
					}else{
						liValue = liValue + "<li><a href=\"javascript:void(0);\">"
				  							+"<img src=\""+item.imgurl+"?x-oss-process=image/resize,w_150,h_150\"/>"
				  								+"<p></p><span>"+item.heroname+"</span><em></em></a></li>";
					}
				  
				});
				$(".skin-list .clearfix").empty();
				$(".skin-list .clearfix").append(liValue);
			}else if("cike" == tapVal){
				$.each(window.heroJson.cike, function(i, item){
					if(window.selectedHeroJosn.contains(item.heroname)){
						liValue = liValue + "<li class=\"on\"><a href=\"javascript:void(0);\">"
				  							+"<img src=\""+item.imgurl+"?x-oss-process=image/resize,w_150,h_150\"/>"
				  								+"<p></p><span>"+item.heroname+"</span><em></em></a></li>";
					}else{
						liValue = liValue + "<li><a href=\"javascript:void(0);\">"
				  							+"<img src=\""+item.imgurl+"?x-oss-process=image/resize,w_150,h_150\"/>"
				  								+"<p></p><span>"+item.heroname+"</span><em></em></a></li>";
					}
				  
				});
				$(".skin-list .clearfix").empty();
				$(".skin-list .clearfix").append(liValue);
			}else if("fashi" == tapVal){
				$.each(window.heroJson.fashi, function(i, item){
					if(window.selectedHeroJosn.contains(item.heroname)){
						liValue = liValue + "<li class=\"on\"><a href=\"javascript:void(0);\">"
				  							+"<img src=\""+item.imgurl+"?x-oss-process=image/resize,w_150,h_150\"/>"
				  								+"<p></p><span>"+item.heroname+"</span><em></em></a></li>";
					}else{
						liValue = liValue + "<li><a href=\"javascript:void(0);\">"
				  							+"<img src=\""+item.imgurl+"?x-oss-process=image/resize,w_150,h_150\"/>"
				  								+"<p></p><span>"+item.heroname+"</span><em></em></a></li>";
					}
				  
				});
				$(".skin-list .clearfix").empty();
				$(".skin-list .clearfix").append(liValue);
			}else if("sheshou" == tapVal){
				$.each(window.heroJson.sheshou, function(i, item){
					if(window.selectedHeroJosn.contains(item.heroname)){
						liValue = liValue + "<li class=\"on\"><a href=\"javascript:void(0);\">"
				  							+"<img src=\""+item.imgurl+"?x-oss-process=image/resize,w_150,h_150\"/>"
				  								+"<p></p><span>"+item.heroname+"</span><em></em></a></li>";
					}else{
						liValue = liValue + "<li><a href=\"javascript:void(0);\">"
				  							+"<img src=\""+item.imgurl+"?x-oss-process=image/resize,w_150,h_150\"/>"
				  								+"<p></p><span>"+item.heroname+"</span><em></em></a></li>";
					}
				  
				});
				$(".skin-list .clearfix").empty();
				$(".skin-list .clearfix").append(liValue);
			}else if("fuzhu" == tapVal){
				$.each(window.heroJson.fuzhu, function(i, item){
					if(window.selectedHeroJosn.contains(item.heroname)){
						liValue = liValue + "<li class=\"on\"><a href=\"javascript:void(0);\">"
				  							+"<img src=\""+item.imgurl+"?x-oss-process=image/resize,w_150,h_150\"/>"
				  								+"<p></p><span>"+item.heroname+"</span><em></em></a></li>";
					}else{
						liValue = liValue + "<li><a href=\"javascript:void(0);\">"
				  							+"<img src=\""+item.imgurl+"?x-oss-process=image/resize,w_150,h_150\"/>"
				  								+"<p></p><span>"+item.heroname+"</span><em></em></a></li>";
					}
				  
				});
				$(".skin-list .clearfix").empty();
				$(".skin-list .clearfix").append(liValue);
			}
			liValue = "";
		});
		
		//--------tap页切换事件开始--------------//
		
		
		
		
		Array.prototype.contains = function(v){
		  var b = false;
		  for(var i=0;i<this.length;i++){
		    if(this[i] == v){
		      b = true;
		      break;
		    }
		  }
		  return b;
		};
	
		Array.prototype.remove=function(dx)
	  {
	
	    if(isNaN(dx)||dx>this.length){return false;}
	    for(var i=0,n=0;i<this.length;i++)
	    {
	        if(this[i]!=this[dx])
	        {
	            this[n++]=this[i]
	        }
	    }
	    this.length-=1
	  };
		
	
	
		
	};
	
	
	Model.prototype.chushihua = function(){
		
		//(G604 1:法师 2:刺客 3:射手 4:战士 5:坦克 6:辅助)
		$.ajax({//接受英雄数据
             "type" : "get",
             "async" : true,
             "url" : 'http://cloundss.dailianmao.com/heros.json', 
             "cache" : false,
             "dataType" : "json",
             "success":function(data){
            	 var heroArray = data[0].heroTypes;
            	 $.each(heroArray, function(i, item){
            		 if("1" == item.herotype){
            			 window.heroJson.fashi = item.heros;
            		 }else if("2" == item.herotype){
            			 window.heroJson.cike = item.heros;
            		 }else if("3" == item.herotype){
            			 window.heroJson.sheshou = item.heros;
            		 }else if("4" == item.herotype){
            			 window.heroJson.zhanshi = item.heros;
            		 }else if("5" == item.herotype){
            			 window.heroJson.tanke = item.heros;
            		 }else if("6" == item.herotype){
            			 window.heroJson.fuzhu = item.heros;
            		 }
            	 });
            	 
            	 var liValue = "";
				$.each(window.heroJson.tanke, function(i, item){
					if(window.selectedHeroJosn.contains(item.heroname)){
						liValue = liValue + "<li class=\"on\"><a href=\"javascript:void(0);\">"
				  							+"<img src=\""+item.imgurl+"?x-oss-process=image/resize,w_150,h_150\"/>"
				  								+"<p></p><span>"+item.heroname+"</span><em></em></a></li>";
					}else{
						liValue = liValue + "<li><a href=\"javascript:void(0);\">"
				  							+"<img src=\""+item.imgurl+"?x-oss-process=image/resize,w_150,h_150\"/>"
				  								+"<p></p><span>"+item.heroname+"</span><em></em></a></li>";
					}
				  
				});
				$(".skin-list .clearfix").empty();
				$(".skin-list .clearfix").append(liValue);
				liValue = "";
				
				$(".skin-bottom p").text("已选择"+window.selectedHeroJosn.length+"个英雄");
		             }
		        });
		
		
		
	};
		
	Model.prototype.closeClick = function(event){
	    var me = this;
	    if(!me.selectedFlagModel){
	    	window.selectedHeroJosn = [];
	    }
	    window.heroJson = [];
	    me.close();
	};
	
	Model.prototype.saveHero = function(event){
	    window.heroJson = [];
	    var me = this;
	    me.close();
	};
	
	
	return Model;
});




	
