define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	var gameinfolist = require("$UI/dlapp/js/gameinfo_app");
	
	var Model = function(){
		this.callParent();
	};
	
	Model.prototype.data1 = {
		orderid:"",
		gameid:"",
		gamename:"",
		areaname:"",
		servername:"",
		rolename:"",
		dltype:"",
		ordertitle:"",
		unitprice:"",
		requiretime:"",
		safedeposit:"",
		efficiency:"",
		accountvalue:"",
		accountpwd:"",
		otherdesc:"",
		orderorgin:"0",
		dlcontent:"",
		receivecheck:"",
		closeday:"",
		onshelf:"",
		linktel:"",
		qq:"",
		price:"",
		title:"",
		content:"",
		paiweijiafen:"",
		ordersource:"0",
		//autoLoginVal:"",//自动登录
		//owner_phone:""//号主手机
		orginuserid:""
	};
	
	
	Model.prototype.chushihua = function(){
	
		var me =this;
		var _gameinfo;
		var _gamelist;
		var _ul = me.getElementByXid("qu_fu");
		var _orderUl = me.getElementByXid("dlType");
		var _game  = gameinfolist.list;
		
		for(var i =0;i<_game.length;i++){
			if(_game[i].id==me.data1.gameid){
				_gameinfo = _game[i];
				_gamelist = _game[i].list;
			}
		}
		for(var i =0;i<_gamelist.length;i++){
			if(_gamelist[i].name=="全区全服"){
				continue;
			}
			var _html ='<li>'+
						'<span data-val="'+_gamelist[i].name+'">'+_gamelist[i].name+'</span>'+
						'<ul>';
			for(var j=0;_gamelist[i] && _gamelist[i].list && j<_gamelist[i].list.length;j++){
				if(_gamelist[i].list[j].name=="全服"){
					continue;
				}
				 _html +='<li data-val="'+_gamelist[i].list[j].name+'">'+_gamelist[i].list[j].name+'</li>';
			}
			_html +='</ul>'+
					'</li>';
			$(_ul).append(_html);
		}
		for(var i=0;_gameinfo.dltype && i<_gameinfo.dltype.length;i++){
			var _html='<li><span data-val="'+_gameinfo.dltype[i]+'">'+_gameinfo.dltype[i]+'</span></li>';
			$(_orderUl).append(_html);
		}
		
		
		
		
		
		$(".mw-btn").click(function(){
			var _html = $(".mw-box-pop").html();
			layer.open({
			    content: _html,
			    className: 'mwBox',
		  	});
	  	});
	  	
	  	$(".aq-btn").click(function(){
			var _html = $(".aq-box").html();
			layer.open({
			    content: _html,
			    className: 'com-tips',
			    btn:['确认', '']
		  	});
	  	});
	  	
	  	$(".xl-btn").click(function(){
			var _html = $(".xl-box").html();
			layer.open({
			    content: _html,
			    className: 'com-tips',
			    btn:['确认', '']
		  	});
	  	});
	  	
	  	$('#mingwenchange').bind('input propertychange', function() {  
	  		$('.button-blue').text("");
		    $('.button-blue').text("价格查询");  
		    $('#submitType').val("query");
		}); 
	  	
	  	
	    Zepto('.qf-input-priceQuery').mobiscroll().treelist({
	        theme: 'mobiscroll',
	        lang: 'zh',
	        display: 'bottom',
	        inputClass: 'sec-input',
	        width: [160, 170],
	        placeholder: '请选择您所在的区服，必填项',
	        labels: ['qu', 'fu'],
	        onSelect: function (valueText, inst) {
	        	var quval = $('.qf-input-priceQuery>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
	        	var fuval = $('.qf-input-priceQuery>li').eq(inst._tempWheelArray[0]).find('ul').find('li[data-val='+inst._tempWheelArray[1]+']').attr('data-val');
	        	$("#qu-val").val(quval);
	        	$("#fu-val").val(fuval);
	        	
	        	$('.button-blue').text("");
	        	$('.button-blue').text("价格查询");
	        	$('#submitType').val("query");
	        },
	        formatResult: function (array) { //返回自定义格式结果
	        	qu = $('.qf-input-priceQuery>li').eq(array[0]).children('span');
	        	fu = $('.qf-input-priceQuery>li').eq(array[0]).find('ul').find('li[data-val='+array[1]+']');
	        	return  qu.text() + ' ' + fu.text();           
	        }
	    });
	    
	    Zepto('.dlType').mobiscroll().treelist({
	        theme: 'mobiscroll',
	        lang: 'zh',
	        display: 'bottom',
	        inputClass: 'sec-input',
	        placeholder: '请选择代练类型',
	        onSelect: function (valueText, inst) {
	        	var typeval = $('.dlType>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
	        	$("#dlType-val").val(typeval);
	        	if(typeval=='排位'){
	        		$('.grade-item').show();
	        	}else{
	        		$('.grade-item').hide();
	        	}
	        	$('.button-blue').text("");
	        	$('.button-blue').text("价格查询");
	        	$('#submitType').val("query");
	        	
	        },
	        formatResult: function (array) { //返回自定义格式结果
	        	onDlType = $('.dlType>li').eq(array[0]).children('span');
	        	return  onDlType.text();                   
	        }
	    });
	    
	    
	    Zepto('.grade-start').mobiscroll().treelist({
	        theme: 'mobiscroll',
	        lang: 'zh',
	        display: 'bottom',
	        inputClass: 'sec-input',
	        placeholder: '请选择初始段位',
	        onSelect: function (valueText, inst) {
	        	var nameval = $('.grade-start>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
	        	var starval = $('.grade-start>li').eq(inst._tempWheelArray[0]).find('ul').find('li[data-val='+inst._tempWheelArray[1]+']').attr('data-val');
	        	$("#start-name-val").val(nameval);
	        	$("#start-star-val").val(starval);
	        	
	        	$('.button-blue').text("");
	        	$('.button-blue').text("价格查询");
	        	$('#submitType').val("query");
	        },
	        formatResult: function (array) { //返回自定义格式结果
	        	n = $('.grade-start>li').eq(array[0]).children('span');
	        	s = $('.grade-start>li').eq(array[0]).find('ul').find('li[data-val='+array[1]+']');
	        	return  n.text() + ' ' + s.text();                   
	        }
	    });
    
	    Zepto('.grade-target').mobiscroll().treelist({
	        theme: 'mobiscroll',
	        lang: 'zh',
	        display: 'bottom',
	        inputClass: 'sec-input',
	        placeholder: '请选择目标段位',
	       onSelect: function (valueText, inst) {
	        	var nameval = $('.grade-target>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
	        	var starval = $('.grade-target>li').eq(inst._tempWheelArray[0]).find('ul').find('li[data-val='+inst._tempWheelArray[1]+']').attr('data-val');
	        	$("#target-name-val").val(nameval);
	        	$("#target-star-val").val(starval);
	        	
	        	$('.button-blue').text("");
	        	$('.button-blue').text("价格查询");
	        	$('#submitType').val("query");
	        },
	        formatResult: function (array) { //返回自定义格式结果
	        	n = $('.grade-target>li').eq(array[0]).children('span');
	        	s = $('.grade-target>li').eq(array[0]).find('ul').find('li[data-val='+array[1]+']');
	        	return  n.text() + ' ' + s.text();                   
	        }
	    });
	    
	    
	    
	     $(".heropage").click(function(){
	    	 /*var url = '$UI/dlapp/page/publish/hero_list.w';
	    	 justep.Shell.showPage(url, null);*/
	    	 var heroValue = $.trim($(".list-right-tips").text());
	    	 var selectedFlag = heroValue.indexOf("请");
	    	 if(selectedFlag == 0){
	    		 dlm.goPage("hero_list",{"selectedFlag":false});
	    	 }else if(selectedFlag == -1){
	    		 dlm.goPage("hero_list",{"selectedFlag":true});
	    	 }
	    	 
	     });
	     
	     
    
	}
	
	Model.prototype.modelLoad = function(event){
		var me = this;
		var orderid = this.params.orderid;
		var republish = this.params.republish || false;
		if(!orderid){//发布订单页面点击发布
			this.data1.gameid= this.params.gameId;
			this.data1.gamename=this.params.gameName;
			$('.release-title').text("");
			$('.release-title').text("当前选择游戏："+this.data1.gamename);
			$("#currGameId").val(this.data1.gameid);
			$("#currGameName").val(this.data1.gamename);
			
			window.selectedHeroJosn = [];//清空英雄缓存数据 
			
			//增加判断，如果是王者荣耀，就显示自动登录，其它游戏不显示
			if(me.data1.gamename=='王者荣耀'){
			
			}else{
			   $("#autoLogin").hide();
			   $("#owner_phone").hide();
			}
			me.chushihua();
		}
		
		var myScroll;
		var def = function(e){e.preventDefault();}
		function loaded () {
			//加载默认的事件
			myScroll = new IScroll('#ba_wrapper1',{
				bounce:false,
				momentum:false
			});
			document.addEventListener('touchmove',def,false);
		};
		
	};
	
	Model.prototype.modelActive = function(event){
		
		var oldHeroValue = $(".list-right-tips").text();
		var newHeroValue = "请选择已拥有英雄";
		if(window.selectedHeroJosn && window.selectedHeroJosnlength > 0){
			newHeroValue = "已选择"+window.selectedHeroJosn.length+"个英雄";
		}
		if(window.selectedHeroJosn == undefined){
			$(".list-right-tips").text("请选择已拥有英雄");
		}else if(window.selectedHeroJosn && window.selectedHeroJosn.length > 0){
			$(".list-right-tips").text("已选择"+window.selectedHeroJosn.length+"个英雄");
		}
		if(oldHeroValue != newHeroValue){
			$('.button-blue').text("");
			$('.button-blue').text("价格查询");
			$('#submitType').val("query");
		}
		/*if(this.params.heroArray && this.params.heroArray.length > 0){
			$(".list-right-tips").text("已选择"+this.params.heroArray.length+"个英雄");
		}*/
	};
	
	
	Model.prototype.cancle_priceQuey = function(event){
		window.selectedHeroJosn = [];
		var me = this;
		me.close();
	};
	
	
	Model.prototype.priceClick = function(event){
		var submitValue = $('#submitType').val();
		if('query' == submitValue){
				
			var currAreaName = $.trim($("#qu-val").val());
			if(currAreaName ==""){
				Alert("请选择大区名称");
				return;
			}
			
			var currServerName = $.trim($("#fu-val").val());
			if(currServerName ==""){
				Alert("请选择服务器名称");
				return;
			}
			
			var g = /^[1-9]*[1-9][0-9]*$/; 
			var mingwenValue = $.trim($("#mingwenchange").val());
			if(mingwenValue ==""){
				Alert("请填写铭文");
				return;
			}else if(!g.test(mingwenValue) || (parseInt(mingwenValue)<0 || parseInt(mingwenValue)>150)){
				Alert("要求铭文必须为0-150的正整数");
				return;
			}
			
			//拥有英雄验证
			var heroValue = $.trim($(".list-right-tips").text());
			if(heroValue == "" || heroValue =="请选择已拥有英雄"){
				Alert("请选择英雄");
				return;
			}
			
			//代练类型验证
			var dltypeValue = $.trim($("#dlType-val").val());
			if(dltypeValue == ""){
				Alert("请选择代练类型");
				return;
			}else if(dltypeValue != "" && (dltypeValue == '定位' || dltypeValue == '等级' || dltypeValue == '陪练'
												 || dltypeValue == '匹配'  || dltypeValue == '晋级'  || dltypeValue == '级别' || dltypeValue == '其他')){
				Alert("暂未开放此类型价格查询，攻城狮正在开发路上，再等等哦");
				return;
			}else if(dltypeValue == "排位"){
			
				var beginLe01 = $.trim($("#start-name-val").val());
				var beginLe02 = $.trim($("#start-star-val").val());
				if(beginLe01 == "" || beginLe02 == ""){
					Alert("请选择初始段位");
					return;
				}
				
				var endLe01 = $.trim($("#target-name-val").val());
				var endLe02 = $.trim($("#target-star-val").val());
				if(endLe01 == "" || endLe02 == ""){
					Alert("请选择目标段位");
					return;
				}
			}
			
			
			var currParams = {
					"pricePostParams.gamename": this.data1.gamename,
					"pricePostParams.areaname": $("#qu-val").val(),
					"pricePostParams.servername": $("#fu-val").val(),
					"pricePostParams.begingrade": $("#start-name-val").val(),
					"pricePostParams.endgrade": $("#target-name-val").val(),
					"pricePostParams.runeslevel": $("#mingwenchange").val(),
					"pricePostParams.beginstar":$("#start-star-val").val(),
					"pricePostParams.endstar": $("#target-star-val").val()
					//"pricePostParams.userid": ""
					//"pricePostParams.userid": JSON.parse(localStorage.userinfo).userid,
					//"pricePostParams.timestamp": new Date().getTime()
			};
			
			//请求定价器
			dlm.sendRequest({
				"action":"/priceParamsEnc.action",
				"params":currParams,
				"async":true,
				"success":function(json){
					if(json.data && json.data.result == "success" || json.data.result == "SUCCESS"){
						
						$(".clearfix").find("em:eq(0)").text(json.data.data.price);
						$(".clearfix").find("em:eq(1)").text(json.data.data.requiretime);
						$(".clearfix").find("em:eq(2)").text(json.data.data.deposit);
						$(".clearfix").find("em:eq(3)").text(json.data.data.deposit);
						$(".detail-info-wrap").show();
						$('.button-blue').text("");
						$('.button-blue').text("应用并发单");
						$('#submitType').val("add");
					}else{
						Alert(json.data.data.msg);
						return;
					}
				}
			});
			return;
			
		}
		if('add' == submitValue){
		
			var params = {};
			params.gameId=$("#currGameId").val();
			params.gameName=$("#currGameName").val();
			params.areaname=$("#qu-val").val();
			params.servername=$("#fu-val").val();
			params.dltype=$("#dlType-val").val();
			params.ordertitle=$("#start-name-val").val()+"("+$("#start-star-val").val()+"星)-"+$("#target-name-val").val()+"("+$("#target-star-val").val()+"星)";
			params.unitprice=$(".clearfix").find("em:eq(0)").text();
			params.requiretime=$(".clearfix").find("em:eq(1)").text();
			params.efficiency=$(".clearfix").find("em:eq(2)").text();
			params.safedeposit=$(".clearfix").find("em:eq(3)").text();
			
			var heroStr = "";
			$.each(window.selectedHeroJosn, function(i, item){
				heroStr = heroStr + ", " + item;
			});
			params.otherdesc="铭文： "+$("#mingwenchange").val()+"级\r\n英雄： "+heroStr.substring(1);
			params.dlcontent="请尽快上号代练哦";
			
			params.priceQueryAdd = "true";
			
			dlm.goPage("publish_sec",params);
			return;
		}
	};
	
	return Model;
});

