define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	
	
	var Model = function(){
		this.callParent();
	};
	Model.prototype.data1={
		orderid:""
	};
	Model.prototype.a1Click = function(event){
		var main = this.getParent().comp("mainContainer").getInnerModel();
		justep.Shell.closeAll();
		justep.Shell.showPage("main");
		main.comp("orderManageContainer").getInnerModel().comp("releaseManageContainer").getInnerModel().comp("data1").refreshData();
		main.comp("contents1").to("orderManageContent",function(){
			main.comp("orderManageContainer").getInnerModel().comp("contents1").to("releaseManageContent");
			justep.Shell.showMainPage();
		});
	};
	Model.prototype.toPublish = function(event){
		dlm.goPage("publish_index");
	};
	Model.prototype.toMyOrder = function(event){
		var me = this;
		//获得订单的信息
		dlm.sendRequest({
			"action":"/orderinfo.action",
			"params":{
				"orderid":me.data1.orderid
			},
			"success":function(json2){
				if(json2 && json2.result == "1" && json2.data && json2.data.info.orderstatus == "1"){
					dlm.goPage("receiveOrder",{"orderinfo":json2.data});
				}else if(json2 && (json2.result == "3" || json2.result == "4")){
					Alert("请先登录");
					dlm.goPage("login",{});
				}else{
					//不能接单提示
					Alert("该订单已被接或下架，尝试其他订单或下拉刷新新订单吧~");
				}
			}
		});
	};
	Model.prototype.modelLoad = function(event){
		var me =this;
		var isUpdate=this.params.isUpdate;
		var gamename = this.params.gamename;
		if(isUpdate=="1"){
			$(this.getElementByXid("final")).text("编辑"+gamename);
			$(this.getElementByXid("finalTitle")).text("恭喜您！成功编辑订单");
			$(this.getElementByXid("finalTitle")).text("已成功编辑，您可以在发布订单列表里找到此订单");
			$(this.getElementByXid("button-final")).text("查看我编辑的订单>");
			$(this.getElementByXid("jixufabu")).html("");
		}else{
			$(this.getElementByXid("final")).text("发布"+gamename);
			
		}
		me.data1.orderid=this.params.orderId;
		$(this.getElementByXid("orderId")).text("订单编号："+this.params.orderId);
	};

	return Model;
});