define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	var gameinfolist = require("$UI/dlapp/js/gameinfo_app");
	var browser = require("$UI/system/lib/base/browser");
	
	var Model = function(){
		this.callParent();
	};
	
	Model.prototype.data1 = {
		orderid:"",
		gameid:"",
		gamename:"",
		areaname:"",
		servername:"",
		rolename:"",
		dltype:"",
		ordertitle:"",
		unitprice:"",
		requiretime:"",
		safedeposit:"",
		efficiency:"",
		accountvalue:"",
		accountpwd:"",
		otherdesc:"",
		orderorgin:"0",
		dlcontent:"",
		receivecheck:"",
		closeday:"",
		onshelf:"",
		linktel:"",
		qq:"",
		price:"",
		title:"",
		content:"",
		paiweijiafen:"",
		ordersource:"0",
		//autoLoginVal:"",//自动登录
		//owner_phone:""//号主手机
		orginuserid:""
		/*paiwei:{
			begingrade:"",
			beginstar:"",
			endgrade:"",
			endstar:"",
			currShengDian:""
		},
		dingwei:{
			lastSaiDuanWei:"",
			changci:""
		},
		jinji:{
			duanweiName:"",
			duanweiStar:"",
			shengchang:"",
			fuchang:""
		}*/
	};
	
	Model.prototype.endWith=function(str1,str2){     
	  var reg=new RegExp(str2+"$");     
	  return reg.test(str1);        
	};
	
	Model.prototype.cancle_publish_sec_new = function(event){
		var me = this;
		me.close();
	};
	
	Model.prototype.checkNum = function(event){
	    var g = /^[1-9]*[1-9][0-9]*$/; 
	    return g.test(event);  
	};
	
	
	Model.prototype.modelLoad = function(event){
		var me = this;
		if (browser.isX5App) {
			if (browser.isIOS) {
	        	me.comp("panel1").setHeight("top", 63);
	        } 
		}
		var bottom = me.getElementByXid("bottom1");
		me.comp("panel1").setHeight("bottom", $($(bottom).children(0)).height());
		
		//页面属性初始化，将传过来的值进行初始化赋值
		me.propertyInit(event);
		//页面显示初始化
		me.pageShowInit(event);
		//页面事件加载
		me.pageEventInit(event);
		
		
	};
	
	
	/*Model.prototype.modeActive = function(event){
		var me = this;
		//判断是新建订单还是修改订单
        var currNoPayOrder = dlm.getCache("currNoPayOrder");
        if(currNoPayOrder){
        	console.log("订单更新");
        	//修改订单，此时将显示已创建的未支付订单信息，在此基础上的所有修改都是更新
        	var currNoPayOrderTemp = JSON.parse(currNoPayOrder);
        	me.data1.orderid = currNoPayOrderTemp.orderid;
        }
	};*/
	
	
	
	Model.prototype.propertyInit = function(event){
	
		var me = this;
		me.data1.orderid=this.params.orderid;
		me.data1.gameid=this.params.gameId;
		me.data1.gamename=this.params.gameName;
		me.data1.areaname=this.params.areaname;
		me.data1.servername=this.params.servername;
		me.data1.dltype=this.params.dltype;
		me.data1.ordertitle=this.params.ordertitle;
		me.data1.unitprice=this.params.unitprice;
		me.data1.requiretime=this.params.requiretime;
		me.data1.safedeposit=this.params.safedeposit;
		me.data1.efficiency=this.params.efficiency;
		me.data1.dlcontent=this.params.dlcontent;
		me.data1.otherdesc = this.params.otherdesc;
		
		/**
		 * 英雄联盟
		**/
		//排位
		me.data1.zptype = this.params.zptype;
		me.data1.shengdian = this.params.shengdian;
		me.data1.currMubiao = this.params.currMubiao;
		//定位
		me.data1.changci = this.params.changci;
		me.data1.lastduanwei = this.params.lastduanwei;
		//晋级
		me.data1.shengchang = this.params.shengchang;
		me.data1.fuchang = this.params.fuchang;
		me.data1.currduanwei = this.params.currduanwei;
		
		
		/*//排位
		me.data1.paiwei.begingrade = this.params.paiwei.begingrade;
		me.data1.paiwei.beginstar = this.params.paiwei.beginstar;
		me.data1.paiwei.endgrade = this.params.paiwei.endgrade;
		me.data1.paiwei.endstar = this.params.paiwei.endstar;
		me.data1.paiwei.currShengDian = this.params.paiwei.currShengDian;
		
		//定位
		me.data1.dingwei.lastSaiDuanWei = this.params.dingwei.lastSaiDuanWei;
		me.data1.dingwei.changci = this.params.dingwei.changci;
		
		//晋级
		me.data1.jinji.duanweiName = this.params.jinji.duanweiName;
		me.data1.jinji.duanweiStar = this.params.jinji.duanweiStar;
		me.data1.jinji.shengchang = this.params.jinji.shengchang;
		me.data1.jinji.fuchang = this.params.jinji.fuchang;*/
		
	};
	
	Model.prototype.setPasswordHelp = function()
	{
		dlm.goPage("setPasswordHelp");
	};
	
	
	Model.prototype.pageShowInit = function (event){
	
		var me = this;
		
		 var currNoPayOrder = dlm.getCache("currNoPayOrder");
		if(me.data1.gamename=='王者荣耀'){
			//王者荣耀显示
			me.wzryShow();
			
			$(".fy-btn").hide();
			$(me.getElementByXid("password_new")).focus(function() {
				$(".li-tips").show();
			});
			$(me.getElementByXid("password_new")).blur(function() {
				$(".li-tips").hide();
			});
		}else if(me.data1.gamename=='英雄联盟'){
			//英雄联盟显示
			me.yxlmShow();
		}
		//公共模块显示，与游戏类型无关
		me.commonShow();
		

		
		/*//判断是新建订单还是修改订单
        var currNoPayOrder = dlm.getCache("currNoPayOrder");
        
		if(currNoPayOrder || me.data1.orderid){//订单更新
			console.log("订单更新");
			//创建未支付订单后，点击返回，重新进去已创建的未支付订单时，是对该订单进行更新，而不是创建
			currNoPayOrder = JSON.parse(currNoPayOrder);
        	me.data1.orderid = currNoPayOrder.orderid;
		}else{
			//订单创建，无订单号
			//do nothing
		}*/
		
	/*	me.data1.gameid= this.params.gameId;
		me.data1.gamename=this.params.gameName;*/
		
		//代练类型
		/*$(me.getElementByXid("currDltype")).val(me.data1.dltype);
		$(me.getElementByXid("yxlm_ordertitle")).val(me.data1.ordertitle);


		//英雄联盟显示游戏角色，王者荣耀不显示游戏角色
		if(me.data1.gamename=='王者荣耀'){
			//
			$(".yxlm_paiwei").hide();
			$(".yxlm_dingwei").hide();
			$(".yxlm_jinji").hide();
			$(".yzry").show();
			$(me.getElementByXid("publish_sec_new_bar")).text("王者荣耀代练");
			
			//王者荣耀只有排位所以默认使用排位值
			if(this.params.dltype == "排位"){
				me.data1.begingrade=this.params.dingjia.pawei.begingrade;
				me.data1.endgrade=this.params.dingjia.pawei.endgrade;
				me.data1.beginstar=this.params.dingjia.pawei.beginstar;
				me.data1.endstar=this.params.dingjia.pawei.endstar;
			}
			
			
		}else if(me.data1.gamename=='英雄联盟'){
		
			if(this.params.dltype == "排位"){
				$(".yzry").hide();
				$(".yxlm_dingwei").hide();
				$(".yxlm_jinji").hide();
				$(".yxlm_paiwei").show();
			}else if(this.params.dltype == "定位"){
				$(".yzry").hide();
				$(".yxlm_paiwei").hide();
				$(".yxlm_jinji").hide();
				$(".yxlm_dingwei").show();
			}else if(this.params.dltype == "晋级"){
				$(".yzry").hide();
				$(".yxlm_paiwei").hide();
				$(".yxlm_dingwei").hide();
				$(".yxlm_jinji").show();
			}
			$(me.getElementByXid("hero_rolename")).show();
			$(me.getElementByXid("publish_sec_new_bar")).text("英雄联盟代练");
		}

		
		if(me.data1.gamename=='王者荣耀'){
			$(me.getElementByXid("ordertitle")).text(this.params.ordertitle);
			$(me.getElementByXid("orderQuFu")).text(this.params.areaname + ' ' + this.params.servername);
			$(me.getElementByXid("orderMingWen")).text(this.params.otherdesc);
		}else if(me.data1.gamename=='英雄联盟'){
			if(this.params.dltype == "排位"){
				$(".yxlm_paiwei .dl-item:eq(0)").find("span:eq(0)").text(this.params.zptype);
				$(".yxlm_paiwei .dl-item:eq(0)").find("em:eq(0)").text(this.params.areaname);
				$(".yxlm_paiwei .dl-item:eq(0)").find("span:eq(1)").text(this.params.servername);
				$(".yxlm_paiwei .dl-item:eq(1)").find("p:eq(0)").text(this.params.shengdian);
				$(".yxlm_paiwei .dl-item:eq(2)").find("p:eq(0)").text(this.params.currMubiao);
				
			}else if(this.params.dltype == "定位"){
				$(".yxlm_dingwei .dl-item:eq(0)").find("span:eq(0)").text(this.params.zptype);
				$(".yxlm_dingwei .dl-item:eq(0)").find("em:eq(0)").text(this.params.areaname);
				$(".yxlm_dingwei .dl-item:eq(0)").find("span:eq(1)").text(this.params.servername);
				$(".yxlm_dingwei .dl-item:eq(1)").find("p:eq(0)").text(this.params.changci);
				$(".yxlm_dingwei .dl-item:eq(2)").find("p:eq(0)").text(this.params.lastduanwei);
				
			}else if(this.params.dltype == "晋级"){
				$(".yxlm_jinji .dl-item:eq(0)").find("span:eq(0)").text(this.params.zptype);
				$(".yxlm_jinji .dl-item:eq(0)").find("em:eq(0)").text(this.params.areaname);
				$(".yxlm_jinji .dl-item:eq(0)").find("span:eq(1)").text(this.params.servername);
				$(".yxlm_jinji .dl-item:eq(1)").find("p:eq(0)").text(this.params.shengchang);
				$(".yxlm_jinji .dl-item:eq(2)").find("p:eq(0)").text(this.params.fuchang);
				$(".yxlm_jinji .dl-item:eq(3)").find("p:eq(0)").text(this.params.currduanwei);
				
			}
		}
		
		$(me.getElementByXid("dlFee")).val(this.params.unitprice);
		$(me.getElementByXid("finishHour")).val(this.params.requiretime);
		$(me.getElementByXid("orderYaoQiu")).val("请认真对待此次代练，胜率低于60%我可以申请获赔效率保证金；\r\n"
													+"未经同意的情况下请勿乱动物品，有问题及时联系我处理哦；\r\n"
													+"请勿使用外挂、打广告、挂机、恶意骂人等恶意行为；\r\n"
													+"一切好商量，加油吧");
		$(me.getElementByXid("xlMoney")).val(this.params.efficiency);
		$(me.getElementByXid("aqMoney")).val(this.params.safedeposit);
		
		var userinfo = localStorage.userinfo ? JSON.parse(localStorage.userinfo) : null;
		if(userinfo){
			$(me.getElementByXid("orderPhone")).val(userinfo.tel);
			$(me.getElementByXid("orderQQ")).val(userinfo.qq);
		}
		
		if(me.data1.gamename=='王者荣耀'){
			//显示QQ账号或者微信账号判断
			$(me.getElementByXid("zhanghao")).text("");
			$(me.getElementByXid("mima")).text("");
			if(me.endWith(this.params.areaname, "QQ")){
				$(me.getElementByXid("zhanghao")).text("QQ账号");
				$(me.getElementByXid("mima")).text("QQ密码");
				$(me.getElementByXid("inputZhanghao")).attr("placeholder","请输入您的QQ账号").attr("data-prompt","请输入您的QQ账号");
				
			}else if(me.endWith(this.params.areaname, "微信")){
				$(me.getElementByXid("zhanghao")).text("微信账号");
				$(me.getElementByXid("mima")).text("微信密码");
				$(me.getElementByXid("inputZhanghao")).attr("placeholder","请输入您的微信账号").attr("data-prompt","请输入您的微信账号");
				
			}
		}*/
		
		
		
		
	}
	
	
	Model.prototype.wzryShow = function(event){
	
		var me = this;
		$(".yxlm_paiwei").hide();
		$(".yxlm_dingwei").hide();
		$(".yxlm_jinji").hide();
		$(".yzry").show();
		$(me.getElementByXid("publish_sec_new_bar")).text("王者荣耀代练");
		
		$(me.getElementByXid("ordertitle")).text(me.data1.ordertitle);
		$(me.getElementByXid("orderQuFu")).text(me.data1.areaname + ' ' + me.data1.servername);
		$(me.getElementByXid("orderMingWen")).text(me.data1.otherdesc);
		if (me.data1.unitprice) {
			$(me.getElementByXid("dlFee")).attr("readonly", true);
			$(me.getElementByXid("inputZhanghaoClear")).remove();
		}
//		if (me.data1.requiretime) {
//			$(me.getElementByXid("finishHour")).attr("disabled", true);
//		}
		
		
		$(me.getElementByXid("dlRequest")).hide();
		$(me.getElementByXid("serviceGuarantee")).hide();
		me.cursorFlash();
		
		//显示QQ账号或者微信账号判断
		$(me.getElementByXid("zhanghao")).text("");
		$(me.getElementByXid("mima")).text("");
		if(me.endWith(me.data1.areaname, "QQ")){
			$(me.getElementByXid("zhanghao")).text("QQ账号");
			$(me.getElementByXid("mima")).text("QQ密码");
			$(me.getElementByXid("inputZhanghao")).attr("placeholder","请输入您的QQ账号").attr("data-prompt","请输入您的QQ账号");
			
		}else if(me.endWith(me.data1.areaname, "微信")){
			$(me.getElementByXid("zhanghao")).text("微信账号");
			$(me.getElementByXid("mima")).text("微信密码");
			$(me.getElementByXid("inputZhanghao")).attr("placeholder","请输入您的微信账号").attr("data-prompt","请输入您的微信账号");
			
		}
	};
	
	Model.prototype.cursorFlash = function()
	{
		var me = this;
		var i = 0;
		var timer = setInterval(function(){
			if (i % 2 == 0) {
				$(me.getElementByXid("cursorFlash")).show();
			}
			else {
				$(me.getElementByXid("cursorFlash")).hide();
			}
			i++;
			if (i == 500) {
				i = 0;
			}
		}, 500);
		$(me.getElementByXid("panel1")).on("touchstart", function(){
			clearInterval(timer);
			$(me.getElementByXid("cursorFlash")).hide();
		});
	};
	
	Model.prototype.yxlmShow = function(event){
	
		var me = this;
		if(me.data1.dltype == "排位"){
			$(".yzry").hide();
			$(".yxlm_dingwei").hide();
			$(".yxlm_jinji").hide();
			$(".yxlm_paiwei").show();
		}else if(me.data1.dltype == "定位"){
			$(".yzry").hide();
			$(".yxlm_paiwei").hide();
			$(".yxlm_jinji").hide();
			$(".yxlm_dingwei").show();
		}else if(me.data1.dltype == "晋级"){
			$(".yzry").hide();
			$(".yxlm_paiwei").hide();
			$(".yxlm_dingwei").hide();
			$(".yxlm_jinji").show();
		}
		$(me.getElementByXid("hero_rolename")).show();
		$(me.getElementByXid("publish_sec_new_bar")).text("英雄联盟代练");
		
		if(me.data1.dltype == "排位"){
			$(".yxlm_paiwei .dl-item:eq(0)").find("span:eq(0)").text(me.data1.zptype);
			$(".yxlm_paiwei .dl-item:eq(0)").find("em:eq(0)").text(me.data1.areaname);
			$(".yxlm_paiwei .dl-item:eq(0)").find("span:eq(1)").text(me.data1.servername);
			$(".yxlm_paiwei .dl-item:eq(1)").find("p:eq(0)").text(me.data1.shengdian);
			$(".yxlm_paiwei .dl-item:eq(2)").find("p:eq(0)").text(me.data1.currMubiao);
			
		}else if(me.data1.dltype == "定位"){
			$(".yxlm_dingwei .dl-item:eq(0)").find("span:eq(0)").text(me.data1.zptype);
			$(".yxlm_dingwei .dl-item:eq(0)").find("em:eq(0)").text(me.data1.areaname);
			$(".yxlm_dingwei .dl-item:eq(0)").find("span:eq(1)").text(me.data1.servername);
			$(".yxlm_dingwei .dl-item:eq(1)").find("p:eq(0)").text(me.data1.changci);
			$(".yxlm_dingwei .dl-item:eq(2)").find("p:eq(0)").text(me.data1.lastduanwei);
			
		}else if(me.data1.dltype == "晋级"){
			$(".yxlm_jinji .dl-item:eq(0)").find("span:eq(0)").text(me.data1.zptype);
			$(".yxlm_jinji .dl-item:eq(0)").find("em:eq(0)").text(me.data1.areaname);
			$(".yxlm_jinji .dl-item:eq(0)").find("span:eq(1)").text(me.data1.servername);
			$(".yxlm_jinji .dl-item:eq(1)").find("p:eq(0)").text(me.data1.shengchang);
			$(".yxlm_jinji .dl-item:eq(2)").find("p:eq(0)").text(me.data1.fuchang);
			$(".yxlm_jinji .dl-item:eq(3)").find("p:eq(0)").text(me.data1.currduanwei);
			
		}
	};
	
	Model.prototype.commonShow = function(event){
		
		var me = this;
		//代练类型
		$(me.getElementByXid("currDltype")).val(me.data1.dltype);
		$(me.getElementByXid("yxlm_ordertitle")).val(me.data1.ordertitle);
		
		
		$(me.getElementByXid("dlFee")).val(me.data1.unitprice);
		$(me.getElementByXid("finishHour")).val(me.data1.requiretime);
		$(me.getElementByXid("orderYaoQiu")).val("请认真对待此次代练：\r\n" +
				                                    "1、关定位，禁止5排；\r\n" +
				                                     "2、胜率低于60%我可以申请获赔效率保证金；\r\n"
													+"3、请及时上传首图、进度图、完单图；\r\n"
													+"4、未经同意严禁使用账号物品，如需使用请联系我；\r\n"
													+"5、勿使用外挂、打广告、挂机、恶意骂人等恶意行为；\r\n"
													+"一切好商量，加油吧");
	$(me.getElementByXid("xlMoney")).val(me.data1.efficiency);
		$(me.getElementByXid("aqMoney")).val(me.data1.safedeposit);
		
		var userinfo = localStorage.userinfo ? JSON.parse(localStorage.userinfo) : null;
		if(userinfo){
			$(me.getElementByXid("orderPhone")).val(userinfo.tel);
			$(me.getElementByXid("orderQQ")).val(userinfo.qq);
		}
		
		
	};
	
	Model.prototype.pageEventInit = function (event){
		
		$(".fy-btn").click(function(){
			var _html = $(".aq-box-sec-new").html();
			layer.open({
			    content: _html,
			    className: 'com-pop',
			    success: function(){
					$(".btn-closed").click(function(){
						layer.closeAll();
					});
				}
		  	});
	  	});
	  	
	  	$(".xl-btn").click(function(){
			var _html = $(".xl-box").html();
			layer.open({
			    content: _html,
			    className: 'com-pop',
			   success: function(){
					$(".btn-closed").click(function(){
						layer.closeAll();
					});
				}
		  	});
	  	});
		
	}
	
	Model.prototype.publishOrderProtocolClickNew = function(event)
	{
		dlm.goPage("publishOrderProtocol");
	};
	
	//确认发布
	Model.prototype.submitClickNew = function(event){
		//校验登录状态
		var userinfo = localStorage.userinfo ? JSON.parse(localStorage.userinfo) : null;
		if(!userinfo){
			layer.closeAll();
			dlm.goPage("login", {jumpPage: justep.Shell.impl.getActivePageXid()});
			return;
		}
		var me = this;
		if(me.data1.gamename=='王者荣耀'){
			//铭文保存
			me.data1.otherdesc=$.trim($(me.getElementByXid("orderMingWen")).text());
			//区服验证
			var currQufu = $(me.getElementByXid("orderQuFu")).text().trim();
			me.data1.areaname = currQufu.split(" ")[0].trim();
			me.data1.servername = currQufu.split(" ")[1].trim();
			
			//类型验证
			me.data1.dltype=$(me.getElementByXid("currDltype")).val();
			
			//标题验证
			me.data1.ordertitle=$.trim($(me.getElementByXid("ordertitle")).text());
			
		}else if(me.data1.gamename=='英雄联盟'){
			
			//类型验证
			me.data1.dltype=$(me.getElementByXid("currDltype")).val();
			//标题验证
			me.data1.ordertitle=$.trim($(me.getElementByXid("yxlm_ordertitle")).val());
			
			if(me.data1.dltype == "排位"){
				//区服验证
				me.data1.areaname = $(".yxlm_paiwei .dl-item:eq(0)").find("em:eq(0)").text().trim();
				me.data1.servername = $(".yxlm_paiwei .dl-item:eq(0)").find("span:eq(1)").text().trim();
			}else if(me.data1.dltype == "定位"){
				me.data1.areaname = $(".yxlm_dingwei .dl-item:eq(0)").find("em:eq(0)").text().trim();
				me.data1.servername = $(".yxlm_dingwei .dl-item:eq(0)").find("span:eq(1)").text().trim();
			}else if(me.data1.dltype == "晋级"){
				me.data1.areaname = $(".yxlm_jinji .dl-item:eq(0)").find("em:eq(0)").text().trim();
				me.data1.servername = $(".yxlm_jinji .dl-item:eq(0)").find("span:eq(1)").text().trim();
			}
			
		}	
		
		
		//订单价格验证
		me.data1.unitprice=$.trim($(me.getElementByXid("dlFee")).val());
		if(me.data1.unitprice ==""){
			Alert("请填写代练费用");
			return;
		}
		if (!me.checkNum(me.data1.unitprice)) {
			Alert("请输入正整数代练费用");
			return;
		}
		//要求时间验证
		me.data1.requiretime=$.trim($(me.getElementByXid("finishHour")).val());
		if(me.data1.requiretime ==""){
			Alert("请填写完成时间");
			return;
		}
		if(!me.checkNum(me.data1.requiretime)){
			Alert("要求时间必须为正整数");
			return;
		}
		
		//游戏账号验证
		me.data1.accountvalue=$.trim($(me.getElementByXid("inputZhanghao")).val());
		if(me.data1.accountvalue ==""){
			Alert("请填写游戏账号");
			return;
		}
		
		//游戏密码验证
		me.data1.accountpwd=$.trim($(me.getElementByXid("password_new")).val());
		if(me.data1.accountpwd ==""){
			Alert("请填写游戏密码");
			return;
		}
		
		//游戏角色名验证
		if(me.data1.gamename=='英雄联盟'){	//需写英雄联盟的时候补充
			//角色验证验证
			me.data1.rolename=$.trim($(me.getElementByXid("rolename_new")).val());
			if(me.data1.rolename ==""){
				Alert("请填写角色名称");
				return;
			}
		}/*else{
		//如果是王者荣耀就将缓存中之前发的角色
		  me.data1.rolename="";
		}*/
		
		
		//效率保证金验证
		me.data1.efficiency=$.trim($(me.getElementByXid("xlMoney")).val());
		if(me.data1.efficiency ==""){
			Alert("请填写效率保证金");
			return;
		}
		
		//安全保证金验证
		me.data1.safedeposit=$.trim($(me.getElementByXid("aqMoney")).val());
		if(me.data1.safedeposit ==""){
			Alert("请填写安全保证金");
			return;
		}
		
		//游戏说明验证
		
		//代练要求验证
		me.data1.dlcontent=$.trim($(me.getElementByXid("orderYaoQiu")).val());
		if(me.data1.dlcontent ==""){
			Alert("请填写代练要求");
			return;
		}
		
		//相关要求验证
			//接单要求验证
			
			//自动下架时间验证
			me.data1.closeday="7";
			
			//联系电话验证
			me.data1.linktel=$.trim($(me.getElementByXid("orderPhone")).val());
			if(me.data1.gamename=='王者荣耀' && me.endWith(me.data1.areaname,"微信")){
				if(me.data1.linktel==""){
					Alert("请填写手机号");
					return;
				}
				
			}
			//联系QQ验证
			me.data1.qq = $.trim($(me.getElementByXid("orderQQ")).val());
		//备注验证
			//接单价格验证
		
			//简要标题验证
		
		var currNoPayOrder = dlm.getCache("currNoPayOrder");
        if(currNoPayOrder){
        	console.log("订单更新");
        	//修改订单，此时将显示已创建的未支付订单信息，在此基础上的所有修改都是更新
        	var currNoPayOrderTemp = JSON.parse(currNoPayOrder);
        	me.data1.orderid = currNoPayOrderTemp.orderid;
        }
        
		var currReleaseOrder = {
				"orderid":me.data1.orderid,
				"gameid":me.data1.gameid,
				"orderid":me.data1.orderid,
				"gamename":me.data1.gamename,
				"areaname":me.data1.areaname,
				"servername":me.data1.servername,
				"ordertitle":me.data1.ordertitle,
				"orderorgin":me.data1.orderorgin,
				"unitprice":me.data1.unitprice,
				"dltype":me.data1.dltype,
				"safedeposit":me.data1.safedeposit,
				"efficiency":me.data1.efficiency,
				"requiretime":me.data1.requiretime,
				"closeday":me.data1.closeday,
				"linktel":me.data1.linktel,
				"qq":me.data1.qq,
				"ordersource":me.data1.ordersource,
				"accountvalue":me.data1.accountvalue,
				"accountpwd":me.data1.accountpwd,
				"rolename":me.data1.rolename,
				"receivecheck":me.data1.receivecheck,
				"dlcontent":me.data1.dlcontent,
				"paiweijiafen":me.data1.paiweijiafen,
				"otherdesc":me.data1.otherdesc,
				"price":me.data1.price,
				"title":me.data1.title,
				"content":me.data1.content,
				"orginuserid":me.data1.orginuserid
				//"autologin":this.data1.autoLoginVal,//是否自动登录
				//"autologinphone":this.data1.owner_phone//号主手机号
				/*dingjia:{
					paiwei:{
						begingrade:me.data1.paiwei.begingrade,
						beginstar:me.data1.paiwei.beginstar,
						endgrade:me.data1.paiwei.endgrade,
						endstar:me.data1.paiwei.endstar,
						currShengDian:me.data1.paiwei.currShengDian
					},
					dingwei:{
						lastSaiDuanWei:me.data1.dingwei.lastSaiDuanWei,
						changci:me.data1.dingwei.changci,
					},
					jinji:{
						duanweiName:me.data1.jinji.duanweiName,
						duanweiStar:me.data1.jinji.duanweiStar,
						shengchang:me.data1.jinji.shengchang,
						fuchang:me.data1.jinji.fuchang,
					}
				}*/
			};
		var _html = $(".aq-box-sec-new-agree").html();
			layer.open({
			    content: _html,
			    className: 'com-tips',
			    success: function(){
					$(".layermanim").find(".argeen-sec-new").click(function(){
						if($(this).is(":checked")){
							$(".layermanim").find(".sure-agr-sec-new").addClass("on");
						}else{
							$(".layermanim").find(".sure-agr-sec-new").removeClass("on");
						}
					});
					$(".layermanim").find("#publishOrderProtocol-sec-new").click(function(){
						layer.closeAll();
						me.publishOrderProtocolClickNew();
					});
					$(".layermanim").find(".sure-agr-sec-new").click(function(){
						if($(this).hasClass("on")){
							layer.closeAll();
							
							//第一次创建未支付订单成功后，第二次点击置灰
							var clickCount = parseInt($("#publish_sewnew_click_count").val()) + 1;
							$("#publish_sewnew_click_count").val(clickCount);
							if(currReleaseOrder.orderid && "" == currReleaseOrder.orderid && parseInt(clickCount) > 1){
								$("#button-publish-new").css("background","#8F8F8F");
								console.log("拦截");
								return;
							}
								
								
							//创建一条未支付订单
							dlm.sendRequest({
								"action":"/createNoPayOrder.action",
								"params":currReleaseOrder,
								"async":true,
								"success":function(json){
									if(json && json.result == "1" && json.data){
										console.log(json.data.message);
										currReleaseOrder.orderid = json.data.orderid;
										//me.data1.orderid = json.data.orderid;
										
										//未支付订单创建成功之后订单放入缓存
										dlm.addCache("currNoPayOrder",currReleaseOrder);
										dlm.goPage("onlinePay",{"releaseOrder":currReleaseOrder, couponcode: me.params.couponcode, couponprice: me.params.couponprice});
									}else{
										if(json && json.result == "7" && json.data){
										 Alert(json.data);
										}else{
											Alert(json.data.message);
										}
									}
								}
							});
							
							
							/*dlm.sendRequest({
								"action":"/releaseOrder.action",
								"params":currReleaseOrder,
								"async":true,
								"success":function(json){
									
									if(json && json.result == "1" && json.data){
										if(me.data1.orderid){
											if(localStorage && localStorage.getItem("uncommittedOrder")){
												localStorage.removeItem("uncommittedOrder");//清空缓存中上一次未提交成功记录
												localStorage.removeItem("uncommittedOrder_newProcessFlag");//清空缓存中是否走新流程标记
											}
											dlm.goPage("publish_final",{"orderId":me.data1.orderid,"isUpdate":"1","gamename":me.data1.gamename});
										}else{
											if(localStorage && localStorage.getItem("uncommittedOrder")){
												localStorage.removeItem("uncommittedOrder");//清空缓存中上一次未提交成功记录
												localStorage.removeItem("uncommittedOrder_newProcessFlag");//清空缓存中是否走新流程标记
											}
											dlm.goPage("publish_final",{"orderId":json.data.orderid,"isUpdate":"0","gamename":me.data1.gamename});
										}
										
									}else{
										//window.releaseOrder = justep.Bind.observable();
										if(localStorage){
											localStorage.removeItem("uncommittedOrder");
											localStorage.setItem("uncommittedOrder",JSON.stringify(currReleaseOrder));
											
											localStorage.removeItem("uncommittedOrder_newProcessFlag");//清空缓存中是否走新流程标记
											localStorage.setItem("uncommittedOrder_newProcessFlag","true");//清空缓存中是否走新流程标记
										}
										Alert(json.data.message);
									}
								}
							});*/
							
							
							
							
							
		
						}
					});
				}    
		  	});
		  	
		  	
		  	
		
	}
	
	return Model;
});