define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	var Model = function() {
		this.callParent();
	};

	Model.prototype.onlineBackClick = function(event) {
		this.close();
	};
	var enterfrom1;
	var releaseOrder1;
	var orderid1;
	Model.prototype.modelLoad = function(event) {
		var me = this;
		enterfrom1 = me.params.enterFrom;
		releaseOrder1 = me.params.releaseOrder;
		orderid1 = me.params.orderid;
		// 页面显示初始化
		me.selectCouponList(event);

	};
	window.bankOnlinePay = function(couponprice, couponcode) {

		var me = this;
		var params = {};
		var url = '$UI/dlapp/page/publish/onlinePay.w';
		if (enterfrom1 && enterfrom1 == "orderManage") {
			params = {
				couponcode : couponcode,
				couponprice : couponprice,
				enterFrom : enterfrom1,
				orderid : orderid1

			};
		} else {
			params = {
				couponcode : couponcode,
				couponprice : couponprice,
				releaseOrder : releaseOrder1

			};
		}
		dlm.goPage("onlinePay", params);
		// justep.Shell.showPage(url, params);
	};

	Model.prototype.selectCouponList = function(event) {
		var me = this;
		var couponcount = me.params.couponcount;
		var orderprice = me.params.orderprice;
		var gameid = me.params.gameid;
		var couponListHtml = "<h4 class=\"title\">当前可用劵<span >" + couponcount + "</span>张</h4>";

		var top1 = "<div class=\"coupon iconfont  nouse\">";
		var top101 = "<div class=\"coupon iconfont canuse ling\">";
		var top102 = "<div class=\"coupon iconfont canuse fan\">";
		var top103 = "<div class=\"coupon iconfont canuse zeng\">";
		var top104 = "<div class=\"coupon iconfont canuse dui\">";
		var top2 = "<div class=\"cirle\"></div><div class=\"cirri\"></div>";
		var top301 = "<div class=\"coupontop\"  onclick=\"bankOnlinePay('#parval','#code')\" >";
		var top302 = "<div class=\"coupontop\"  >";
		var top401 = "<div class=\"square\"><span>领</span></div>";
		var top402 = "<div class=\"square\"><span>返</span></div>";
		var top403 = "<div class=\"square\"><span>增</span></div>";
		var top404 = "<div class=\"square\"><span>兑</span></div>";
		var top5 = "<div class=\"trigle\"></div><dl><dt><h3><span>￥</span>#parval</h3>";
		var top6 = "<p>满#template_order_amount元可用</p></dt>";
		var top7 = "<dd><h3>#tempname</h3>";
		var top8 = "<p>#usetimebegin-#usetimeend</p></dd></dl></div>";
		var top9 = "<div class=\"couponbot\">";
		var top10 = "限角色:全部";
		var top1001 = "<p>限角色：发单</p>";
		var top1002 = "<p>限角色：接单</p>";
		var top2001 = "<p>限平台：#template_apply_platform_name</p>";
		var top12 = "<p>限游戏：#gamename</p>";
		
		var top2001 = "<p>限用券：不限</p>";
		var top2002 = "<p>限用券：每人每天可用#template_user_day_limit张</p>";
		
		
		
		var top13 = "<em class=\"iconfont up\">&#xe9bb;</em><em class=\"iconfont down\">&#xe9c1;</em></div></div>";
		dlm.sendRequest({
			"action" : "/selectCouponList.action",
			"params" : {
				"appRole" : "1",
				"gameid" : me.params.gameid

			},
			"async" : true,
			"success" : function(json) {
				//console.log(json);
				if (json && json.result == "1") {
					var couponList = json.data;
					for (var i = 0; i < couponList.length; i++) {
						var couponDetailsBean = couponList[i];

						var top100 = top101;
						var top400 = top401;
						var top300 = top301;
						if (couponDetailsBean.receiver_type == "1") {
							top000 = top101;
							top400 = top401;
						} else if (couponDetailsBean.receiver_type == "2") {
							top000 = top102;
							top400 = top402;
						} else if (couponDetailsBean.receiver_type == "3") {
							top000 = top103;
							top400 = top403;
						} else if (couponDetailsBean.receiver_type == "4") {
							top000 = top104;
							top400 = top404;
						}

						// 判断满减金额与订单金额比较
						if (couponDetailsBean.template_order_amount == "0") {
							if (couponDetailsBean.parval*1 < orderprice*1) {
								// couponListHtml += top000;
							} else {
								top000 = top1;
								top300 = top302;
							}
						} else {
							if (couponDetailsBean.template_order_amount*1 <= orderprice*1) {
								// couponListHtml += top000;
							} else {
								top300 = top302;
								top000 = top1;
							}

						}
						// 下家优惠券不给使用
						if (couponDetailsBean.template_apply_role == "2") {
							top000 = top1;
							top10 = top1002;
							top300 = top302;
						} else if (couponDetailsBean.template_apply_role == "1"){
							top10 = top1001;
						}
						if (couponDetailsBean.template_apply_game.indexOf(gameid) == -1) {
							top000 = top1;
							top300 = top302;
						}
						//可用优惠券数量为0时候，所有都不可用
						if(couponcount==0){
						top000 = top1;
						top300 = top302;
						}
						couponListHtml += top000;
						couponListHtml += top2 + top300.replace("#parval", couponDetailsBean.parval).replace("#code", couponDetailsBean.code);
						couponListHtml += top400;
						couponListHtml += top5.replace("#parval", couponDetailsBean.parval);
						couponListHtml += top6.replace("#template_order_amount", couponDetailsBean.template_order_amount);
						couponListHtml += top7.replace("#tempname", couponDetailsBean.template_name);
						couponListHtml += top8.replace("#usetimebegin", couponDetailsBean.usetime_begin.substring(0,10)).replace("#usetimeend", couponDetailsBean.usetime_end.substring(0,10));
						couponListHtml += top9
						couponListHtml += top10;
						couponListHtml += top2001.replace("#template_apply_platform_name", couponDetailsBean.template_apply_platform_name);
						couponListHtml += top12.replace("#gamename", couponDetailsBean.template_apply_game_name);
						if(couponDetailsBean.template_user_day_limit>0){
						couponListHtml += top2002.replace("#template_user_day_limit", couponDetailsBean.template_user_day_limit);
						}else{
						couponListHtml += top2001;
						}
						
						couponListHtml += top13;

					}

				} else {

					Alert(json.data.message);
					return 

					

										

					

															

					

										

					

																				

					

										

					

															

					

										

					

				}
				console.log(couponListHtml);
				$(me.getElementByXid("showcouponlist")).html(couponListHtml)
			}

		});

	}

	$(function() {
		$(".couponbot").each(function() {
			var plen = $(this).find("p").length;
			if (plen >= 3) {
				$(this).addClass("up");
				$(this).find("p").hide();
				$(this).find("p").eq(0).show();
				$(this).find("p").eq(1).show();
			}
		});
		$(".couponbot").click(function() {
			if ($(this).hasClass("up")) {
				$(this).removeClass("up");
				$(this).addClass("down");
				$(this).find("p").show();
			} else if ($(this).hasClass("down")) {
				$(this).removeClass("down");
				$(this).addClass("up");
				$(this).find("p").hide();
				$(this).find("p").eq(0).show();
				$(this).find("p").eq(1).show();
			}
		});
		$(".canuse").find(".coupontop").click(function() {
			$(".chcoup").removeClass("on");
			$(this).parent().addClass("on").siblings(".canuse").removeClass("on");
		});
		$(".chcoup").click(function() {
			if (!$(this).hasClass("on")) {
				$(".canuse").removeClass("on");
				$(this).addClass("on");
			}
		});
	});

	return Model;
});