define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var browser = require("$UI/system/lib/base/browser");
	var dlm = require("$UI/dlapp/js/dlm");
	

	var Model = function() {
		this.callParent();
	};

	Model.prototype.modelLoad = function(obj) {
		var me = this;
		
		if (browser.isX5App) {
			if (browser.isIOS) {
	        	me.comp("panel1").setHeight("top", 63);
	        } 
		}

		$(".welfare-box").on("click", "a", function() {
			var _index = $(this).parents("tr").index() - 2;
			var _html = $(".welfare-detail-pop").html();
			layer.open({
				content : _html,
				className : 'welfare-detail',
				success : function() {
					var w = document.documentElement.clientWidth * 0.88
					$(".layermbox0 .layermchild").css("width", w + "px");
					var swiper = new Swiper('.welfare-detail .swiper-container', {
						pagination : '.welfare-detail .swiper-pagination-banner',
						slidesPerView : 1,
						initialSlide : _index,
						autoplayDisableOnInteraction : false,
						paginationClickable : true,
						loop : true
					});
					$(".welfare-detail a.btn-closed").click(function() {
						layer.closeAll();

					});
				}
			});
		});

		//是否只展示介绍，没有其他按钮和记录
		if(me.params.onlyShow){
			$(me.getElementByXid("button01")).hide();
			$(me.getElementByXid("notice-area")).hide();
		}
		//跳转到积分锚点
		if(me.params.locationScore){
			window.location.hash = "#guide_score_anchor";
		}
		
		//判断用户状态是否为申请中或者被淘汰或者被驳回
		if (me.params.auth_status == 2 ||  me.params.auth_status == 3 || me.params.auth_status == 4) {
			$(me.getElementByXid("button01")).hide();
			var _html = $(me.getElementByXid("sucpop1")).html();
			
			//如果为审核中，那么提示用户待审核
			if(  me.params.auth_status == 2){
			layer.open({
				content : _html,
				className : 'auth-pop',
				success : function() {
					$(".auth-suc-box a").click(function() {
						layer.closeAll();

					});
				}
			});
			}
		}

		if (me.params.lastoperation) {
			$(me.getElementByXid("notice-area")).show();
//			$(me.getElementByXid("notice-text")).html(me.params.lastoperation);
			
			var tempText=me.params.lastoperation;
			$(".notice-content b").text(tempText);
			var tempLength=$(".notice-content b").width();
			var tempLength1=$(".notice-content").width();
			if(tempLength >= tempLength1){
				$(".notice-content b").text("");
				$(".notice-content b").append("<marquee direction='left' behavior='scroll' align='right' contenteditable='true' onstart='this.firstChild.innerHTML+=this.firstChild.innerHTML;' scrollamount='3' scrolldelay='-100' loop='-1' width='auto' height='100%' hspace='10' vspace='10'>"+ tempText +"</marquee>");
			}
			
		} else {
			$(me.getElementByXid("notice-area")).hide();
		}

		
		
	
		
	}

	
	
	
	Model.prototype.go_rz = function(event) {
		
//		dlm.goPage("addQualityBuyerStep2");
		dlm.goPage("addQualityBuyer");
	
	};
	
	Model.prototype.back = function(event) {
		this.close();
	};

	Model.prototype.gorecord = function(event) {
		var me =this;
		dlm.goPage("operationRecordList",me.params);
	};

	return Model;
});