define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	var MD5 = require("$UI/system/lib/base/md5");
	var md5 = new MD5();
	
	var Model = function(){
		this.callParent();
	};
	
	Model.prototype.modelLoad = function(event){
	
	};
	
	Model.prototype.shareOrder = function(event)
	{
		var info = this.params.orderinfo.info;
		this.getParent().receiveOrderShare(info);
	};

	Model.prototype.a1Click = function(event){
		var me = this;
		me.close();
		//隐藏下载页面
		var download = me.getParent().getElementByXid("loadAppDownload");
		$(download).hide();
	};
	
	//接单
	Model.prototype.receiveOrderClick = function(event){
		var me = this;
		
		//校验登录状态
		var userinfo = localStorage.userinfo ? JSON.parse(localStorage.userinfo) : null;
		if(!userinfo){
			layer.closeAll();
			dlm.goPage("login");
			return;
		}
			
		var orderid = me.params.orderinfo.info.orderid;
		var main = me.getParent().comp("mainContainer").getInnerModel();
		var _html = $(".aq-box-receiver").html();
		layer.open({
		    content: _html,
		    className: 'com-tips',
		    success: function(){
				$(".layermanim").find(".argeen").click(function(){
					if($(this).is(":checked")){
						$(".layermanim").find(".sure-agr").addClass("on");
					}else{
						$(".layermanim").find(".sure-agr").removeClass("on");
					}
				});
				$(".layermanim").find("#receiveOrderProtocol").click(function(){
					layer.closeAll();
					me.receiveOrderProtocolClick();
				});
				$(".layermanim").find(".sure-agr").click(function(){
					if($(this).hasClass("on")){
						layer.closeAll();
						//判断是否可接单
						dlm.sendRequest({
							"action":"/isReceiveOrder.action",
							"params":{
								"orderid":orderid,
								"flag":"0,1,2"
							},
							"success":function(json){
								if(json && json.result && json.result != "1"){
									if(json.data && (json.data.message || json.data.msg)){
										Alert(json.data.message ? json.data.message : json.data.msg);
									}else if(json.data){
										Alert(json.data);
									}
									//绑定手机
									if(json.data.type && json.data.type == "3"){
										var url = "$UI/dlapp/page/personal/toEditPhone.w";
										var params = {
								            reloadParent:function(){}
								        };
										justep.Shell.showPage(url,params);
									}
									//设置支付密码
									if(json.data.type && json.data.type == "4"){
										var url = "$UI/dlapp/page/personal/setPayPwd.w";
										var params = {
								            reloadParent:function(){}
								        };
										justep.Shell.showPage(url,params);
									}
									//充值
									if(json.data.type && json.data.type == "7"){
										var url = '$UI/dlapp/page/finance/toAddCharge.w';
								        var params = {
								            reloadParent:function(){}
								        };
										justep.Shell.showPage(url,params);
									}
								}else if(json && json.result && json.result == "1"){
									me.openZfmm(function(text){
										//接单
										dlm.sendRequest({
											"action":"/receiveOrder.action",
											"params":{
												"orderid":orderid,
												"checkTradePwdRDM":text,
												"unitprice":me.params.orderinfo.info.unitprice,
												"safedeposit":me.params.orderinfo.info.safedeposit,
												"efficiency":me.params.orderinfo.info.efficiency,
												"receiveFrom":"app"
											},
											"success":function(json){
												if(json && json.result && json.result != "1"){
													var message;
													if(json.data && (json.data.message || json.data.msg)){
														message = json.data.message ? json.data.message : json.data.msg;
													}else if(json.data){
														message = json.data;
													}
													
													if(message.indexOf("封停")>-1){
														layer.open({
															content: '<div style="text-align:left;">'+message.replace(new RegExp('\n','gm'),'<br/>')+'</div>',
															shade:false,
															style: 'background-color:rgba(0,0,0,0.7);color:#fff;border:none;text-align:center;width:auto; margin:0 0.6rem;',
															time: 4
														});
													} else{
														Alert(message);
													}
													
													//充值
													if(json.data.type && json.data.type == "7"){
														var url = '$UI/dlapp/page/finance/toAddCharge.w';
												        var params = {
												            reloadParent:function(){}
												        };
														justep.Shell.showPage(url,params);
													}
												}else if(json && json.result && json.result == "1"){
													Alert("接单成功，正在打开订单");
													//接单成功，刷新接单管理,刷新接单大厅
													main.comp("receiveContainer").getInnerModel().comp("data1").refreshData();
													main.comp("orderManageContainer").getInnerModel().comp("receiveManageContainer").getInnerModel().comp("data1").refreshData();
													//跳转订单详情页
													dlm.goPage("orderInfo",{"orderid":orderid,"receiveOrder":"1"});
													//切换到接单管理
													main.comp("contents1").to("orderManageContent",function(){
														main.comp("orderManageContainer").getInnerModel().comp("contents1").to("receiveManageContainer");
													});
												}
											}
										});
									});
								}
							}
						});	
					}
				});
			}    
	  	});
//		me.openDiv("官方提示：接单后请登录游戏确认账号信息并上传截图，1小时内请开始代练", "4", function(){
//	
//		});
	};

	Model.prototype.data1CustomRefresh = function(event){
		var me = this;
		var data = this.comp("data1");
		if (me.params.orderinfo){
			var info = this.params.orderinfo.info;
			info.nickname = this.params.orderinfo.userinfo.nickname;
			info.dlcontent = info.dlcontent ? info.dlcontent.replace(/\r\n/g, "</p><p>") : "无";
			info.otherdesc = info.otherdesc ? info.otherdesc.replace(/\r\n/g, "</p><p>") : "无";
			if(this.params.orderinfo.top && this.params.orderinfo.top.length > 0){
				var top = this.params.orderinfo.top.join(",");
				if(top.indexOf("20019") > -1){
					info.zjcx = "1";
				}
			}
			data.loadData([info]);
		}
		else if (this.params.orderid) {
			dlm.sendRequest({
				"action":"/receiveOrderInfo.action",
				"params":{
					"orderid":this.params.orderid
				},
				"async":true,
				"success":function(json2){
					if(json2 && json2.result == "1" && json2.data && json2.data.info.orderstatus == "1"){
						me.params.orderinfo = json2.data;
						data.refreshData({"confirm":false});
					}else{
						//不能接单提示
						Alert("该订单已被接或下架，尝试其他订单或下拉刷新新订单吧~");
						setTimeout(function(){
							me.close();
						},1000);
					}
				}
			});
			this.params.orderid = null;
		}
	};

	Model.prototype.modelInactive = function(event){
		//关闭弹框
		layer.close(this.cindex);
	};
	
	//验证支付密码.fun:返回函数
	Model.prototype.openZfmm = function(fun){
		var me = this;
		var je = parseFloat(me.params.orderinfo.info.safedeposit) + parseFloat(me.params.orderinfo.info.efficiency);
		this.openDiv("请输入支付密码", "2", 
			function(psd){
				psd = md5.hex_md5(md5.hex_md5(psd)+"dlmapp");
				//验证支付密码
				dlm.sendRequest({
					"action":"/checkTradePassword.action",
					"params":{
						"tradePassword":psd,
						"type":"md5"
					},
					"success":function(json){
						if(json && json.result && json.result == "1"){
							//验证成功，返回支付密码验证码
							fun(json.data);
							layer.closeAll();
						}else if(json && json.data && json.data.msg){
							$(".ye-box .msg").html(json.data.msg);
						}else{
							Alert("未知错误");
						}
					}
				});
		},je);
	};
	
	//弹出,type:1文本，2密码,3确认取消
	Model.prototype.openDiv = function(title,type,fun,je){
		var _html = '';
		if(type == 4){
			_html += '<div class="ye-box"><div class="ye-box-text search-list-item" style="line-height:1.2rem;padding:0.8rem;">'+
					title+
					'</div>'+
					'<div class="btn-sure-cancel">'+
						'<a class="btn-sure" style="width:100%;">我知道了</a>'+
					'</div></div>';
		}else if(type == 3){
			_html += '<div class="ye-box"><div class="ye-box-text search-list-item">'+
					title+
					'</div>'+
					'<div class="btn-sure-cancel">'+
						'<a class="btn-cancel">取消</a>'+
						'<a class="btn-sure">确认</a>'+
					'</div></div>';
		}else{
			_html += '<div class="ye-box"><div class="ye-box-header">'+
						'<em class="iconfont">&#xe601;</em>'+
						'<h2 class="title">'+title+'</h2>'+
					'</div>'+
					'<div class="ye-box-con" style="margin: 0.6rem 0 0.1rem 0;">'+
						(je ? '<h4>￥'+je+'</h4>' : '') +
						'<h5><input class="input" type="'+(type == "2" ? 'password' : 'text')+'" value="" maxlength="30"/></h5>'+
					'</div>'+
					'<span class="msg" style="color:red;">&nbsp;</span>'+
					'<div class="btn-block" style="margin: 0.1rem 0 0.8rem 0;">'+
				    	'<p><a class="button-blue">确  认</a></p>'+
				    '</div>'+
				'</div>';
		}
		this.cindex = layer.open({
			content:_html,
			className:"ye-type",
			shadeClose: false,
			success: function(){
				setTimeout(function(){
					$(".ye-box-header").find("em.iconfont").click(function(){
						layer.closeAll();
					});
					$(".ye-box .btn-cancel").click(function(){
						layer.closeAll();
					});
					$(".ye-box .input").focus(function(){
						$(".ye-box .msg").html("&nbsp;");
					});
					$(".ye-box .input").trigger('click');
					$(".ye-box .btn-sure").click(function(){
						fun();
					});
					$(".ye-box .button-blue").click(function(){
						var text = $(".ye-box .input").val();
						fun(text);
					});
				},500);
			}
		});
	};
	
	Model.prototype.ckfwClick = function(){
		if(this.comp("data1").getValue("zjcx") == "1"){
			var orderid = this.params.orderinfo.info.orderid;
			if(this.comp("data1").getValue("gamename") == "英雄联盟"){
				dlm.goPage("tgpInfo_lol",{"orderid":orderid});
			}else if(this.comp("data1").getValue("gamename") == "王者荣耀"){
				dlm.goPage("tgpInfo_wzry",{"orderid":orderid});
			}
		}
	};
	
	Model.prototype.receiveOrderProtocolClick = function(event){
		dlm.goPage("receiveOrderProtocol");
	};

	return Model;
});