define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	var MD5 = require('$UI/system/lib/base/md5');
	var browser = require("$UI/system/lib/base/browser");
	
	var Model = function() {
		this.callParent();

	};
	
	Model.prototype.modelLoad = function(event)
	{
		var me = this;
		if (browser.isX5App) {
			if (browser.isIOS) {
	        	me.comp("panel2").setHeight("top", 63);
	        } 
		}
		$("#checkbox").click(function(){
			if($(this).is(":checked")){
				$("#registerNext").addClass("on");
				$("#registerNext").removeClass("off");
			}
			else{
				$("#registerNext").addClass("off");
				$("#registerNext").removeClass("on");
			}
		});
	};
	/*
	 * Model.prototype.modelLoad = function(event) { // 手机号判断
	 * $(".yzm-click").click(function() { if (checkphone(".phone-input") ==
	 * true) { Alert("请输入正确的手机号"); } }); };
	 */

	/**
	 * 注册 时校验手机号是否已注册（失去焦点时校验）
	 */
	/*
	 * Model.prototype.phonenumberBlur = function(event) {
	 * 
	 * 
	 * var me = this; var phonenumber = me.getElementByXid("phonenumber").value;
	 * if (!(/^1[3|4|5|7|8]\d{9}$/.test(phonenumber))) { Alert("请输入正确的手机号");
	 * return false; }
	 * 
	 * 
	 * dlm.sendRequest({ "action" : "/register/checkPhone.action", "params" : {
	 * "phone" : phonenumber }, "success" : function(json) { if (json.result ==
	 * 1) { Alert(json.data.msg); } else { Alert(json.data.msg); } } }); };
	 */
	/**
	 * 获取验证码 并且倒计时
	 */
	Model.prototype.getVerifyCodeClick = function(event) {
		// 先检验手机号是否注册，如果注册了就不发送验证码并且不倒计时，如果没有注册那么发送验证码并且倒计时
		// 手机号码校验
		/*
		 * if (checkphone(".phone-input") == true) { Alert("请输入正确的手机号"); } else {
		 * 
		 * $(".yzm-click").hide(); $(".djs").show(); djs(); }
		 */
		/*
		 * if (checkphone(".phone-input") == true) { Alert("请输入正确的手机号"); }
		 */
		var me = this;
		var phonenumber = me.getElementByXid("phonenumber").value;
		if (!(/^1[3|4|5|7|8]\d{9}$/.test(phonenumber))) {
			Alert("请输入正确的手机号");
			return false;
		}
		dlm.sendRequest({
			"action" : "/register/checkPhone.action",
			"params" : {
				"phone" : phonenumber
			},
			"success" : function(json) {
				// 未注册
				if (json.result == 1) {
					// 发送验证码
					dlm.sendRequest({
						"action" : "/register/registerSendCode.action",
						"params" : {
							"phone" : me.getElementByXid("phonenumber").value
						},
						"success" : function(json) {
						
							
							console.log(json.data);
							
							if(json.result=="1"){
							$(".yzm-click").hide();
							$(".djs").show();
							djs();
							}else{
							Alert(json.data.msg)
							}
						}
					});
				} else {
					// 已注册
					Alert(json.data.msg);
					return false;
				}

			}
		});

	};
	/**
	 * 从注册页面的 登录按钮 打开登录页面
	 */
	Model.prototype.register_loginBtnClick = function(event) {
		dlm.goPage("login", {jumpPage: this.params.jumpPage});
		//this.close();
		

	};
	/**
	 * 从注册页面的 打开协议页面
	 */
	Model.prototype.registrationProtocolClick = function(event) {
		dlm.goPage("registrationProtocol");	
	};
	/**
	 * 校验验证码是否正确
	 */
	/*Model.prototype.verifycodeBlur = function(event) {
		var me = this;
		md5 = new MD5();
		var phonenumber = me.getElementByXid("phonenumber").value;
		var verifycode = me.getElementByXid("verifycode").value;
		dlm.sendRequest({
			"action" : "/register/checkCode.action",
			"params" : {
				"phone" : phonenumber,
				"code" : verifycode
			},
			"success" : function(json) {
				// 验证码正确的话将参数代入下一个页面
				if (json.result == 1) {

					
					 * var url = '$UI/dlapp/page/register/register_second.w?';
					 * justep.Shell.showPage(url);
					 

				} else {
					Alert(json.data.msg);
					return false;
				}

			}

		});
	};*/
	/**
	 * 注册页面1跳转到 注册页面2
	 */

	Model.prototype.registerNextClick = function(event) {
		var me = this;
		if (!$("#registerNext").hasClass("on")) {
			return;
		}
		var me = this;
		var phonenumber = me.getElementByXid("phonenumber").value;
		var verifycode = me.getElementByXid("verifycode").value;
		// 手机号校验
		if (!(/^1[3|4|5|7|8]\d{9}$/.test(phonenumber))) {
			Alert("请输入正确的手机号");
			return false;
		}

		// 校验密码格式是否正确
		md5 = new MD5();
		var firstpassword = me.getElementByXid("first_password").value;
		var secondpassword = me.getElementByXid("second_password").value;
		var first_password = md5.hex_md5(md5.hex_md5(firstpassword) + "dlm");
		var second_password = md5.hex_md5(md5.hex_md5(secondpassword) + "dlm");
		var first_password_md5 = md5.hex_md5(firstpassword);
		var second_password_md5 = md5.hex_md5(secondpassword);
		if (!(/^(\w){6,20}$/.test(firstpassword))) {
			Alert("请输入6-20位字母、数字、下划线");
			return false;
		}
		if (firstpassword != secondpassword) {
			Alert("两次输入的密码不一致");
			return false;
		}
		var popularizeId = me.getElementByXid("popularizeId").value;
		var url = require.toUrl('$UI/dlapp/page/register/register_second.w?');
		var params = {
			phonenumber : phonenumber,
			verifycode : verifycode,
			popularizeId : popularizeId,
			second_password : second_password,
			second_password_md5 : second_password_md5,
			reloadParent : function() {
				me.a1Click();
			},
			jumpPage: me.params.jumpPage
		};
		//校验手机号是否有效
		dlm.sendRequest({
			"action" : "/register/checkPhone.action",
			"params" : {
				"phone" : phonenumber
			},
			"success" : function(json) {
				// 未注册
				if (json.result == 1) {
					dlm.sendRequest({
						"action" : "/register/checkCode.action",
						"params" : {
							"phone" : phonenumber,
							"code" : verifycode
						},
						"success" : function(json) {
							if (json.result == 1) {
								justep.Shell.showPage(url, params);
							} else {
								Alert(json.data.msg);
								return false;
							}
						}

					});
					
				} else {
					// 已注册
					Alert(json.data.msg);
					return false;
				}
			}
		});
		
	};

	Model.prototype.loginSuccess = function(event) {
		var me = this;
		me.getParent().loginSuccess();
		me.close();
	};
	Model.prototype.a1Click = function(event) {
		this.close();
	};
	return Model;
});