define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	var MD5 = require('$UI/system/lib/base/md5');
	var ShellImpl = require('$UI/system/lib/portal/shellImpl');
	var browser = require("$UI/system/lib/base/browser");
	require("cordova!cordova-plugin-device");
	
	
	var Model = function() {
		this.callParent();
	};

	Model.prototype.modelLoad = function(event) {
		// 手机号判断
		$(".yzm-click").click(function() {
			if (checkphone(".phone-input") == true) {
				Alert("请输入正确的手机号");
			} else {
				$(".yzm-click").hide();
				$(".djs").show();
				djs();
			}
		});
	};
	/**
	 * 校验用户昵称是否存在(昵称唯一)
	 */
	/*
	 * Model.prototype.nicknameBlur = function(event) { var me = this; var
	 * nickname = me.getElementByXid("nickname").value; dlm.sendRequest({
	 * "action" : "/register/checkNickname.action", "params" : { "nickname" :
	 * nickname }, "success" : function(json) { if (json.result == 1) { //
	 * Alert(json.data.msg); } else { Alert(json.data.msg); } } }); };
	 */
	/**
	 * 检验支付密码长度是否为空等
	 */
/*	Model.prototype.first_payment_passwordBlur = function(event) {
		var me = this;
		var first_payment_password = me.getElementByXid("first_payment_password").value;
		var patrn = /^(\w){6,20}$/;
		if (!first_payment_password) {
			Alert("请填写密码");
			return false;
		} else {
			if (!patrn.exec(first_payment_password)) {
				Alert("请输入6-20位字母、数字、下划线(字母开头)");
				return false;
			}
			return true
		}
	};*/
	/**
	 * 校验两次输入的密码是否一致
	 */
	/*Model.prototype.second_payment_passwordBlur = function(event) {
		var me = this;
		var first_payment_password = me.getElementByXid("first_payment_password").value;
		var second_payment_password = me.getElementByXid("second_payment_password").value;
		var patrn = /^(\w){6,20}$/;
		if (first_payment_password && second_payment_password) {
			if (!first_payment_password === second_payment_password) {
				Alert("两次输入的密码不一致");
				return false;
			} else {
				if (!patrn.exec(first_payment_password)) {
					Alert("请输入6-20位字母、数字、下划线(字母开头)");
					return false;
				}
				return true
			}
		}
	};*/
	/**
	 * 注册并登陆
	 */
	Model.prototype.registerBtnClick = function(event) {

		var me = this;
		md5 = new MD5();
		var first_payment_password = me.getElementByXid("first_payment_password").value;
		var second_payment_password = this.getElementByXid("second_payment_password").value;
		if (first_payment_password && second_payment_password) {
			if (first_payment_password === second_payment_password) {
				if (first_payment_password.length < 6 || second_payment_password.length < 6 || first_payment_password.length > 20 || second_payment_password.length > 20) {
					Alert("密码长度错误");
					return false;
				}
			} else {
				Alert("两次输入的密码不一致");
				return false;
			}

		}
		var nickname = this.getElementByXid("nickname").value;
		if(nickname.length<6||nickname.length>10){
			Alert("昵称长度错误!");
			return false;
		}
		
		if($(event.delegateTarget).html()=="注册并登录"){
			$(event.delegateTarget).html("注册中...");
			var phonenumber = this.params.phonenumber;
			var verifycode = this.params.verifycode;
			var second_password = this.params.second_password;
			var second_password_md5 = this.params.second_password_md5;
			var popularizeId = this.params.popularizeId;
			var deviceid = null;
			try{
				deviceid = device.uuid;
			}
			catch (e) {
				
			}
			//获取首页带来的注册参数
			var registert_from = localStorage.getItem("registert_from") || '2';
			var lb_outerlink = localStorage.getItem("lb_outerlink");
			var source_type = localStorage.getItem("source_type");
			var registert_type = browser.isIOS ? '2' : '1';
			dlm.sendRequest({
				"action" : "/register/doRegister.action",
				"params" : {
					phonenumber : phonenumber,
					nickname : nickname,
					verifycode : verifycode,
					second_password : second_password,
					second_payment_password : second_payment_password,
					second_password_md5 : second_password_md5,
					popularizeId : popularizeId,
					status : 'md5',
					deviceid: deviceid,
					registert_from : registert_from,
					lb_outerlink : lb_outerlink,
					registert_type: registert_type,
					source_type: source_type
				},
				"success" : function(json) {
					if (json.result == 1) {
						localStorage.userinfo = JSON.stringify(json.data);
						//移除首页带来的注册参数
						localStorage.removeItem("registert_from");
						localStorage.removeItem("lb_outerlink");
						localStorage.removeItem("source_type");
						Alert("注册成功!");
						$(event.delegateTarget).html("注册并登录");
						if (me.params.jumpPage && me.params.jumpPage != "null") {
							me.toJumpPage();
						}
						else {
							me.getParent().loginSuccess();
							justep.Shell.closeAll();
							justep.Shell.showPage("main");
						}
						me.close();
					} else {
						Alert(json.data.msg);
						$(event.delegateTarget).html("注册并登录");
					}
	
				}
			});
		}
	};
	/**
	 * 接受上个页面传过来的参数
	 */
	Model.prototype.modelParamsReceive = function(event) {

	};

	Model.prototype.a1Click = function(event) {
		var me = this;
		me.params.reloadParent();
		me.close();
		
	};
	
	Model.prototype.toJumpPage = function()
	{
		//必须从前往后关闭
		var me = this;
		if (me.params.jumpPage && me.params.jumpPage != "null") {
			var pages = justep.Shell.impl.getOpenedPages();
			var flag = false;
			for (var i = 0; i <= pages.length; i++) {
				if (pages[i] == me.params.jumpPage) {
					flag = true;
				}
				else if (flag) {
					justep.Shell.closePage(pages[i]);
				}
			}
		}
	};

	return Model;
});