define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");

	require("$UI/system/lib/cordova/cordova");
	require("cordova!cordova-plugin-device");
	require("cordova!cn.zxj.cordova.UmengAnalyticsPlugin");
	require("cordova!cordova-plugin-app-version");
	require("cordova!cordova-plugin-statusbar");
	var Model = function(){
		this.callParent();
	};
	
	Model.prototype.modelLoad = function(event){
		Zepto.dlm.inits();
		localStorage.firstPage = null;
		localStorage.hallid = null;
		localStorage.noticeid = null;
		localStorage.welfareid = null;
		//获取当前应用版本号
		if(window.plugins && cordova && cordova.getAppVersion){
			cordova.getAppVersion.getVersionNumber(function(currentVersion) {
				localStorage.setItem("currentVersion", currentVersion);
			});
		}
		try {
			StatusBar.styleDefault();
			StatusBar.backgroundColorByHexString("#F84A4B");
			StatusBar.overlaysWebView(true); 
		}
		catch (e) {
			
		}
		var me = this;
		// 初始化友盟统计配置
		if(window.plugins && window.plugins.umengAnalyticsPlugin)
			window.plugins.umengAnalyticsPlugin.init();
		//处理选择类型
		var serviceType = localStorage.getItem("ServiceType");
		if (serviceType == 'ReleaseOrder') {
			$(me.getElementByXid("receiveButton")).hide();
			$(".index-nav a").css("width", "25%");
		}
		else if (serviceType == 'ReceiveOrder') {
			$(me.getElementByXid("receiveButton")).show();
			$(".index-nav a").css("width", "20%");
		}
		else {
			dlm.goPage("serviceType");
		}
	};
	
	Model.prototype.checkLogin = function(event){
		var userinfo = localStorage.userinfo ? JSON.parse(localStorage.userinfo) : null;
		var me =this;
		//加载消息页
		me.comp('messageManageContainer').load();
		var selectedBut = event.item;
		
		if(selectedBut){
			var selectedXid = selectedBut.getXid();
//			$(".index-nav a").each(function(i, btn){
//				if ($(btn).is(".active")) {
//					$(btn).addClass("on");
//				}
//				else {
//					$(btn).removeClass("on");
//				}
//			});
			if(selectedXid!="firstPageButton" && selectedXid != "receiveButton"){
				//校验登录状态
				if(!userinfo){
					justep.Shell.showPage("login");
					return;
				}
				if(selectedXid=="messageManageButton"){
					
					localStorage.removeItem("notRead");
					//未读标记取消
					$(".msgtip").hide();
					//me.comp('messageManageContainer').load();
					if(me.comp('messageManageContainer').getInnerModel()){
						var msg = me.comp('messageManageContainer').getInnerModel();
						msg.data1CustomRefresh();
						//立即刷新推荐订单
						msg.pushOrders(true);
					}
					
					//取消息未读标记
					/*dlm.sendRequest({
						"action":"/getMsgCount.action",
						"params":{
							
						},
						"success":function(json){
							if(json && json.result){
								if(json.result=="1"){
									if(json.data.orderMsg){
										var orderMsg = json.data.orderMsg;
										if(orderMsg && orderMsg.CT && parseInt(orderMsg.CT) && parseInt(orderMsg.CT)>0){
											$("#orderMsgNum").html(parseInt(orderMsg.CT)>99 ? "99+":parseInt(orderMsg.CT));
											$("#orderMsgNum").show();
										} else{
											$("#orderMsgNum").hide();
										}
									}
								}
							}
						}
					});*/
					
				} else if(selectedXid=="personalButton"){
					dlm.sendRequest({
						"action" : "/getLoginUserInfo.action",
						"params" : {},
						"success" : function(json) {
							var user = json.data;
							if (user) {
								if (user.nickname) {
									$("#per_nickname").html(user.nickname);
								}
			
								if (user.userid) {
									$("#per_signature").html("ID:"+user.userid);
								}
								/*if (user.signature) {
									var signature = user.signature;
									if (signature.length > 12) {
										signature = signature.substring(0, 12) + "......"
									}
									$("#per_signature").html("个性签名：" + signature);
								}*/
								if (user.touaddr) {
									$("#per_touaddr").attr("src", user.touaddr);
								}
							}
						}
					});
			
					dlm.sendRequest({
						"action" : "/finance/getAccountInfo.action",
						"params" : {
			
						},
						"success" : function(json) {
							$("#per_amount").html(json.data.A);
							$("#per_freeze").html(json.data.B);
						}
					});
					
				}
			} 
		}
	};
	
	return Model;
});