define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	
	var Model = function(){
		this.callParent();
	};
	
	Model.prototype.modelLoad = function(event)
	{
		
	};
	
	Model.prototype.invitationClick = function(event)
	{
		var me = this;
//		var indexModel = me.getParent();
//		indexModel.invite();
		dlm.sendRequest({
			"action" : "/coupon/clickReceiveCoupon.action",
			"params" : {},
			"success" : function(json) {
				if (json.result == 1) {
					Alert("领取优惠券成功");
					setTimeout(function(){
						var unusedCouponPage = me.comp("unusedCouponPage");
						var unusedCoupon = unusedCouponPage.getInnerModel();
						unusedCoupon.data1CustomRefresh();
					}, 1000);
				}
				else {
					Alert(json.data);
				}
			}
		});
	};
	
	Model.prototype.backBtnClick = function(event)
	{
		var me = this;
		if (typeof(me.unusedCouponNumber) == 'number' && me.params.callback != null) {
			me.params.callback(me.unusedCouponNumber);
		}
		this.close();
	};
	
	Model.prototype.helpClick = function(event)
	{
		dlm.goPage("couponHelp");
	};
	
	Model.prototype.contents1ActiveChange = function(event)
	{
		var me = this;
		var buttons = $(me.getElementByXid("buttonGroup1")).find("li");
		for (var i = 0; i < buttons.length; i++) {
			if (i == event.to) {
				$(buttons[i]).addClass("on");
			}
			else {
				$(buttons[i]).removeClass("on");
			}
		}
	};
	
	Model.prototype.exchangeClick = function(event)
	{
		var me = this;
		dlm.goPage("exchangeCoupon", {refresh: function(){
			var unusedCoupon = me.comp("unusedCouponPage").getInnerModel();
			unusedCoupon.data1CustomRefresh();
//			var usedCoupon = me.comp("usedCouponPage").getInnerModel();
//			usedCoupon.data1CustomRefresh();
//			var expiredCoupon = me.comp("expiredCouponPage").getInnerModel();
//			expiredCoupon.data1CustomRefresh();
		}});
	};
	
	Model.prototype.setUnusedCouponNumber = function(number)
	{
		var me = this;
		me.unusedCouponNumber = number;
		$(me.getElementByXid("unusedCouponButton")).find("span").html("可用劵" + number + "张");
	};
	
	Model.prototype.setUsedCouponNumber = function(number)
	{
		var me = this;
		$(me.getElementByXid("usedCouponButton")).find("span").html("已用劵" + number + "张");
	};
	
	Model.prototype.setExpiredCouponNumber = function(number)
	{
		var me = this;
		$(me.getElementByXid("expiredCouponButton")).find("span").html("过期券" + number + "张");
	};

	return Model;
});