define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	require("http://cloundss.oss-cn-hangzhou.aliyuncs.com/dlm/js/date.js");

	var Model = function(){
		this.callParent();
	};
	
	var iscrollObj;//列表拖动对象
	var totalPage = 0;//总页数
	var totalCount = 0;//总条数
	var currentNo = 0;
	var starttime = "";
	var endtime = "";
	var timeflag = 2;
	
	//加载列表
	Model.prototype.getList = function(){
		var me = this;
		starttime = $("#startime").val() + " 00:00:00";
		endtime = $("#endtime").val() + " 23:59:59";
		//隐藏已无更多
		$(me.getElementByXid("listEnd")).hide();
		//显示加载中
		if(me.comp("data1").count() == 0){
			$(me.getElementByXid("pullup")).show();
			$(me.getElementByXid("pulldown")).hide();
		}
		dlm.sendRequest({
			"action" : "/finance/getAccountInfo.action",
			"params" : {
				
			},
			"success" : function(json) {
				$("#fl_freeze").html(json.data.B);
			}
		});
		
		dlm.sendRequest({
			"action":"/finance/toFreezeAmountListNew.action",
			"params":{
				"pageSize":dlm.pageSize,
				"currentNo":currentNo,
				"starttime":starttime,
				"endtime":endtime,
				"timeflag":timeflag
			},
			"success":function(json){
				if(currentNo == 0){
					me.comp("data1").clear();
					if(iscrollObj){
						iscrollObj.scrollTo(0, 0);
					}
				}
				if(json && json.result == "1" && json.data && json.data.list){
					totalCount = json.count;
					totalPage = parseInt(totalCount / dlm.pageSize);
					if(json.data.list.length > 0){
						me.comp("data1").loadData(json.data.list, currentNo != 0);
					}
				}
				//如果列表没有数据，隐藏下拉刷新，显示无更多数据
				if(me.comp("data1").count() == 0){
					$(me.getElementByXid("pulldown")).show();
					$(me.getElementByXid("listEnd")).html("暂无记录");
					$(me.getElementByXid("listEnd")).show();
				}else{
					$(me.getElementByXid("pulldown")).show();
				}
				//隐藏加载中效果
				$(me.getElementByXid("pullup")).hide();
				iscrollObj.refresh();
			}
		});
	};

	//加载搜索条件
	Model.prototype.searchLoad=function(event){
		var me = this;
		
		//日期初始化	
		$("#startime").val(new Date().addDate("yyyy-MM-dd", -7, "d"));
		//$("#startime").val(new Date().format("yyyy-MM-dd"));
		$("#endtime").val(new Date().format("yyyy-MM-dd"));
		
		
		$(".icon-r").click(function(){ //点击 筛选下的内容
			if($(this).hasClass("on") == false){
				$(this).addClass("on");
				$(".gj-box").show();
				$(".gray-bg").show();
			}else{
				$(this).removeClass("on");
				$(".gj-box").hide();
				$(".gray-bg").hide();
			}
						
			Zepto(".clear").click(function(){ //点击清空
				$(".timeflag").each(function(index){
					$(this).find("li").removeClass("on");
					$(this).find("li").eq(1).addClass("on");
				});
			});
			
			Zepto(".gj-box").find("li").click(function(){ //点击 高级筛选下的内容
				$(this).addClass("on").siblings("li").removeClass("on");
				// 开发 AJAX加载数据
			});
			
			/*Zepto('.timeflag').find("li").click(function(){
				var flag = $(this).attr("data");
				if(flag=="1"){
					Zepto("#starttime").val(new Date().format("yyyy-MM-dd"));
					Zepto("#endtime").val(new Date().format("yyyy-MM-dd"));
				} else if(flag=="2"){
					Zepto("#starttime").val(new Date().addDate("yyyy-MM-dd",-7,"d"));
					Zepto("#endtime").val(new Date().format("yyyy-MM-dd"));
				} else if(flag=="3"){
					Zepto("#starttime").val(new Date().addDate("yyyy-MM-dd",-30,"d"));
					Zepto("#endtime").val(new Date().format("yyyy-MM-dd"));
				}
			});*/
			
			Zepto(".ensure").click(function(){  //点击确认
				if($('.timeflag').find('.on').length==0){
					timeflag = 0;
				} else{
					timeflag = $('.timeflag').find('.on').eq(0).attr('data');
				}
				me.comp("data1").refreshData({"confirm":false});
				$(".gj-box").hide();
				$(".gray-bg").hide();
			});
			
			Zepto(".gray-bg").on("click",function(){
				$(this).hide();
				$(".hide-item").hide();
				$(".icon-r").removeClass("on");
			});
			
			
			Zepto('#startime').mobiscroll().date({
				theme: 'mobiscroll',
				lang: 'zh',    
				display: 'bottom',
				dateFormat: 'yy-mm-dd',
				dateOrder: 'yy MM dd',
				minWidth:75,
				maxWidth:90,
				minDate: "",
				maxDate: "",
				onSelect: function (valueText, inst) {
		            var selectedDate = inst.getVal(); 
		            $(".timeflag").find("li").removeClass("on");
		        }
			});
			
			Zepto('#endtime').mobiscroll().date({
				theme: 'mobiscroll',
				lang: 'zh',    
				display: 'bottom',
				dateFormat: 'yy-mm-dd',
				dateOrder: 'yy mm dd',
				minWidth:75,
				maxWidth:90,
				minDate: "",
				maxDate: "",
				onSelect: function (valueText, inst) {
		            var selectedDate = inst.getVal();
		            $(".timeflag").find("li").removeClass("on");
		        }
			});
			
			// 开发 AJAX加载数据
		});
		
		
	};
	
	//页面加载
	Model.prototype.modelLoad = function(event){
		var me = this;
		//加载搜索条件
		this.searchLoad();
		//查询余额
		/*dlm.sendRequest({
			"action" : "/finance/getAccountInfo.action",
			"params" : {
				
			},
			"success" : function(json) {
				$("#fl_freeze").html(json.data.B);
			}
		});*/
		var pulldownAction = function(){
		//刷新数据
			me.comp("data1").refreshData({"confirm":false});
		};
		var pullupAction = function(){
	        currentNo += 1;
	        if(currentNo > totalPage){
	        	$(me.getElementByXid("pullup")).hide();
	        	$(me.getElementByXid("listEnd")).html("没有更多数据了");
	            $(me.getElementByXid("listEnd")).show();
	            iscrollObj.refresh();
	        }else{
				//下一页数据加载，显示加载中效果
				$(me.getElementByXid("pullup")).show();
	            me.getList();
	        }
	    };
		iscrollObj = iscrollAssist.newVerScrollForPull($(me.getElementByXid("wrapper")),pulldownAction,pullupAction);
	};
	
	//列表数据刷新
	Model.prototype.data1CustomRefresh = function(event){
		//刷新
		currentNo = 0;
		this.getList();
	};
	
	//返回
	Model.prototype.back=function(event){
		totalPage = 0;//总页数
		totalCount = 0;//总条数
		currentNo = 0;
		starttime = "";
		endtime = "";
		timeflag = 2;
		this.close();
	};
	
	return Model;
});