define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");

	var Model = function(){
		this.callParent();
	};

	Model.prototype.back = function(event){
		this.close();
	};
	
	Model.prototype.getList = function(event){
		var me = this;
		dlm.sendRequest({
			"action" : "/finance/getBankList.action",
			"params" : {
				
			},
			"success" : function(json) {
				var banklist = json.data;
				me.comp("data1").loadData(banklist);
			}
		});
	};

	//列表数据刷新
	Model.prototype.data1CustomRefresh = function(event){
		//刷新
		this.getList();
	};

	Model.prototype.selectBank = function(event){
		var row = event.bindingContext.$object;
		var bankname = row.val("bankname");
		$("#bank").html(bankname);
		$("#bank").addClass('inputColor');
		$("#orgcode").html("");
		$("#orgname").html("请选择开户行支行");
		$("#orgname").removeClass("inputColor");
		if(bankname=="中国银行"){
			$("#addressLi").hide();
			$("#organizeLi").hide();
		} else{
			$("#addressLi").show();
			$("#organizeLi").show();
		}
		this.close();
	};
	
	return Model;
});