define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");

	var Model = function(){
		this.callParent();
	};

	Model.prototype.back = function(event){
		this.close();
	};

	Model.prototype.getList = function(event){
		var me = this;
		$.ajax({
			url : "././xx.xml",
			success : function(xml) {
				var citylist = [];
				$(xml).find('province[name="'+me.params.province+'"] city').each(function(){
					var city = {"city":$(this).text()};
					citylist.push(city);
				});
				me.comp("data1").loadData(eval(citylist));
			}
		});
		
	};
	
	//列表数据刷新
	Model.prototype.data1CustomRefresh = function(event){
		//刷新
		this.getList();
	};
	
	Model.prototype.selectCity = function(event){
		var me =this;
		var row = event.bindingContext.$object;
		var city = row.val("city");
		$("#sp_address").html(me.params.province+city);
		$("#sp_province").html(me.params.province);
		$("#sp_city").html(city);
		me.params.loadAddress();
		me.close();
	};


	return Model;
});