define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	
	var Model = function(){
		this.callParent();
	};
	
	Model.prototype.getList = function(event){
		var me = this;
		var bankName = me.params.bank;
		var province = me.params.province;
		var city = me.params.city;
		$("#organizeList").empty();
		dlm.sendRequest({
			"action" : "/finance/queryBankOrganizationCode.action",
			"params" : {
				"bankName":bankName,
				"province":province,
				"city":city
			},
			"success" : function(json) {
				if(json.data && json.data.orgcodes && json.data.orgcodes.length && json.data.orgcodes.length>0){
					me.comp("data1").loadData(json.data.orgcodes);
				}
			}
		});
	};
	
	//列表数据刷新
	Model.prototype.data1CustomRefresh = function(event){
		//刷新
		this.getList();
	};
	
	Model.prototype.selectOrganize = function(event){
		var me =this;
		var row = event.bindingContext.$object;
		var id = row.val("id");
		var name = row.val("name");
		var bankName = me.params.bank;
		$("#orgcode").html(id);
		if(name && name.length>0){
			name = name.replace(bankName, "").replace("股份有限公司", "");
		}
		$("#orgname").html(name);
		$("#orgname").addClass('inputColor');
		me.close();
	};
	
	Model.prototype.back = function(event){
		this.close();
	};
	
	return Model;
});