define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");

	var Model = function(){
		this.callParent();
	};

	Model.prototype.back = function(event){
		this.close();
	};

	Model.prototype.getList = function(event){
		var me = this;
		$.ajax({
			url : "././xx.xml",
			success : function(xml) {
				var provincelist = [];
				$(xml).find('province').each(function(){
					var province = {"province":$(this).attr("name")};
					provincelist.push(province);
				});
				me.comp("data1").loadData(eval(provincelist));
			}
		});
	};
	
	//列表数据刷新
	Model.prototype.data1CustomRefresh = function(event){
		//刷新
		this.getList();
	};
	
	Model.prototype.selectProvince = function(event){
		var me = this;
		var row = event.bindingContext.$object;
		var province =  row.val("province");
		var url = '$UI/dlapp/page/finance/selectCity.w';
		var params = {
			province:province,
			loadAddress: function(){me.loadAddress();}
        };
		justep.Shell.showPage(url, params);
	};
	
	Model.prototype.loadAddress=function(event){
		var me = this;
		$("#address").addClass('inputColor');
		$("#address").html($("#sp_address").html());
		$("#province").html($("#sp_province").html());
		$("#city").html($("#sp_city").html());
		$("#orgcode").html("");
		$("#orgname").html("请选择开户行支行");
		$("#orgname").removeClass("inputColor");
		me.close();
	};
	
	return Model;
});