define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	var Model = function(){
		this.callParent();
	};

	//页面加载
	Model.prototype.loadBankaccount = function(event){
		var me = this;
		//点击提现按钮操作
		$(".btn-withdraw").click(function(){
			var amountyuan = $("#ae_amountyuan").val().trim();
			var bankname =$("#ae_bankname").val().trim();
			var isNum = /^\d+(\.\d+)?$/;
			if(bankname===""){
				Alert("请选择提现账户");
				return;
			}
			if(amountyuan===""){
				Alert("请填写提现金额");
				return;
			} else if(!isNum.test(amountyuan)){
				Alert("请输入正确的提现金额");
				return;
			}
			if(parseFloat(amountyuan)> parseFloat($("#ae_xskyye").html())){
				Alert("提现金额不能大于可提现余额");
				return;
			}
			dlm.sendRequest({
				"action" : "/finance/confirmExtractcash.action",
				"params" : {
					bankname:bankname,
					amountyuan:amountyuan
				},
				"success" : function(json) {
					var result = json.result;
					var message = json.data.message;
					if(result=="1"){
						$("#ae_payinfo").html("到账金额:¥"+json.data.tixianmoney+"；手续费：¥"+json.data.tixianfee+"<br/><br/>");
						layer.open({
							content:$("#ae_zfmm").html(),
							className:"ye-type",
							shadeClose: false,
							success: function(){
								$(".ye-box-header").find("em.iconfont").click(function(){
									layer.closeAll();
								});
								// 获取输入的密码
								$(".ye-box .button-blue").click(function(){
									me.doAddCharge();
								})
							}
						});
					} else if(result=="2"){
						
						if(message.indexOf("封停")>-1){
							layer.open({
								content: '<div style="text-align:left;">'+message.replace(new RegExp('\n','gm'),'<br/>')+'</div>',
								shade:false,
								style: 'background-color:rgba(0,0,0,0.7);color:#fff;border:none;text-align:center;width:auto; margin:0 0.6rem;',
								time: 4
							});
						} else{
							Alert(message);
						}
					}else{
					Alert(message);
					}
				}
			});
		});
		
		var myScroll;
		var def = function(e){e.preventDefault();}
		function loaded () {
			//加载默认的事件
			myScroll = new IScroll('#ta_wrapper',{
				bounce:false,
				momentum:false,
				scrollY:false
			});
			document.addEventListener('touchmove',def,false);
		};
		
		//点击添加账户
		$(".add-aut").click(function(event){
			event.stopPropagation(); //阻止事件冒泡
			loaded(); // 创建活动菜单
			var mmenuhei = $("#ta_choose_aut").height();
			DownSlide(mmenuhei);
			
			$(".cancel-choose").on('tap',function(event){
				UpSlide(def, myScroll); //关闭上滑菜单
			});
			$(document).click(function(event){
				UpSlide(def, myScroll); //关闭上滑菜单
			});
			$(".offer-float").click(function(event){
				event.stopPropagation();
			});
			
			$("#ta_add_zfb").on('tap', function(event){
				var url = '$UI/dlapp/page/finance/toAddZfbaccount.w';
				var params = {
					reloadParent:function(){me.loadBankaccount();}
		        };
				justep.Shell.showPage(url, params);
			});
			
			$("#ta_add_bank").on('tap', function(event){
				var url = '$UI/dlapp/page/finance/toAddBankaccount.w';
				var params = {
					reloadParent:function(){me.loadBankaccount();}
		        };
				justep.Shell.showPage(url, params);
			});
			
		});
		
		//获取提现账户信息
		dlm.sendRequest({
			"action" : "/finance/toAddExtractcash.action",
			"params" : {
				
			},
			"success" : function(json) {
				var bank = json.data;
				if(bank){
					if(bank.accountnum){
						var accountnum = bank.accountnum;
						if(accountnum!=""){
							if(accountnum.indexOf("@")>-1){
								accountnum = accountnum.substring(0,3) + "***" +accountnum.substring(accountnum.indexOf("@"));
							} else{
								accountnum = "**" + accountnum.substring(accountnum.length-4);
							}
						}
						$("#ae_banknameAndaccountnum").html(bank.bankname+"("+accountnum+")");
						$("#ae_bankname").val(bank.bankname);
						$("#ae_fbacode").val(bank.fbacode);
						$("#selAccount").show();
						$("#addAccount").hide();
					} else{
						$("#selAccount").hide();
						$("#addAccount").show();
					}
					$("#ae_xskyye").html(bank.xskyye);
					//$("#tixian").value=bank.tixian;
				}
			}
		});
	};

	Model.prototype.selectBankaccount = function(event){
		var me = this;
		var url = '$UI/dlapp/page/finance/selectBankAccount.w';
		var params = {
				reloadParent:function(){me.loadBankaccount();}
        };
		justep.Shell.showPage(url, params);
	};

	Model.prototype.doAddCharge=function(){
		var me = this;
		var amountyuan = $("#ae_amountyuan").val().trim();
		var bankname =$("#ae_bankname").val().trim();
		var fbacode =$("#ae_fbacode").val();
		var paypassword = $(".psd-input").eq(1).val();//$("#ae_paypassword").val();
		if(paypassword.trim()===""){
			Alert("请填写支付密码");
			return false;
		}
		dlm.sendRequest({
			"action" : "/finance/doAddExtractcash.action",
			"params" : {
				"amountyuan":amountyuan,
				"bankname":bankname,
				"payway":fbacode,
				"paypassword":paypassword
			},
			"success" : function(json) {
				var result = json.result;
				if(result=="1"){
					layer.closeAll();
					Alert("提现成功");
					me.params.reloadParent();
					me.close();
				} else if(result=="2"){
					Alert(json.data.message);
				}
			}
		});
	};

	Model.prototype.cancel = function(event){
		this.close();
	};

	Model.prototype.extractcashAll = function(event){
		$("#ae_amountyuan").val($("#ae_xskyye").html());
	};

	/*//添加银行卡
	Model.prototype.toAddBankaccount = function(event){
		var me = this;
		var url = '$UI/dlapp/page/finance/toAddBankaccount.w';
		var params = {
            reloadParent:function(){me.loadBankaccount();}
        };
		justep.Shell.showPage(url, params);
	};
	
	//添加支付宝
	Model.prototype.toAddZfbaccount = function(event){
		var me = this;
		var url = '$UI/dlapp/page/finance/toAddZfbaccount.w';
		var params = {
			reloadParent:function(){me.loadBankaccount();}
        };
		justep.Shell.showPage(url, params);
	};*/

	return Model;
});