define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	var Model = function(){
		this.callParent();
	};

	Model.prototype.onloadModel = function(event){
		dlm.sendRequest({
			"action" : "/getApproveInfo.action",
			"params" : {
				
			},
			"success" : function(json) {
				var result = json.result;
				if(result=="1"){
					var personalname = json.data.personalname;
					var personalid = json.data.personalid;
					/*if(personalname.length==2){
						personalname = personalname.substring(0,1) + "*";
					} else if(personalname.length>2){
						personalname = personalname.substring(0,1) + "**";
					}*/
					if(personalid.length>0){
						personalid = personalid.substring(0,3) + " *********** " + personalid.substring(personalid.length-4);
					}
					$("#personalname").html(personalname);
					$("#personalid").html(personalid);
				} else if(result=="2"){
					alert(json.data.message);
				}
			}
		});
	};
	
	Model.prototype.doAddBankaccount = function(event){
		var me = this;
		var accountname = $("#zfb_accountnum").val().trim();
		var reaccountname = $("#zfb_reaccountnum").val().trim();
		if(accountname==""){
			Alert("请输入支付宝账号");
			return;
		}
		if(reaccountname==""){
			Alert("请再次输入支付宝账号");
			return;
		}
		if(accountname!=reaccountname){
			Alert("两次输入的支付宝账号不一致");
			return;
		}
		dlm.sendRequest({
			"action" : "/finance/addExtractBankAccount.action",
			"params" : {
				"isdefault":"1",
				"bankname":"支付宝",
				"accountnum":accountname
			},
			"success" : function(json) {
				var result = json.result;
				if(result=="1"){
					me.params.reloadParent();
					me.close();
				} else if(result=="2"){
					Alert(json.data.message);
				}
			}
		});
		
	};
	
	Model.prototype.back=function(event){
		this.close();
	};
	
	return Model;
});