define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	require("$UI/system/lib/cordova/cordova");
	require("cordova!cordova-plugin-device");
	var Model = function() {
		this.callParent();
	};

	Model.prototype.modelLoad = function(event) {

		// 循环验证非空 并且点亮登录按钮
		var must_num = $(".must-input").length;
		$(".must-input").on('input', function() {
			$(".must-input").each(function(index) {
				var _len = $(this).val().length;
				if (_len < 1) {
					$(".reg-btn").find("a").removeClass("on").addClass("off");
					return false;
				}
				if (index == must_num - 1) {
					$(".reg-btn").find("a").removeClass("off").addClass("on");
				}
			});

		});
		Zepto(".empty").tap(function() {
			$(".reg-btn").find("a").removeClass("on").addClass("off");
		});
	};
	/**
	 * 验证用户密保问题并登录
	 */
	Model.prototype.question_loginClick = function(event) {
		var me = this;
		var checkvalue = $("#checkvalue").val();
		var password = me.params.password;
		var username = me.params.username;
		if (checkvalue && checkvalue.length > 0) {
			if (username && password) {
				// 登录用户名密码校验

				/*
				 * dlm.sendRequest({ "action" : "/loginCheck.action", "params" : {
				 * "username" : username, "password" : password, // "status" :
				 * "md5" "pcname" : device.model, "macaddress" : device.uuid },
				 * "success" : function(json) {
				 * alert(JSON.stringify(json.data)); // localStorage.userinfo =
				 * JSON.stringify(json.data); if (json.result == 1) { }
				 * me.getParent().loginSuccess(); me.close(); } });
				 */
				//if ($(event.delegateTarget).html() == "验证并登录") {
					//$(event.delegateTarget).html("登录中...");
					dlm.sendRequest({
						"action" : "/login.action",
						"params" : {
							"username" : username,
							"password" : password,
							"status" : "md5",
							"checkvalue" : checkvalue,
							"logintype" : "5",
							"pcname" : justep.Browser.isX5App ? device.model : null,
							"macaddress" : justep.Browser.isX5App ? device.uuid : null
						},
						"success" : function(json) {
							if (json.result == 1) {
								localStorage.userinfo = JSON.stringify(json.data);
								//$(event.delegateTarget).html("验证并登陆");
								me.params.refreshMain();
								

							} else {
								Alert(json.data);

							}
						}
					});
				//}
			} else if (!username) {
				Alert("请填写用户名");
			} else if (!password) {
				Alert("请填写密码");
			} else {
				Alert("用户名或者密码错误");

			}

		}

	};

	Model.prototype.a1Click = function(event) {
		this.close();
	};

	return Model;
});