define(function(require) {
	var $ = require("jquery");
	var dlm = require("$UI/dlapp/js/dlm");
	var justep = require("$UI/system/lib/justep");
	var Model = function() {
		this.callParent();
	};
	/**
	 * 发送验证码
	 */
	Model.prototype.getVerifyCodeClick = function(event) {

		/*var me = this;
		//手机号码校验
		if (checkphone(".phone-input") == true) {
			Alert("请输入正确的手机号");
		} else {
			$(".yzm-click").hide();
			$(".djs").show();
			djs();

		}
		//发送验证功码
		dlm.sendRequest({
			"action" : "/register/registerSendCode.action",
			"params" : {
				"phone" : this.getElementByXid("phonenumber").value
			},
			"success" : function(json) {
				localStorage.setItem('verifycode', JSON.stringify(json.data));
				console.log(json);
				console.log(json.data); //
				me.getParent().loginSuccess();
			}
		});*/
		
		var me = this;
		var phone = me.getElementByXid("phonenumber").value;
		if (!(/^1[3|4|5|7|8]\d{9}$/.test(phone))) {
			Alert("请输入正确的手机号");
			return false;
		}
		if (!(/^1[3|4|5|7|8]\d{9}$/.test(phone))) {
			Alert("请输入正确的手机号");
			return false;
		}
		dlm.sendRequest({
			"action" : "/register/checkPhone.action",
			"params" : {
				"phone" : phone
			},
			"success" : function(json) {
				// 未注册
				if (json.result == 1) {
					Alert("用户不存在!");
					return false;
				} else {
					
					// 发送验证码
					dlm.sendRequest({
						"action" : "/register/registerSendCode.action",
						"params" : {
							"phone" : me.getElementByXid("phonenumber").value
						},
						"success" : function(json) {
							if(json.result==1){
								 $(".yzm-click").hide(); $(".djs").show(); djs();
							}else{
								Alert("验证码发送失败!");
							}
						}
					});
				}

			}
		});
	};

	Model.prototype.modelLoad = function(event) {
		// 循环验证非空 并且点亮登录按钮
		var must_num = $(".must-input").length;
		$(".must-input").on('input', function() {
			$(".must-input").each(function(index) {
				var _len = $(this).val().length;
				if ($(this).hasClass("phone-input")) {
					if (checkphone(".phone-input") == true) {
						$(".reg-btn").find("a").removeClass("on").addClass("off");
						return false;
					}
				} else if ($(this).parent("li").hasClass("yzm")) {
					if (_len < 4) {
						$(".reg-btn").find("a").removeClass("on").addClass("off");
						return false;
					}
				}
				;
				if (index == must_num - 1) {
					$(".reg-btn").find("a").removeClass("off").addClass("on");
				}
			});

		});
		Zepto(".empty").tap(function() {
			$(".reg-btn").find("a").removeClass("on").addClass("off");
		});
	};
	/**
	 * 输入验证码点击下一步跳转到重置密码页
	 */

	Model.prototype.toRestPasswordBtn = function(event) {
		var me = this;
		var phone = me.getElementByXid("phonenumber").value;
		var verifycode = me.getElementByXid("verifycode").value;
		
		//校验手机号是否是注册用户
		dlm.sendRequest({
			"action" : "/register/checkPhone.action",
			"params" : {
				"phone" : phone
			},
			"success" : function(json) {
				// 未注册
				if (json.result == 1) {
					Alert("用户不存在!");
					return false;
				} else {
					//校验验证码是否正确
					dlm.sendRequest({
						"action" : "/register/checkCode.action",
						"params" : {
							"phone" : phone,
							"code" : verifycode
						},
						"success" : function(json) {
							console.log(json);
							if(json.result==1){
							var url = '$UI/dlapp/page/login/toResetPassword.w';
							var params = {
							phonenumber:phone,
							code : verifycode
							}
							justep.Shell.showPage(url,params);
							}else{
							Alert(json.data.msg);
							}
						}
						
					});
				}
			}
		});

	};

	Model.prototype.a1Click = function(event){
	this.close();
	};

	return Model;
});