define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	var browser = require("$UI/system/lib/base/browser");
	
	var Model = function(){
		this.callParent();
	};
	
	Model.prototype.a1Click = function(event)
	{
		this.close();
	};

	Model.prototype.modelLoad = function(event)
	{
		var me = this;
        if (browser.isX5App) {
			if (browser.isIOS) {
	        	me.comp("panel1").setHeight("top", 63);
	        } 
		}
	};
	
	Model.prototype.data1CustomRefresh = function(event){
		var me = this;
		dlm.sendRequest({
			"action":"/appNoticeList.action",
			"params":{
				"appNoticeBean.welfare": "1"
			},
			"success":function(json){
				json = json || {};
				var result = json.data || {};
				var today = result.today;
				var yesterday = result.yesterday;
				var data = result.data || [];
				for (var i = 0; i < data.length; i++) {
					var ct = data[i].ct || '';
					ct = ct.replace(today, '今天');
					ct = ct.replace(yesterday, '昨天');
					data[i].ct = ct;
					var ut = data[i].ut || '';
					ut = ut.replace(today, '今天');
					ut = ut.replace(yesterday, '昨天');
					data[i].ut = ut;
				}
				me.comp("data1").loadData(data);
				
			}
		});
	};
	
	Model.prototype.noticeClick = function(event){
		var row = event.bindingContext.$object;
		var noticeid = row.val("id");
		dlm.sendRequest({
			"action":"/appNoticeInfo.action",
			"params":{
				"noticeid":noticeid,
				"from": "welfare"
			},
			"success":function(json){
				if (json && json.data) {
					if (json.data.islinkurl == '2') {
						dlm.goPage("noticeInfo",{data: json.data});
					}
					else if (json.data.islinkurl == '1') {
						dlm.goPage("openUrl",{data: json.data});
					}
					else {
						dlm.goPage("openUrl",{data: json.data});
					}
				}
				
			}
		});
	};

	return Model;
});