define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	
	var Model = function(){
		this.callParent();
	};
	
	Model.prototype.noticeDivClick = function(event){
		// 跳转公告消息
		justep.Shell.showPage(require.toUrl('$UI/dlapp/page/message/noticeList.w'));
	};
	
	Model.prototype.orderDivClick = function(event){
		var me= this;
		justep.Shell.showPage(
				require.toUrl('$UI/dlapp/page/message/orderMsgList.w'),
				{reloadParent:function(){me.modelLoad()}});
	};
	
	Model.prototype.modelLoad = function(event){
		/*// 判断是否存在最新公告时间
		if(window.localStorage){
			var noticeNewTime = window.localStorage['noticeNewTime'];
			var orderUpdateTime = window.localStorage['orderUpdateTime'];
			
			// 判断是否存在
			if(!noticeNewTime){
				noticeNewTime = '';
			}
		}*/
		var me = this;
		dlm.sendRequest({
			"action":"/getMsgCount.action",
			"params":{
				
			},
			"success":function(json){
				if(json && json.result){
					if(json.result=="1"){
						if(json.data.orderMsg){
							var orderMsg = json.data.orderMsg;
							if(orderMsg && orderMsg.CT && parseInt(orderMsg.CT) && parseInt(orderMsg.CT)>0){
								$("#orderMsgNum").html(parseInt(orderMsg.CT)>99 ? "99+":parseInt(orderMsg.CT));
								$("#orderMsgNum").show();
							} else{
								$("#orderMsgNum").hide();
							}
						}
					}
				}
			}
		});
	};
	
	$(".btn-edit").click(function(){
		$('.message-wrap .message-list .message-con').addClass('checked');
		$('.message-wrap .message-list .message-con').removeClass('no-checked');
		
		$(".message-menu").css('display','none');
		$(".message-operate").css('display','block');
		$(".btn-edit").css('display','none');
		$(".btn-cancel-edit").css('display','block');
	});
	$(".btn-cancel-edit").click(function(){
		$('.message-wrap .message-list .message-con').removeClass('checked');
		$('.message-wrap .message-list .message-con').addClass('no-checked');
		$(".message-menu").css('display','block');
		$(".message-operate").css('display','none');
		$(".btn-edit").css('display','block');
		$(".btn-cancel-edit").css('display','none');
		$('.message-wrap .message-list ul li .message-con>em.on').each(function(){
			$(this).removeClass('on');
			$(this).parent().parent().removeClass('checked');
		});
	});
	$('.message-wrap .message-list ul li').click(function(){
		if($('.btn-edit').css('display')=='block'){
			location.href=$(this).find('.message-con a').attr('data-href');
		}else{
			if($(this).find('.message-con > em').hasClass('on')){
				$(this).find('.message-con > em').removeClass('on');
				$(this).removeClass('checked');
			}else{
				$(this).find('.message-con > em').addClass('on');
				$(this).addClass('checked');
			}
			if($('.message-wrap .message-list ul li .message-con>em.on').length>0){
				$('.message-operate a:last-child p').css('color','#3399ff');
			}else{
				$('.message-operate a:last-child p').css('color','#aaa');
			}
		}
		
	});
	
	//全部设置为已读
	$('.message-operate a:first-child').click(function(){
		var _html = $(".ye-box-wrap").html();
		layer.open({
			content:_html,
			className:"ye-type",
			shadeClose: false,
			success: function(){
				$(".ye-box .btn-cancel").click(function(){
					layer.closeAll();
				});
				$(".ye-box .btn-sure").click(function(){
					//此处ajax请求，更新全部未读消息数，然后刷新页面
					location.reload();
					layer.closeAll();
				})
			}
		});
	});
	
	//勾选消息类型全部设置为已读
	
	Model.prototype.clearSelMsg=function(){
		var me = this;
		if($('.message-wrap .message-list ul li .message-con>em.on').length>0){
			$('.message-wrap .message-list ul li .message-con>em.on').each(function(){
				//获取选中的未读消息
				$('.message-wrap .message-list ul li .message-con>em.on').each(function(){
					var msyType = $(this).parent().attr("data");
					me.clearMsg(msyType);
				});
				
			});
		}
	};
	
	Model.prototype.clearMsg=function(msgType){
		if(msgType=="2"){
			this.clearOrderMsg();
		}
	};
	
	Model.prototype.clearOrderMsg=function(event){
		
	};
	
	return Model;
});
