define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	var browser = require("$UI/system/lib/base/browser");
	
	var Model = function(){
		this.callParent();
	};

	Model.prototype.backBtnClick = function(event){
		if(this.params.receiveOrder){
			justep.Shell.showMainPage();
		}else{
			this.close();
		}
	};

	Model.prototype.modelLoad = function(event){
		var me = this;        
		if (browser.isX5App) {
			if (browser.isIOS) {
	        	me.comp("panel1").setHeight("top", 63);
	        } 
		}
		//弹框样式
		$(".btn-none").click(function(event2){
			event2.stopPropagation();
			$(".more-operate").css('display','block');
		});
		$("body").click(function(){
			$(".more-operate").css('display','none');
		});
		
		if(justep.Browser.isX5App){
			this.comp("pricturePage").load("$UI/dlapp/page/orderManage/orderInfo_picture_app.w");
		}else{
			this.comp("pricturePage").load("$UI/dlapp/page/orderManage/orderInfo_picture.w");
		}
	};
	
	//页面离开事件
	Model.prototype.modelInactive = function(event){
		//保存备注
		this.comp("bakPage").getInnerModel().saveBak();
		//关闭弹框
		layer.close(this.comp("infoPage").getInnerModel().cindex);
	};
	
	//子页面切换事件
	Model.prototype.contents1ActiveChange = function(event){
		var index = event.from;
		if(index === 2){
			this.comp("bakPage").getInnerModel().saveBak();
		}
		if(event.to === 1 && !this.comp("pricturePage").getInnerModel().isload){
			this.comp("pricturePage").getInnerModel().isload = 1;
			this.comp("pricturePage").getInnerModel().comp("data1").refreshData();
		}
	};
	
	//跳转消息界面
	Model.prototype.chatClick = function(event){
		dlm.goPage("orderChat",{"orderid":this.params.orderid});
		this.comp("chatCount").deleteAllData();
	};
	
	Model.prototype.chatCountCustomRefresh = function(event){
		var orderid = this.params.orderid;
		var me = this;
		dlm.sendRequest({
			"action":"/getNewChatListCount.action",
			"params":{
				"orderid":orderid
			},
			"timeout":1000,
			"async":true,
			"success":function(json){
				if(json && json.data && json.data.orderid){
					me.comp("chatCount").loadData([json.data]);
					me.comp("chatCount").first();
				}
			}
		});
	};
	
	Model.prototype.shareOrder = function()
	{
		var me = this;
		var info = me.orderinfo;
		this.getParent().receiveOrderShare(info);
	};
	
	Model.prototype.showShareBtn = function()
	{
		var me = this;
		$(me.getElementByXid("shareOrder")).show();
	};
	
	return Model;
});