define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	
	var Model = function(){
		this.callParent();
	};

	//保存备注
	Model.prototype.saveBak = function(event){
		//判断备注是否改变
		if(this.comp("data1").isChanged()){
			var me = this;
			var title = this.comp("data1").getValue("title");
			var content = this.comp("data1").getValue("content");
			var price = this.comp("data1").getValue("price");
			var orderid = this.comp("data1").getValue("orderid");
			//判断金额格式
			var a = /^(([0-9]*)|(([0]\.\d{1,2}|[1-9][0-9]*\.\d{1,2})))$/;
			if(!a.test(price)){
				price = "";
				this.comp("data1").setValue("price",price);
			}
			//执行修改
			dlm.sendRequest({
				"action":"/addUserBak.action",
				"params":{
					"orderid":orderid,
					"title":title,
					"content":content,
					"price":price
				},
				"success":function(json){
					//修改成功后
					me.comp("data1").saveData();
				}
			});
		}
	};

	//备注价格格式提醒
	Model.prototype.input1Blur = function(event){
		var price = this.comp("data1").getValue("price");
		if(price){
			var a = /^(([0-9]*)|(([0]\.\d{1,2}|[1-9][0-9]*\.\d{1,2})))$/;
			if(!a.test(price)){
				Alert("请填写正确的备注金额");
			}
		}
	};

	Model.prototype.input2Blur = function(event){
		var title = this.comp("data1").getValue("title");
		if(title && title.length > 20){
			Alert("标题长度不能大于20");
		}
	};

	Model.prototype.textarea1Blur = function(event){
		var content = this.comp("data1").getValue("content");
		if(content && content.length > 200){
			Alert("内容长度不能大于200");
		}
	};

	return Model;
});