define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	var MD5 = require("$UI/system/lib/base/md5");
	require("cordova!com.verso.cordova.clipboard");
	require("cordova!cordova-plugin-OpenApp");
	require("cordova!cordova-plugin-inappbrowser");
	var md5 = new MD5();
	
	var Model = function(){
		this.callParent();
	};

	//数据加载
	Model.prototype.data1CustomRefresh = function(event){
		var userinfo = JSON.parse(localStorage.userinfo);
		var me = this;
		var orderid = this.getParent().params.orderid;
		//加载中显示
		$(me.getElementByXid("bbloading")).show();
		//获得订单的信息
		dlm.sendRequest({
			"action":"/orderinfo.action",
			"params":{
				"orderid":orderid
			},
			"trust":true,
			"success":function(json){
				var info = json.data.info;
				if (info && info.orderstatus == '1') {
					var parent = me.getParentModel();
					parent.orderinfo = info;
					parent.showShareBtn();
				}
				if(info.sellerid!=userinfo.userid){
				info.sellercouponprice=info.buyercouponprice
				}
				info.sellercouponprice = info.sellercouponprice ? info.sellercouponprice: "0";
			//	console.log(info);
				//加载撤销模块
				if(json.data.repealapply){
					info.cxyy = json.data.repealapply.reason;
					if(userinfo.userid == info.sellerid){
						info.cxjg = "【获得："+json.data.repealapply.bail+"，支出："+json.data.repealapply.refundment+"】"
					}else{
						info.cxjg = "【获得："+json.data.repealapply.refundment+"，支出："+json.data.repealapply.bail+"】";
					}
					info.cxsj = json.data.repealapply.createtime;
				}
				//加载仲裁模块
				if(json.data.arbitration){
					info.sqzcyy = json.data.arbitration.reason;
					if(json.data.arbitration.instruction){
						info.zcsm = json.data.arbitration.instruction;
					}
					if(json.data.arbitration.pcje){
						if(userinfo.userid == info.sellerid){
							info.zcjg = "【获得："+json.data.arbitration.pcje+"，支出："+json.data.arbitration.refundment+"】";
						}else{
							info.zcjg  = "【获得："+json.data.arbitration.refundment+"，支出："+json.data.arbitration.pcje+"】";
						}
					}
				}
				//代练内容和其它说明
				info.dlcontent = info.dlcontent ? info.dlcontent.replace(/\r\n/g, "</p><p>") : "无";
				info.otherdesc = info.otherdesc ? info.otherdesc.replace(/\r\n/g, "</p><p>") : "无";
				//发单人或接单人信息
				if(userinfo.userid == info.sellerid){
					info.isseller = "1";
					
				}else{
					info.isbuyer = "1";
				}
				info.nickname = json.data.userinfo.nickname;
				info.linktel = json.data.userinfo.linktel;
				info.qq = json.data.userinfo.qq;
				//按钮控制
				if(json.data.top && json.data.top.length > 0){
					var top = json.data.top.join(",");
					if(top.indexOf("20002") > -1){
						info.sdzh = "1";
					}
					if(top.indexOf("20004") > -1){
						info.tjyc = "1";
					}
					if(top.indexOf("20005") > -1){
						info.sqys = "1";
					}
					if(top.indexOf("20006") > -1){
						info.sqcx = "1";
					}
					if(top.indexOf("20007") > -1){
						info.sqzc = "1";
					}
					if(top.indexOf("20008") > -1){
						info.qxzc = "1";
					}
					if(top.indexOf("20009") > -1){
						info.tycx = "1";
					}
					if(top.indexOf("20010") > -1){
						info.qxsd = "1";
					}
					if(top.indexOf("20011") > -1){
						info.qxyc = "1";
					}
					if(top.indexOf("20012") > -1){
						info.qxcx = "1";
					}
					if(top.indexOf("20013") > -1){
						info.yswc = "1";
					}
					if(top.indexOf("20015") > -1){
						info.ddpj = "1";
					}
					if(top.indexOf("20017") > -1){
						info.qxys = "1";
					}
					if(top.indexOf("20019") > -1){
						info.zjcx = "1";
					}
					if(top.indexOf("20100") > -1){
						info.qdyx = "1";
					}
					if(top.indexOf("20101") > -1){
						info.spdt = "1";
					}
					if(top.indexOf("20016") > -1){
						info.yjcf = "1";
					}
				}
				//一键重发(未接手，已下架，代练中)
//				var statusMap = {'1':'未接手', '2':'已下架', '3':'代练中'};
//				if (!(info.orderstatus in statusMap)) {
//					info.yjcf = "1";
//				}
				
				if(json.data.center && json.data.center.length > 0){
					var center = json.data.center.join(",");
					if(center.indexOf("22001") > -1){
						info.bs = "1";
					}
					if(center.indexOf("22002") > -1){
						info.bk = "1";
					}
					if(center.indexOf("22003") > -1){
						info.xgmm = "1";
					}
				}
				//加载数据
				me.comp("data1").loadData([info]);
				me.comp("data1").first();
				
				setTimeout(function(){
					//按钮区域的显示隐藏
					if($(me.getElementByXid("detail-bottom")).find(".btn-gray:visible").size() > 0){
						$(me.getElementByXid("detail-bottom")).show();
					}else{
						$(me.getElementByXid("detail-bottom")).hide();
						me.comp("panel2").setHeight("bottom", 0);
					}
					//加载中隐藏
					$(me.getElementByXid("bbloading")).hide();
					//备注数据
					if(json.data.orderbak){
						json.data.orderbak.orderid = info.orderid;
						me.getParent().comp("bakPage").getInnerModel().comp("data1").loadData([json.data.orderbak]);
						me.getParent().comp("bakPage").getInnerModel().comp("data1").first();
					}
				},200);
			}
		});
	};

	//按钮操作
	Model.prototype.buttonOperation = function(event){
		var dom_obj = event.delegateTarget;
		var orderid = this.comp("data1").getValue("orderid");
		var isseller = this.comp("data1").getValue("isseller");
		var unitprice = this.comp("data1").getValue("unitprice");
		var safedeposit = this.comp("data1").getValue("safedeposit");
		var efficiency = this.comp("data1").getValue("efficiency");
		var cxsj = this.comp("data1").getValue("cxsj");
		var control = $(dom_obj).attr("value");
		var me = this;
		var str = $(dom_obj).html();
		//按钮操作判断
		if(control == "22002"){
			//补款，先弹出补款框
			this.openDiv("请输入补款金额", "1", 
				function(bkje){
					//验证金额格式
					var a = /^(([1-9][0-9]*)|(([0]\.\d{1,2}|[1-9][0-9]*\.\d{1,2})))$/;
					if(!a.test(bkje)){
						$(".ye-box .msg").html("金额格式不正确！");
					}else{
						layer.closeAll();
						//支付密码校验
						me.openZfmm(function(psd){
							//提交操作
							me.sendOperation({"orderid":orderid,"control":control,"checkTradePwdRDM":psd,"unitpriceadd":bkje});
						});
					}
				}
			);
		}else if(control == "22001"){
			//补时
			this.openDiv("请输入补充的小时数", "1", 
				function(bs){
					//验证小时格式
					var a = /^([1-9][0-9]*)$/;
					if(!a.test(bs) || bs > 1000){
						$(".ye-box .msg").html("请输入小于1000的正整数！");
					}else{
						layer.closeAll();
						//提交操作
						me.sendOperation({"orderid":orderid,"control":control,"requiretimehadd":bs});
					}
				}
			);
		}else if(control == "22003"){
			//修改密码，弹出修改密码框
			this.openDiv("请输入新密码", "1", 
				function(password){
					//验证密码格式
					if(password.length > 30){
						$(".ye-box .msg").html("请输入小于30位的密码！");
					}else{
						layer.closeAll();
						//提交操作
						me.sendOperation({"orderid":orderid,"control":control,"accountpwd":password});
					}
				}
			);
		}else if(control == "20013"){
			//验收完成
			me.openZfmm(function(psd){
				//提交操作
				me.sendOperation({"orderid":orderid,"control":control,"checkTradePwdRDM":psd});
			});
		}else if(control == "20009"){
			//同意撤销
			me.openZfmm(function(psd){
				//提交操作
				me.sendOperation({"orderid":orderid,"control":control,"checkTradePwdRDM":psd});
			});
		}else if(control == "20006"){
			//申请撤销，打开申请撤销界面
			dlm.goPage("orderInfo_sqcx",{"getParent":function(){return me;},"orderid":orderid,"control":control,"unitprice":unitprice,"safedeposit":safedeposit,"efficiency":efficiency,"isseller":isseller});
		}else if(control == "20007"){
			//申请仲裁，先判断时间是否满足
			
			//打开申请仲裁界面
			dlm.goPage("orderInfo_sqzc",{"getParent":function(){return me;},"orderid":orderid,"control":control});
		}else if(control == "20004"){
			//提交异常
			dlm.goPage("orderInfo_tjyc",{"getParent":function(){return me;},"orderid":orderid,"control":control});
		}else if(control == "20015"){
			//评价订单，打开评价界面
		}else if(control == "20101"){
			//双排大厅，打开双排大厅
		}else if(control == "20019"){
			//战绩查询，打开战绩查询
		}else if(control == "20016"){
			//一键重发
			var orderid = this.getParent().params.orderid;
			dlm.goPage("publish_sec", {"orderid":orderid, "republish":true,operationType:'republic'});
//			dlm.sendRequest({
//				"action":"/orderinfo.action",
//				"params":{
//					"orderid":orderid
//				},
//				"trust":true,
//				"success":function(json){
//					var info = json.data.info;
//					var orderbak = json.data.orderbak;
//					var userinfo = json.data.userinfo;
//					var gamename = info.gamename;
//					var areaname=info.areaname;
//					var accountpwd=info.accountpwd;//密码
//					var servername=info.servername;
//					var ordertitle=info.ordertitle;
//					var unitprice=info.unitprice;
//					var safedeposit=info.safedeposit;
//					var efficiency=info.efficiency;
//					var requiretime=info.requiretime;
//					var accountvalue=info.accountvalue;
//					var accountpwd=info.accountvalue;
//					var dlcontent=info.dlcontent;
//					var dltype = info.dltype;
//					var rolename=info.rolename;
//					var orderorgin=info.orderorgin;
//					//this.data1.receivecheck=$("#badSay-val").val();
//					var otherdesc=info.otherdesc;
//					var price= orderbak.price;
//					var title=orderbak.title;
//					var content=orderbak.content;
//					var linktel= userinfo.linktel;
//					var qq= userinfo.qq;
//					var closeday=info.closeday;
//					var ordersource = info.ordersource;
//					dlm.sendRequest({
//						"action":"/releaseOrder.action",
//						"params":{
//							//"gameid":this.data1.gameid,
//							/*"orderid":this.data1.orderid,*/
//							"gamename":gamename,
//							"areaname":areaname,
//							"servername":servername,
//							"ordertitle":ordertitle,
//							"orderorgin":"0",
//							"unitprice":unitprice,
//							"dltype":dltype,
//							"safedeposit":safedeposit,
//							"efficiency":efficiency,
//							"requiretime":requiretime,
//							"closeday":closeday,
//							"linktel":linktel,
//							"qq":qq,
//							"ordersource":ordersource,
//							"accountvalue":accountvalue,
//							"accountpwd":accountpwd,
//							"rolename":rolename,
//							//"receivecheck":this.data1.receivecheck,
//							"dlcontent":dlcontent,
//							//"paiweijiafen":this.data1.paiweijiafen,
//							"otherdesc":otherdesc,
//							"price":price,
//							"title":title,
//							"content":content
//						},
//						"async":true,
//						"success":function(json){
//							if(json && json.result == "1" && json.data){
//								if(me.data1.orderid){
//									dlm.goPage("publish_final",{"orderId":me.data1.orderid,"isUpdate":"1","gamename":gamename});
//								}else{
//									dlm.goPage("publish_final",{"orderId":json.data.orderid,"isUpdate":"0","gamename":gamename});
//								}
//								
//							}else{
//								Alert(json.data.message);
//								
//							}
//						}
//					});
//				}
//			});
			
		}else{
			//其余的所有操作
			me.openDiv('确定要'+str+'吗？',"3",
				function(){
			    	//发送请求
			    	me.sendOperation({"orderid":orderid,"control":control});
			        layer.closeAll();
			    }
			);
		}
	};
	
	//发送按钮操作
	Model.prototype.sendOperation = function(params,fun){
	
		var me = this;
		dlm.sendRequest({
			"action":"/operationOrder.action",
			"params":params,
			"trust":true,
			"success":function(json){
				if(fun){
					fun(json);
				}else{
					Alert(json.data);
					me.comp("data1").refreshData();
				}
			}
		});
	};
	
	//验证支付密码.fun:返回函数
	Model.prototype.openZfmm = function(fun){
		this.openDiv("请输入支付密码", "2", 
			function(psd){
				psd = md5.hex_md5(md5.hex_md5(psd)+"dlmapp");
				//验证支付密码
				dlm.sendRequest({
					"action":"/checkTradePassword.action",
					"params":{
						"tradePassword":psd,
						"type":"md5"
					},
					"success":function(json){
						if(json && json.result && json.result == "1"){
							//验证成功，返回支付密码验证码
							fun(json.data);
							layer.closeAll();
						}else if(json && json.data && json.data.msg){
							$(".ye-box .msg").html(json.data.msg);
						}else{
							Alert("未知错误");
						}
					}
				});
			}
		);
	};
	
	//弹出,type:1文本，2密码,3确认取消
	Model.prototype.openDiv = function(title,type,fun){
		var _html = '';
		if(type == 3){
			_html += '<div class="ye-box"><div class="ye-box-text search-list-item">'+
					title+
					'</div>'+
					'<div class="btn-sure-cancel">'+
						'<a class="btn-cancel">取消</a>'+
						'<a class="btn-sure">确认</a>'+
					'</div></div>';
		}else{
			_html += '<div class="ye-box"><div class="ye-box-header">'+
						'<em class="iconfont">&#xe601;</em>'+
						'<h2 class="title">'+title+'</h2>'+
					'</div>'+
					'<div class="ye-box-con" style="margin: 0.6rem 0 0.1rem 0;">'+
						'<h5><input class="input" type="'+(type == "2" ? 'password' : 'text')+'" value="" maxlength="30"/></h5>'+
					'</div>'+
					'<span class="msg" style="color:red;">&nbsp;</span>'+
					'<div class="btn-block" style="margin: 0.1rem 0 0.8rem 0;">'+
				    	'<p><a class="button-blue">确  认</a></p>'+
				    '</div>'+
				'</div>';
		}
		this.cindex = layer.open({
			content:_html,
			className:"ye-type",
			shadeClose: false,
			success: function(){
				$(".ye-box-header").find("em.iconfont").click(function(){
					layer.closeAll();
				});
				$(".ye-box .btn-cancel").click(function(){
					layer.closeAll();
				});
				$(".ye-box .input").focus(function(){
					$(".ye-box .msg").html("&nbsp;");
				});
				$(".ye-box .input").focus();
				$(".ye-box .btn-sure").click(function(){
					fun();
				});
				$(".ye-box .button-blue").click(function(){
					var text = $(".ye-box .input").val();
					fun(text);
				});
			}
		});
	};
	//浏览器复制功能
	Model.prototype.copy = function(obj){
	    obj.select(); // 选择对象
		document.execCommand("Copy"); // 执行浏览器复制命令
		Alert("复制成功!");
	}
	Model.prototype.modelLoad = function(event){
	    var me  = this;
	    var myScroll;
		var def = function(e){e.preventDefault();}
		function loaded () {
			myScroll = new IScroll('#kf_wrapper',{
				bounce:false,
				momentum:false
			});
			document.addEventListener('touchmove',def,false);
		};
		//订单号复制
		//
		
		$(".ddbh-copy").click(function(){
			/*$(this).parent().find(".copy-area").addClass("copy-txt"); //找到需要复制的Class并加上copy-txt
			copy(".ddbh-copy"); // 把点击的Class 作为参数传到方法里
              */	
              debugger
         if(window.plugins){
	        var text = $("#game_orderid").val();
			if (!text) {
				return ;
			}
			cordova.plugins.clipboard.copy(text,function(evt){
				Alert("复制成功!");
			});	
			}else{
			    var orderidObj = $("#game_orderid");
			    me.copy(orderidObj);
			}
         });
		
		//点击复制账号密码事件
		$(".zhmm-copy").click(function(event){
		debugger
			event.stopPropagation(); //阻止事件冒泡
			loaded(); // 创建活动菜单
			var _addPadding = parseFloat($(".withdraw-order-wrap").css("padding-top"));
			var mmenuhei = $("#copy_choose_aut").outerHeight(true);
			DownSlide(mmenuhei+_addPadding);
			
			//复制账号
		
				$("#copy_account").click(function(){
					/*$(".copy-zh-txt").addClass("copy-txt");
					copy(".copy-zh");*/
				if(window.plugins){
					var text = $("#game_account").val();
					if (!text) {
						return ;
					}
					cordova.plugins.clipboard.copy(text,function(evt){
						Alert("复制成功!");
					});	
					UpSlide(def,myScroll);
				}else{
			    var game_accountObj = $("#game_account");
			    me.copy(game_accountObj);
			
			}
			
			});
			
			
				//复制密码
				$("#copy_password").click(function(){
			    if(window.plugins){
					/*$(".copy-mm-txt").addClass("copy-txt");
					copy(".copy-mm");*/
					var text = $("#game_password").val();
					if (!text) {
						return ;
					}
					cordova.plugins.clipboard.copy(text,function(evt){
						Alert("复制成功!");
					});	
					UpSlide(def,myScroll);
				}else{
				    var game_passwordObj = $("#game_password");
				    me.copy(game_passwordObj);
				}
			})

			//取消
			$("#copy_cancel_choose").on("tap",function(event){
				UpSlide(def,myScroll); //关闭上滑菜单
			});
			$(document).click(function(event){
				UpSlide(def,myScroll); //关闭上滑菜单
			});
			$("#copy_offer_float").on("tap",function(event){
				event.stopPropagation();
			});
			
		});
//||||||| .r10976
/*=======
	var me =this;
	var myScroll;
		var def = function(e){e.preventDefault();}
		function loaded () {
			myScroll = new IScroll('#kf_wrapper2',{
				bounce:false,
				momentum:false
			});
			document.addEventListener('touchmove',def,false);
		};
		//订单号复制
		$(".ddbh-copy").click(function(){
			$(this).parent().find(".copy-area").addClass("copy-txt"); //找到需要复制的Class并加上copy-txt
			copy(".ddbh-copy"); // 把点击的Class 作为参数传到方法里
              	
        var text = $(me.getElementByXid("game_orderid")).text();
		if (!text) {
			return ;
		}
		cordova.plugins.clipboard.copy(text,function(evt){
			Alert("复制成功!");
		});	
});
	
	//点击复制账号密码事件
		$(".zhmm-copy").click(function(event){
			event.stopPropagation(); //阻止事件冒泡
			loaded(); // 创建活动菜单
			var _addPadding = parseFloat($(".withdraw-order-wrap").css("padding-top"));
			var mmenuhei = $("#copy_choose_aut").outerHeight(true);
			DownSlide(mmenuhei+_addPadding);
			//复制账号
			$("#copy_account").click(function(){
				$(".copy-zh-txt").addClass("copy-txt");
				copy(".copy-zh");
				var text = $(me.getElementByXid("game_account")).text();
				if (!text) {
					return ;
				}
				cordova.plugins.clipboard.copy(text,function(evt){
					Alert("复制成功!");
				});	
				UpSlide(def,myScroll);
			});
			
			//复制密码
			$("#copy_password").click(function(){
				$(".copy-mm-txt").addClass("copy-txt");
				copy(".copy-mm");
				var text = $(me.getElementByXid("game_pwd")).text();
				if (!text) {
					return ;
				}
				cordova.plugins.clipboard.copy(text,function(evt){
					Alert("复制成功!");
				});	
				UpSlide(def,myScroll);
			});
			//取消
			$("#copy_cancel_choose").on("tap",function(event){
				UpSlide(def,myScroll); //关闭上滑菜单
			});
			$(document).click(function(event){
				UpSlide(def,myScroll); //关闭上滑菜单
			});
			$("#copy_offer_float").on("tap",function(event){
				event.stopPropagation();
			});
			
		});
>>>>>>> .r11074*/
	};
	
	Model.prototype.modelInactive = function(event){
		
	};
	
	return Model;
});