define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	
	var Model = function(){
		this.callParent();
	};

	Model.prototype.finishClick = function(){
		var me = this;
		var parent = this.params.getParent();
		var orderid = this.params.orderid;
		var control = this.params.control;
		var reason = $(this.getElementByXid("reason")).val();
		var bail = $(this.getElementByXid("bail")).val();
		var refundment = $(this.getElementByXid("refundment")).val();
		var unitprice = parseFloat(this.params.unitprice);
		var safedeposit = parseFloat(this.params.safedeposit);
		var efficiency = parseFloat(this.params.efficiency);
		var isseller = this.params.isseller;
		var a = /^(([0-9]*)|(([0]\.\d{1,2}|[1-9][0-9]*\.\d{1,2})))$/;
		if(reason == ""){
			Alert("请填写撤销原因");
			return;
		}
		if(bail == ""){
			Alert("请填写赔付金额");
			return;
		}
		if(refundment == ""){
			Alert("请填写代练金额");
			return;
		}
		if(!a.test(bail)){
			Alert("请填写正确的赔付金额");
			return;
		}
		if(!a.test(refundment)){
			Alert("请填写正确的代练金额");
			return;
		}
		bail = parseFloat(bail);
		refundment = parseFloat(refundment);
		if(bail > (safedeposit+efficiency)){
			Alert("赔付金额不能大于总保证金");
			return;
		}
		if(refundment > unitprice){
			Alert("代练费用不能大于订单金额");
			return;
		}
		//上家需要验证支付密码
		if(isseller){
			parent.openZfmm(function(psd){
				parent.sendOperation({"orderid":orderid,"control":control,"reason":reason,"bail":bail,"refundment":refundment,"checkTradePwdRDM":psd});
				me.close();
			});
		}else{
			parent.sendOperation({"orderid":orderid,"control":control,"reason":reason,"bail":bail,"refundment":refundment});
			me.close();
		}
	};
	
	Model.prototype.data1CustomRefresh = function(event){
		var info = {};
		info.orderid = this.params.orderid;
		info.control = this.params.control;
		info.unitprice = this.params.unitprice;
		info.safedeposit = this.params.safedeposit;
		info.efficiency = this.params.efficiency;
		info.isseller = this.params.isseller;
		this.comp("data1").loadData([info]);
	};
	
	Model.prototype.backClick = function(event){
		this.close();
	};
	
	return Model;
});