define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var browser = require("$UI/system/lib/base/browser");
	var dlm = require("$UI/dlapp/js/dlm");
	var Model = function(){
		this.callParent();
	};
	
	Model.prototype.doLoad = function(event)
	{
		var me = this;
		if (browser.isX5App) {
			if (browser.isIOS) {
	        	me.comp("panel1").setHeight("top", 63);
	        } 
		}
		dlm.sendRequest({
			"action" : "/getPayInfoOrder.action",
			"params" : {oid: me.params.oid},
			"success" : function(json) {
				console.log(json);
			}
		});
	};
	
	Model.prototype.back = function(event)
	{
		this.close();
	};
	
	Model.prototype.backOrderManage = function(event)
	{
		var me = this;
		var userinfo = localStorage.userinfo ? JSON.parse(localStorage.userinfo) : null;
		//校验登录状态
		if(!userinfo){
			dlm.goPage("login");
			return;
		}
		var main = me.getParent().comp("mainContainer").getInnerModel();
		justep.Shell.closeAll();
		justep.Shell.showPage("main");
		main.comp("orderManageContainer").getInnerModel().comp("releaseManageContainer").getInnerModel().comp("data1").refreshData();
		main.comp("contents1").to("orderManageContent",function(){
			main.comp("orderManageContainer").getInnerModel().comp("contents1").to("releaseManageContent");
			justep.Shell.showMainPage();
		});
	};
	
	Model.prototype.backPerson = function(event)
	{
		var me = this;
		var userinfo = localStorage.userinfo ? JSON.parse(localStorage.userinfo) : null;
		//校验登录状态
		if(!userinfo){
			dlm.goPage("login");
			return;
		}
		var main = me.getParent().comp("mainContainer").getInnerModel();
		justep.Shell.closeAll();
		justep.Shell.showPage("main");
		main.comp("contents1").to("personalContent",function(){
			main.comp("personalContainer").getInnerModel().loadPersonalInfo();
			justep.Shell.showMainPage();
		});
	};

	return Model;
});