define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	var Model = function() {
		this.callParent();
	};

	Model.prototype.phone_confirmClick = function(event) {
		var me = this;
		var linktel = $("#linktel").val();
		if (!((/^1[3|4|5|7|8]\d{9}$/.test(linktel))||(/^0\d{2,3}-?\d{7,8}$/.test(linktel)))) {
			Alert("请输入正确的联系电话");
			return false;
		}
		dlm.sendRequest({
			"action" : "/setUserInfo.action",
			"params" : {
				linktel : linktel
			},
			"success" : function(json) {
				console.log(json);
				me.params.reloadParent();
				me.close();

			}
		});
	};

	Model.prototype.a1Click = function(event) {
		this.close();
	};

	Model.prototype.modelLoad = function(event) {
		var phone = this.params.phone;

		if ("未设置" == phone) {
			$("#linktel").val("")
		} else {
			$("#linktel").val(phone)
		}

	};

	return Model;
});