define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");

	var Model = function(){
		this.callParent();
	};

	Model.prototype.toEditPhone = function(event){
		var me = this;
		var url = "$UI/dlapp/page/personal/toEditPhone.w";
		var params = {
            reloadParent:function(){me.onloadModel();}
        };
		justep.Shell.showPage(url,params);
	};
	
	Model.prototype.aboutClick = function(event)
	{
		var url = '$UI/dlapp/page/personal/about.w';
		justep.Shell.showPage(url);
	};

	Model.prototype.setPassword = function(event){
		var me = this;
		var url = "$UI/dlapp/page/personal/setPassword.w";
		var params = {
            reloadParent:function(){me.onloadModel();}
        };
		justep.Shell.showPage(url,params);
	};

	Model.prototype.setPayPwd = function(event){
		var me = this;
		var url = "$UI/dlapp/page/personal/setPayPwd.w";
		var params = {
            reloadParent:function(){me.onloadModel();}
        };
		justep.Shell.showPage(url,params);
	};
	
	Model.prototype.loginProtect = function(event){
		var me = this;
		var url = "$UI/dlapp/page/personal/loginProtect.w";
		var params = {
            reloadParent:function(){me.onloadModel();}
        };
		justep.Shell.showPage(url,params);	};

	Model.prototype.onloadModel = function(event){
		var me = this;
		dlm.sendRequest({
			"action" : "/getLoginUserInfo.action",
			"params" : {
			},
			"success" : function(json) {
				var user = json.data;
				if(user){
					var phone = user.phone;
					var isboundtransaction = user.isboundtransaction;
					if(phone){
						$(me.getElementByXid("phone")).html("修改");
					} else{
						$(me.getElementByXid("phone")).html("未绑定手机号码");
					}
					if(isboundtransaction && isboundtransaction=="1"){
						$(me.getElementByXid("pawpwd")).html("修改");
					} else{
						$(me.getElementByXid("pawpwd")).html("未设置支付密码");
					}
				}
			}
		});
	};

	//清楚缓存
	Model.prototype.clearStorge=function(event){
		var me = this;
		var _html= $(".ye-box-wrap").html();
		layer.open({
			content:_html,
			className:"ye-type",
			shadeClose: false,
			success: function(){
				$(".ye-box .btn-cancel").click(function(){
					layer.closeAll();
				});
				$(".ye-box .btn-sure").click(function(){
					localStorage.clear();
					dlm.goPage("login",null);
					layer.closeAll();
				})
			}
		});
	};

	//退出登录
	Model.prototype.logout=function(event){
		var me = this;
		dlm.sendRequest({
			"action" : "/logout.action",
			"params" : {
			},
			"success" : function(json) {
				localStorage.removeItem("userinfo");
				dlm.goPage("login",null);
				//me.close();
			}
		});
	};

	Model.prototype.back=function(event){
		this.close();
	};

	return Model;
});