define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	var Model = function(){
		this.callParent();
	};

	Model.prototype.setPayPwd=function(event){
		var me = this;
		var oldPayPwd = $(this.getElementByXid("oldPayPwd")).val();
		var newPayPwd = $(this.getElementByXid("newPayPwd")).val();
		var renewPayPwd = $(this.getElementByXid("renewPayPwd")).val();
		var isboundtransaction = $(me.getElementByXid("isboundtransaction")).val();
		if(isboundtransaction=="0"){
			if(newPayPwd.trim()==""){
				Alert("请输入新密码");
				return;
			}
			if(renewPayPwd.trim()==""){
				Alert("请再次输入新密码");
				return;
			}
			if(newPayPwd.trim()!=renewPayPwd.trim()){
				Alert("两次新密码输入不一致");
				return;
			}
			
			dlm.sendRequest({
				"action" : "/updateTradePassword.action",
				"params" : {
					"newPassword" : newPayPwd
				},
				"success" : function(json) {
					if(json.result=="1"){
						Alert("设置成功");
						me.params.reloadParent();
						me.close();
					} else{
						Alert(json.data);
					}
				} 
			});
		} else{
			if(oldPayPwd.trim()==""){
				Alert("原始密码不正确");
				return;
			}
			if(newPayPwd.trim()==""){
				Alert("请输入新密码");
				return;
			}
			if(renewPayPwd.trim()==""){
				Alert("请再次输入新密码");
				return;
			}
			if(newPayPwd.trim()!=renewPayPwd.trim()){
				Alert("两次新密码输入不一致");
				return;
			}
		
			dlm.sendRequest({
				"action" : "/updateTradePassword.action",
				"params" : {
					"oldPassword" : oldPayPwd,
					"newPassword" : newPayPwd
				},
				"success" : function(json) {
					if(json.result=="1"){
						Alert("设置成功");
						me.params.reloadParent();
						me.close();
					} else{
						Alert(json.data);
					}
				} 
			});
		}
	};
	
	Model.prototype.back=function(event){
		this.close();
	};
	
	Model.prototype.onloadModel = function(event){
		var me = this;
		dlm.sendRequest({
			"action" : "/getLoginUserInfo.action",
			"params" : {
			},
			"success" : function(json) {
				var user = json.data;
				if(user){
					var isboundtransaction = user.isboundtransaction;
					if(isboundtransaction){
						$(me.getElementByXid("isboundtransaction")).val(isboundtransaction);
						if(isboundtransaction==0){
							$(me.getElementByXid("oldPayPwdDiv")).hide();
							$(me.getElementByXid("forgetPwd")).hide();
						}
					}
				}
			} 
		});
	};
	
	Model.prototype.toForgetPayPwd=function(event){
		var me = this;
		var url = "$UI/dlapp/page/personal/toForgetPayPwd.w";
		var params = {
			reloadParent:function(){me.onloadModel()}
		};
		justep.Shell.showPage(url,params);
	};
	
	return Model;
});