define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	var Model = function() {
		this.callParent();
	};
	/**
	 * 添加个性签名
	 */
	Model.prototype.addSignatureClick = function(event) {
		var me = this;
		var signature = $("#signautre_input").val();
		if (signature.length > 50) {
			Alert("请填写50字以内签名");
			return false;
		}
		dlm.sendRequest({
			"action" : "/setUserInfo.action",
			"params" : {
				signature : signature
			},
			"success" : function(json) {
				console.log(json);
				me.params.reloadParent();
				me.close();
				if (signature && signature !== "") {
					if (signature.length > 12) {
						signature = signature.substring(0, 8) + "......"
					}
					$("#signature").html("个性签名：" + signature);
				}

			}
		});
	};

	Model.prototype.modelLoad = function(event) {
		var signature = this.params.signature;
		if("未设置"==signature){
			$("#signautre_input").val("")
		}else{
			$("#signautre_input").val(signature)
		}
	};

	Model.prototype.a1Click = function(event) {
		this.close();
	};

	return Model;
});