define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	var Model = function(){
		this.callParent();
	};
	
	Model.prototype.onloadModel = function(event){
		var me = this;
		dlm.sendRequest({
			"action" : "/getLoginUserInfo.action",
			"params" : {
			},
			"success" : function(json) {
				var user = json.data;
				if(user){
					var phone = user.phone;
					if(phone){
						$(me.getElementByXid("phone")).val(phone);
						$(me.getElementByXid("phone")).attr('readonly',true);
					}
				}
			}
		});
	};
	
	Model.prototype.sendVerifycode = function(event){
		var me = this;
		var phone = $(me.getElementByXid("phone")).val();
		if(phone===""){
			Alert("请输入手机号");
			return;
		}
		dlm.sendRequest({
			"action" : "/sendVerificationCode.action",
			"params" : {
				"phone": phone
			},
			"success" : function(json) {
				if(json.result=="1"){
					$(me.getElementByXid("yzm")).hide();
					$(me.getElementByXid("djs")).show();
					localStorage.setItem("edit_phone", 1);
					var clean = setInterval(function(){
						var djs_s = $(me.getElementByXid("djs-s"));
						var time = parseInt(djs_s.html());
						if(time===0){
							clearInterval(clean);
							$(me.getElementByXid("yzm")).show();
							$(me.getElementByXid("djs")).hide();
							djs_s.html(60);
							return;
						}
						time--;
						djs_s.html(time);
					}, 1000);
				} else{
					Alert("发送失败，请稍后重试");
				}
			}
		});
		
	};
	
	Model.prototype.back=function(event){
		this.close();
	};
	
	Model.prototype.forgetPayPwdClick = function(event){
		var me = this;
		var verifycode = $(this.getElementByXid("verifycode")).val();
		var phone = $(this.getElementByXid("phone")).val();
		//var isbind = $(me.getElementByXid("submitBut")).attr("data");
		if(verifycode===""){
			Alert("请填写6位有效验证码");
			return;
		}
		//if(isbind==="1"){
			dlm.sendRequest({
				"action" : "/cancleTradePassword.action",
				"params" : {
					"verificationcode":verifycode
				},
				"success" : function(json) {
					if(json.result=="1"){
						Alert("取消成功");
						me.params.reloadParent();
						me.close();
					} else if(json.result=="2"){
						Alert(json.data);
					}
				}
			});
		/*} else if(isbind==="0"){
			dlm.sendRequest({
				"action" : "/updateBoundPhone.action",
				"params" : {
					"verificationcode":verifycode
				},
				"success" : function(json) {
					if(json.result=="1"){
						if(isbind==="1"){
							Alert("绑定成功");
						} else if(isbind==="0"){
							Alert("解绑成功");
						}
						me.params.reloadParent();
						me.close();
					} else if(json.result=="2"){
						Alert(json.data);
					}
				}
			});
		}*/
		//me.params.reloadParent();
		//me.close();
	};		


	
	return Model;
});