define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	var gameinfolist = require("$UI/dlapp/js/gameinfo_app");
	var browser = require("$UI/system/lib/base/browser");
	
	var Model = function(){
		this.callParent();
	};
	
	Model.prototype.showCoupon = false;
	
	Model.prototype.data1 = {
		orderid:"",
		gameid:"",
		gamename:"",
		areaname:"",
		servername:"",
		rolename:"",
		dltype:"",
		ordertitle:"",
		unitprice:"",
		requiretime:"",
		safedeposit:"",
		efficiency:"",
		accountvalue:"",
		accountpwd:"",
		otherdesc:"",
		orderorgin:"0",
		dlcontent:"",
		receivecheck:"",
		closeday:"",
		onshelf:"",
		linktel:"",
		qq:"",
		price:"",
		title:"",
		content:"",
		paiweijiafen:"",
		ordersource:"0",
		//autoLoginVal:"",//自动登录
		//owner_phone:""//号主手机
		orginuserid:""
		/*paiwei:{
			begingrade:"",
			beginstar:"",
			endgrade:"",
			endstar:"",
			currShengDian:""
		},
		dingwei:{
			lastSaiDuanWei:"",
			changci:""
		},
		jinji:{
			duanweiName:"",
			duanweiStar:"",
			shengchang:"",
			fuchang:""
		}*/
	};
	
	
	Model.prototype.chushihua = function(){
		var me =this;
		var _gameinfo;
		var _gamelist;
		var _orderUl = me.getElementByXid("zpType");
		var _ul = me.getElementByXid("hero_qu_fu");
		var _heroDlUl = me.getElementByXid("heroDlType");
		var _game  = gameinfolist.list;
		
		for(var i =0;i<_game.length;i++){
			if(_game[i].id==me.data1.gameid){
				_gameinfo = _game[i];
				_gamelist = _game[i].list;
			}
		}
		for(var i =0;i<_gamelist.length;i++){
			if(_gamelist[i].name=="全区全服"){
				continue;
			}
			var _html ='<li>'+
						'<span data-val="'+_gamelist[i].name+'">'+_gamelist[i].name+'</span>'+
						'<ul>';
			for(var j=0;_gamelist[i] && _gamelist[i].list && j<_gamelist[i].list.length;j++){
				if(_gamelist[i].list[j].name=="全服"){
					continue;
				}
				 _html +='<li data-val="'+_gamelist[i].list[j].name+'">'+_gamelist[i].list[j].name+'</li>';
			}
			_html +='</ul>'+
					'</li>';
			$(_ul).append(_html);
		}
		for(var i=0;_gameinfo.zptype && i<_gameinfo.zptype.length;i++){
			var _html='<li><span data-val="'+_gameinfo.zptype[i]+'">'+_gameinfo.zptype[i]+'</span></li>';
			$(_orderUl).append(_html);
		}
		for(var i=0;_gameinfo.herodltype && i<_gameinfo.herodltype.length;i++){
			var _html='<li><span data-val="'+_gameinfo.herodltype[i]+'">'+_gameinfo.herodltype[i]+'</span></li>';
			$(_heroDlUl).append(_html);
		}
	  	
	  	Zepto('.zpType').mobiscroll().treelist({
	        theme: 'mobiscroll',
	        lang: 'zh',
	        display: 'bottom',
	        inputClass: 'sec-input',
	        placeholder: '请选择组排类型',
	        onSelect: function (valueText, inst) {
	        	var typeval = $('.zpType>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
	        	$("#zpType-val").val(typeval);
	        	
	        	$('.button-blue-hero').text("");
	        	$('.button-blue-hero').text("算算价格");
	        	me.showCouponInfo();
	        	$('#heroSubmitType').val("query");
	        	
	        },
	        formatResult: function (array) { //返回自定义格式结果
	        	onDlType = $('.zpType>li').eq(array[0]).children('span');
	        	return  onDlType.text();                   
	        }
	    });
	    
	    Zepto('.hero-qf-input').mobiscroll().treelist({
	        theme: 'mobiscroll',
	        lang: 'zh',
	        display: 'bottom',
	        inputClass: 'sec-input',
	        width: [160, 170],
	        placeholder: '请选择游戏区服',
	        labels: ['qu-hero', 'fu-hero'],
	        onSelect: function (valueText, inst) {
	        	var quval = $('.hero-qf-input>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
	        	var fuval = $('.hero-qf-input>li').eq(inst._tempWheelArray[0]).find('ul').find('li[data-val='+inst._tempWheelArray[1]+']').attr('data-val');
	        	$("#hero_qu-val").val(quval);
	        	$("#hero_fu-val").val(fuval);
	        	
	        	$('.button-blue-hero').text("");
	        	$('.button-blue-hero').text("算算价格");
	        	me.showCouponInfo();
	        	$('#heroSubmitType').val("query");
	        },
	        formatResult: function (array) { //返回自定义格式结果
	        	qu = $('.hero-qf-input>li').eq(array[0]).children('span');
	        	fu = $('.hero-qf-input>li').eq(array[0]).find('ul').find('li[data-val='+array[1]+']');
	        	return  qu.text() + ' ' + fu.text();           
	        }
	    });
	    
	    Zepto('.heroDlType').mobiscroll().treelist({
	        theme: 'mobiscroll',
	        lang: 'zh',
	        display: 'bottom',
	        inputClass: 'sec-input',
	        placeholder: '请选择代练类型',
	        onSelect: function (valueText, inst) {
	        	var typeval = $('.heroDlType>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
	        	$("#hero-dlType-val").val(typeval);
	        	
	        	if(typeval=='排位'){
	        		$('#heroTitle').show();
	        		$('.grade-item-dignwei').hide();
	        		$('.grade-item-jinji').hide();
	        		$('.grade-item-paiwei').show();
	        	}else if(typeval=='定位'){
	        		$('#heroTitle').show();
	        		$('.grade-item-paiwei').hide();
	        		$('.grade-item-jinji').hide();
	        		$('.grade-item-dignwei').show();
	        	}else if(typeval=='晋级'){
	        		$('#heroTitle').show();
	        		$('.grade-item-paiwei').hide();
	        		$('.grade-item-dignwei').hide();
	        		$('.grade-item-jinji').show();
	        	}
	        	
	        	$('.button-blue-hero').text("");
	        	$('.button-blue-hero').text("算算价格");
	        	me.showCouponInfo();
	        	$('#heroSubmitType').val("query");
	        	
	        },
	        formatResult: function (array) { //返回自定义格式结果
	        	onDlType = $('.heroDlType>li').eq(array[0]).children('span');
	        	return  onDlType.text();                   
	        }
	    });
	    
	    
	    Zepto('.grade-start-hero').mobiscroll().treelist({
	        theme: 'mobiscroll',
	        lang: 'zh',
	        display: 'bottom',
	        inputClass: 'sec-input',
	        placeholder: '请选择初始段位',
	        onSelect: function (valueText, inst) {
	        	var nameval = $('.grade-start-hero>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
	        	var starval = $('.grade-start-hero>li').eq(inst._tempWheelArray[0]).find('ul').find('li[data-val='+inst._tempWheelArray[1]+']').attr('data-val');
	        	$("#start-name-val-hero").val(nameval);
	        	$("#start-star-val-hero").val(starval);
	        	
	        	$('.button-blue-hero').text("");
	        	$('.button-blue-hero').text("算算价格");
	        	me.showCouponInfo();
	        	$('#heroSubmitType').val("query");
	        },
	        formatResult: function (array) { //返回自定义格式结果
	        	n = $('.grade-start-hero>li').eq(array[0]).children('span');
	        	s = $('.grade-start-hero>li').eq(array[0]).find('ul').find('li[data-val='+array[1]+']');
	        	return  n.text() + ' ' + s.text();                   
	        }
	    });
    
	    Zepto('.grade-target-hero').mobiscroll().treelist({
	        theme: 'mobiscroll',
	        lang: 'zh',
	        display: 'bottom',
	        inputClass: 'sec-input',
	        placeholder: '请选择目标段位',
	       onSelect: function (valueText, inst) {
	        	var nameval = $('.grade-target-hero>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
	        	var starval = $('.grade-target-hero>li').eq(inst._tempWheelArray[0]).find('ul').find('li[data-val='+inst._tempWheelArray[1]+']').attr('data-val');
	        	$("#target-name-val-hero").val(nameval);
	        	$("#target-star-val-hero").val(starval);
	        	
	        	$('.button-blue-hero').text("");
	        	$('.button-blue-hero').text("算算价格");
	        	me.showCouponInfo();
	        	$('#heroSubmitType').val("query");
	        },
	        formatResult: function (array) { //返回自定义格式结果
	        	n = $('.grade-target-hero>li').eq(array[0]).children('span');
	        	s = $('.grade-target-hero>li').eq(array[0]).find('ul').find('li[data-val='+array[1]+']');
	        	return n.text() + ' ' + s.text();                   
	        }
	    });
	    
	    
	    Zepto('.grade-start-dingwei').mobiscroll().treelist({
	        theme: 'mobiscroll',
	        lang: 'zh',
	        display: 'bottom',
	        inputClass: 'sec-input',
	        placeholder: '请选择上赛季段位',
	        onSelect: function (valueText, inst) {
	        	var nameval = $('.grade-start-dingwei>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
	        	$("#start-name-val-hero-dingwei").val(nameval);
	        	
	        	$('.button-blue-hero').text("");
	        	$('.button-blue-hero').text("算算价格");
	        	me.showCouponInfo();
	        	$('#heroSubmitType').val("query");
	        },
	        formatResult: function (array) { //返回自定义格式结果
	        	n = $('.grade-start-dingwei>li').eq(array[0]).children('span');
	        	s = $('.grade-start-dingwei>li').eq(array[0]).find('ul').find('li[data-val='+array[1]+']');
	        	return  n.text() + ' ' + s.text();                   
	        }
	    });
	    
	    
	    Zepto('.grade-start-changci').mobiscroll().treelist({
	        theme: 'mobiscroll',
	        lang: 'zh',
	        display: 'bottom',
	        inputClass: 'sec-input',
	        placeholder: '请选择场次',
	        onSelect: function (valueText, inst) {
	        	var nameval = $('.grade-start-changci>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
	        	$("#hero-changci-val").val(nameval);
	        	
	        	$('.button-blue-hero').text("");
	        	$('.button-blue-hero').text("算算价格");
	        	me.showCouponInfo();
	        	$('#heroSubmitType').val("query");
	        },
	        formatResult: function (array) { //返回自定义格式结果
	        	n = $('.grade-start-changci>li').eq(array[0]).children('span');
	        	s = $('.grade-start-changci>li').eq(array[0]).find('ul').find('li[data-val='+array[1]+']');
	        	return  n.text() + ' ' + s.text();                   
	        }
	    });
	    
	    
	    
	    
	    Zepto('.grade-start-jinji').mobiscroll().treelist({
	        theme: 'mobiscroll',
	        lang: 'zh',
	        display: 'bottom',
	        inputClass: 'sec-input',
	        placeholder: '请选择段位',
	        onSelect: function (valueText, inst) {
	        	var nameval = $('.grade-start-jinji>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
	        	var starval = $('.grade-start-jinji>li').eq(inst._tempWheelArray[0]).find('ul').find('li[data-val='+inst._tempWheelArray[1]+']').attr('data-val');
	        	$("#start-name-val-hero-jinji").val(nameval);
	        	$("#start-star-val-hero-jinji").val(starval);
	        	
	        	var selectedValue = nameval+starval;
	        	if("黄铜1" == selectedValue || "白银1" == selectedValue || "黄金1" == selectedValue
	        					 				|| "铂金1" == selectedValue || "钻石1" == selectedValue){
	        		$("#ul-hero-win").empty("");
	        		$("#ul-hero-win").append("<li><span data-val='0'>0场</span></li><li><span data-val='1'>1场</span></li><li><span data-val='2'>2场</span></li>");
	        		
	        		$("#ul-hero-negative").empty("");
	        		$("#ul-hero-negative").append("<li><span data-val='0'>0场</span></li><li><span data-val='1'>1场</span></li><li><span data-val='2'>2场</span></li>");
	        	}else{
	        		
	        		$("#ul-hero-win").empty("");
	        		$("#ul-hero-win").append("<li><span data-val='0'>0场</span></li><li><span data-val='1'>1场</span></li>");
	        		
	        		$("#ul-hero-negative").empty("");
	        		$("#ul-hero-negative").append("<li><span data-val='0'>0场</span></li><li><span data-val='1'>1场</span></li>");
	        	}
	        	//初始化为0场
	        	$("#hero-dlType-val-win").val("0").attr("data-val","0场");
	        	$("#hero-dlType-val-negative").val("0").attr("data-val","0场");
	        	
	        	Zepto('.ul-hero-win').mobiscroll().treelist({
			        theme: 'mobiscroll',
			        lang: 'zh',
			        display: 'bottom',
			        inputClass: 'sec-input',
			        placeholder: '0场',
			        onSelect: function (valueText, inst) {
			        	var typeval = $('.ul-hero-win>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
			        	$("#hero-dlType-val-win").val(typeval);
			        	
			        	$('.button-blue-hero').text("");
			        	$('.button-blue-hero').text("算算价格");
			        	me.showCouponInfo();
			        	$('#heroSubmitType').val("query");
			        	
			        },
			        formatResult: function (array) { //返回自定义格式结果
			        	onDlType = $('.ul-hero-win>li').eq(array[0]).children('span');
			        	return  onDlType.text();                   
			        }
			    });
			    
			    
			    Zepto('.ul-hero-negative').mobiscroll().treelist({
			        theme: 'mobiscroll',
			        lang: 'zh',
			        display: 'bottom',
			        inputClass: 'sec-input',
			        placeholder: '0场',
			        onSelect: function (valueText, inst) {
			        	var typeval = $('.ul-hero-negative>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
			        	$("#hero-dlType-val-negative").val(typeval);
			        	
			        	$('.button-blue-hero').text("");
			        	$('.button-blue-hero').text("算算价格");
			        	me.showCouponInfo();
			        	$('#heroSubmitType').val("query");
			        	
			        },
			        formatResult: function (array) { //返回自定义格式结果
			        	onDlType = $('.ul-hero-negative>li').eq(array[0]).children('span');
			        	return  onDlType.text();                   
			        }
			    });
	        	
	        	$('.button-blue-hero').text("");
	        	$('.button-blue-hero').text("算算价格");
	        	me.showCouponInfo();
	        	$('#heroSubmitType').val("query");
	        	
	        },
	        formatResult: function (array) { //返回自定义格式结果
	        	n = $('.grade-start-jinji>li').eq(array[0]).children('span');
	        	s = $('.grade-start-jinji>li').eq(array[0]).find('ul').find('li[data-val='+array[1]+']');
	        	return  n.text() + ' ' + s.text();                   
	        }
	    });
	    
	    
	    $('#shengdian').bind('input propertychange', function() {  
	  		$('.button-blue-hero').text("");
        	$('.button-blue-hero').text("算算价格");
        	me.showCouponInfo();
        	$('#heroSubmitType').val("query");
		}); 
	    
	    
	}
	
	Model.prototype.modelLoad = function(event){
		var me = this;      
		if (browser.isX5App) {
			if (browser.isIOS) {
	        	me.comp("panel1").setHeight("top", 63);
	        } 
		}
        
        //页面属性初始化，将传过来的值进行初始化赋值
		me.propertyInit(event);
		//页面显示初始化
		me.pageShowInit(event);
		me.showCouponInfo();
        
		var myScroll;
		var def = function(e){e.preventDefault();}
		function loaded () {
			//加载默认的事件
			myScroll = new IScroll('#ba_wrapper1',{
				bounce:false,
				momentum:false
			});
			document.addEventListener('touchmove',def,false);
		};
		
	};
	
	Model.prototype.getCouponInfo = function()
	{
		var me = this;
		var userinfo = localStorage.userinfo ? JSON.parse(localStorage.userinfo) : null;
		if (userinfo) {
			
			dlm.sendRequest({
				"action" : "/coupon/getAvailableCoupons.action",
				"params" : {template_apply_game: 'G603', template_apply_role: '1', template_apply_platform: '1102'},
				"success" : function(json) {
					if (json && json.result == 1) {
						var count = json.count;
						var parval = count == 0 ? null : json.data[json.data.length - 1].parval;
						if (count == 0) {
							me.showCoupon = false;
							$(me.getElementByXid("couponInfo")).hide();
							$(me.getElementByXid("hasIligalOperations")).hide();
						}
						else {
							dlm.sendRequest({
								"action" : "/coupon/hasIligalOperations.action",
								"params" : {},
								"success" : function(json) {
									me.hasIligalOperations = json.data;
									if (json.data) {
										//非法操作
										$(me.getElementByXid("hasIligalOperations")).show();
										me.showCoupon = false;
										$(me.getElementByXid("couponInfo")).hide();
									}
									else {
										$(me.getElementByXid("couponInfo")).find("span").html("您有" + count +"张最高" + parval + "元的优惠券可使用哦~");
										$(me.getElementByXid("couponInfo")).show();
										me.showCoupon = true;
									}
								}
							});	
							
						}
					}
				}
			});
			
		}
	};
	
	Model.prototype.showCouponInfo = function()
	{
		var me = this;
		var userinfo = localStorage.userinfo ? JSON.parse(localStorage.userinfo) : null;
		if (userinfo) {
			me.setToRegistVisible(false);
			if (me.showCoupon == null) {
				me.getCouponInfo();
			}
			else if (me.showCoupon) {
				$(me.getElementByXid("couponInfo")).show();
			}
			else {
				$(me.getElementByXid("couponInfo")).hide();
			}
		}
		else {
			me.setToRegistVisible(true);
			$(me.getElementByXid("couponInfo")).hide();
		}
		$(me.getElementByXid("bottom1")).find(".release-bottom").show();
		me.coupon = null;
	};
	
	
	/*Model.prototype.modeActive = function(event){
		var me = this;
		//判断是新建订单还是修改订单
        var currNoPayOrder = dlm.getCache("currNoPayOrder");
        if(currNoPayOrder && currNoPayOrder.gamename == "英雄联盟"){
        	console.log("订单更新");
        	//修改订单，此时将显示已创建的未支付订单信息，在此基础上的所有修改都是更新
        	var currNoPayOrderTemp = JSON.parse(currNoPayOrder);
        	me.data1.orderid = currNoPayOrderTemp.orderid;
        }
	};*/
	
	
	Model.prototype.propertyInit = function(event){
		
		//订单新建
		var me = this;
    	me.data1.gameid= this.params.gameid;
		me.data1.gamename=this.params.gamename;
		
	};
	
	
	Model.prototype.pageShowInit = function(event){
	
		//订单新建
		var me = this;
		$("#heroCurrGameId").val(me.data1.gameid);
		$("#heroCurrGameName").val(me.data1.gamename);
		
		me.chushihua();
		
		$("#hero-dlType-val").val("排位").attr("data-val","排位");
		$(me.getElementByXid("heroDlType")).prev().val("排位");
		$('#heroTitle').show();
		$('.grade-item-dignwei').hide();
		$('.grade-item-jinji').hide();
		$('.grade-item-paiwei').show();
		
		/*
		//判断是新建订单还是修改订单
        var currNoPayOrder = dlm.getCache("currNoPayOrder");
        if(currNoPayOrder){
        	
        	console.log("订单更新");
        	//修改订单，此时将显示已创建的未支付订单信息，在此基础上的所有修改都是更新
        	currNoPayOrder = JSON.parse(currNoPayOrder);
        	me.data1.orderid = currNoPayOrder.orderid;
        	me.data1.gameid= currNoPayOrder.gameid;
			me.data1.gamename=currNoPayOrder.gamename;
			$("#heroCurrGameId").val(currNoPayOrder.gameid);
			$("#heroCurrGameName").val(currNoPayOrder.gamename);
			
			me.chushihua();
			
			//页面其他内容进行变更显示
			$("#zpType-val").val(currNoPayOrder.dltype).attr("data-val",currNoPayOrder.dltype);
			$(me.getElementByXid("zpType")).prev().val(currNoPayOrder.dltype);
			$("#hero_qu-val").val(currNoPayOrder.areaname).attr("data-val",currNoPayOrder.areaname);
			$("#hero_fu-val").val(currNoPayOrder.servername).attr("data-val",currNoPayOrder.servername);
			$(me.getElementByXid("hero_qu_fu")).prev().val(currNoPayOrder.areaname + ' ' + currNoPayOrder.servername);
			
			var cachedDlType = currNoPayOrder.dltype;
			if(cachedDlType=='排位'){
        		$('#heroTitle').show();
        		$('.grade-item-dignwei').hide();
        		$('.grade-item-jinji').hide();
        		$('.grade-item-paiwei').show();
				
        		//初始段位
        		$("#start-name-val-hero").val(currNoPayOrder.areaname).attr("data-val",currNoPayOrder.areaname);
				$("#start-star-val-hero").val(currNoPayOrder.servername).attr("data-val",currNoPayOrder.servername);
				$(me.getElementByXid("hero_qu_fu")).prev().val(currNoPayOrder.areaname + ' ' + currNoPayOrder.servername);
				//目标段位
				$("#target-name-val-hero").val(currNoPayOrder.areaname).attr("data-val",currNoPayOrder.areaname);
				$("#target-star-val-hero").val(currNoPayOrder.servername).attr("data-val",currNoPayOrder.servername);
				$(me.getElementByXid("hero_qu_fu")).prev().val(currNoPayOrder.areaname + ' ' + currNoPayOrder.servername);
				//当前胜点
				$("#shengdian").val();
			
        	}else if(cachedDlType=='定位'){
        		$('#heroTitle').show();
        		$('.grade-item-paiwei').hide();
        		$('.grade-item-jinji').hide();
        		$('.grade-item-dignwei').show();
        		
        		
        	}else if(cachedDlType=='晋级'){
        		$('#heroTitle').show();
        		$('.grade-item-paiwei').hide();
        		$('.grade-item-dignwei').hide();
        		$('.grade-item-jinji').show();
        		
        		
        	}
        }*/
	}
	
	
	
	Model.prototype.cancle_heroPriceQuey = function(event){
		var me = this;
		me.close();
	};
	
	
	Model.prototype.heroPriceClick = function(event){
		
		var me = this;
		var submitValue = $('#heroSubmitType').val();
		if('query' == submitValue){
			
			var currAreaName = $.trim($("#zpType-val").val());
			if(currAreaName ==""){
				Alert("请选择组排类型");
				return;
			}
			
			var currAreaName = $.trim($("#hero_qu-val").val());
			if(currAreaName ==""){
				Alert("请选择大区名称");
				return;
			}
			
			var currServerName = $.trim($("#hero_fu-val").val());
			if(currServerName ==""){
				Alert("请选择服务器名称");
				return;
			}
			
			//代练类型验证
			var dltypeValue = $.trim($("#hero-dlType-val").val());
			if(dltypeValue == ""){
				Alert("请选择代练类型");
				return;
			}else if(dltypeValue != "" && dltypeValue == "排位"){
			
				var beginLe01Hero = $.trim($("#start-name-val-hero").val());
				var beginLe02Hero = $.trim($("#start-star-val-hero").val());
				if(beginLe01Hero == "" || beginLe02Hero == ""){
					Alert("请选择初始段位");
					return;
				}
				
				var endLe01Hero = $.trim($("#target-name-val-hero").val());
				var endLe02Hero = $.trim($("#target-star-val-hero").val());
				if(endLe01Hero == "" || endLe02Hero == ""){
					Alert("请选择目标段位");
					return;
				}
				
				var g = /^[1-9]*[1-9][0-9]*$/; 
				var currShengDian = $.trim($("#shengdian").val());
				if(currShengDian ==""){
					Alert("请输入胜点");
					return;
				}else if(!g.test(currShengDian) || (parseInt(currShengDian)<0 || parseInt(currShengDian)>100)){
					Alert("请输入0-100的正整数胜点");
					return;
				}
				
			}else if(dltypeValue != "" && dltypeValue == "定位"){
			
				var dingweiduanwei = $.trim($("#start-name-val-hero-dingwei").val());
				if(dingweiduanwei == ""){
					Alert("请选择段位");
					return;
				}
				
				var changci = $.trim($("#hero-changci-val").val());
				if(changci == ""){
					Alert("请选择场次");
					return;
				}
				
			}else if(dltypeValue != "" && dltypeValue == "晋级"){
			
				var beginLe01HeroJin = $.trim($("#start-name-val-hero-jinji").val());
				var beginLe02HeroJin = $.trim($("#start-star-val-hero-jinji").val());
				if(beginLe01HeroJin == "" || beginLe02HeroJin == ""){
					Alert("请选择段位");
					return;
				}
				
				var shengchang = $.trim($("#hero-dlType-val-win").val());
				if(shengchang == ""){
					Alert("请选择胜场");
					return;
				}
				
				var fuchang = $.trim($("#hero-dlType-val-negative").val());
				if(fuchang == ""){
					Alert("请选择负场");
					return;
				}
				
			}
					
			$(me.getElementByXid("heroPriceQueryloading")).show();	
			//取值
			var heroCurrParams = {
					"areaname": $("#hero_qu-val").val(),
					"servername": $("#hero_fu-val").val(),
					"ordertitle": ""
			};
			
			var zpValue = $("#zpType-val").val();
			var heroDlTypeParam = $("#hero-dlType-val").val();
			if(dltypeValue == "排位"){
				
				heroCurrParams.ordertitle = "【"+zpValue.substring(0,2)+heroDlTypeParam+"】 "+$("#start-name-val-hero").val()
																			+" "+$("#start-star-val-hero").val()+"-"+$("#target-name-val-hero").val()
																					+" "+$("#target-star-val-hero").val()+" 已有"+$.trim($("#shengdian").val())+"胜点";
			}else if(dltypeValue == "定位"){
				heroCurrParams.ordertitle = "【"+zpValue.substring(0,2)+heroDlTypeParam+"赛】 "+$("#start-name-val-hero-dingwei").val()
																			+" 需打"+$("#hero-changci-val").val()+"场";
			}else if(dltypeValue == "晋级"){
				heroCurrParams.ordertitle = "【"+zpValue.substring(0,2)+heroDlTypeParam+"赛】 "+$("#start-name-val-hero-jinji").val()
																			+" "+$("#start-star-val-hero-jinji").val()+" 已有"+$("#hero-dlType-val-win").val()+"胜"
																					+$("#hero-dlType-val-negative").val()+"负";
			}
			
			//请求定价
			dlm.sendRequest({
				type : "POST",
				"action":"/data/getBasePriceByTitleApp.action",
				"params":heroCurrParams,
				"async":true,
				"success":function(json){
				
					$(me.getElementByXid("heroPriceQueryloading")).hide();
					if(json && (json.result == "0" || json.result == "2")){
						Alert("标题无法识别");
						return;
					}else if(json && json.result == "1"){
						console.log("价格：" + json.data.msg);
						$(".heroPriceQueryNew p:eq(0) em").text(json.data.msg);
						//$(".calculate-result p:eq(1) em").text(json.data.data.requiretime);	//时间
						$(".heroPriceQueryNew").show();
						
						$('.button-blue-hero').text("");
						$('.button-blue-hero').text("下一步");
						$('#heroSubmitType').val("add");
						
						me.useCoupon();
					}
				}
			});
			return;
			
		}
		if('add' == submitValue){
			//校验登录状态
			var userinfo = localStorage.userinfo ? JSON.parse(localStorage.userinfo) : null;
			if(!userinfo){
				layer.closeAll();
				dlm.goPage("login", {jumpPage: justep.Shell.impl.getActivePageXid()});
				return;
			}
			
			var params = {};
			params.orderid=me.data1.orderid;
			params.gameId=$("#heroCurrGameId").val();
			params.gameName=$("#heroCurrGameName").val();
			params.areaname=$("#hero_qu-val").val();
			params.servername=$("#hero_fu-val").val();
			params.dltype=$("#hero-dlType-val").val();
			params.zptype=$("#zpType-val").val();
			
			/*if(params.dltype == "排位"){
				params.paiwei = {};
				params.paiwei.begingrade = $.trim($("#start-name-val-hero").val());
				params.paiwei.beginstar = $.trim($("#start-star-val-hero").val());
				params.paiwei.endgrade = $.trim($("#target-name-val-hero").val());
				params.paiwei.endstar = $.trim($("#target-star-val-hero").val());
				params.paiwei.currShengDian = $.trim($("#shengdian").val());
			}else if(params.dltype == "定位"){
				params.dingwei = {};
				params.dingwei.lastSaiDuanWei = $.trim($("#start-name-val-hero-dingwei").val());
				params.dingwei.changci = $.trim($("#hero-changci-val").val());
			}else if(params.dltype == "晋级"){
				params.jinji = {};
				params.jinji.duanweiName = $.trim($("#start-name-val-hero-jinji").val());
				params.jinji.duanweiStar = $.trim($("#start-star-val-hero-jinji").val());
				params.jinji.shengchang = $.trim($("#hero-dlType-val-win").val());
				params.jinji.fuchang = $.trim($("#hero-dlType-val-negative").val());
			}
*/			
			
			//代练类型验证
			var dltypeValue = $.trim($("#hero-dlType-val").val());
			var heroDlTypeParam = $("#hero-dlType-val").val();
			var zpValue = $("#zpType-val").val();
			var currHeroTitle = "";
			if(dltypeValue == "排位"){
				params.shengdian = $.trim($("#shengdian").val());
				params.currMubiao = $("#start-name-val-hero").val() +" "+$("#start-star-val-hero").val()+"-"+$("#target-name-val-hero").val()+" "+$("#target-star-val-hero").val();
				currHeroTitle = "【"+zpValue.substring(0,2)+heroDlTypeParam+"】 "+$("#start-name-val-hero").val()
																			+" "+$("#start-star-val-hero").val()+"-"+$("#target-name-val-hero").val()
																					+" "+$("#target-star-val-hero").val()+" 已有"+$.trim($("#shengdian").val())+"胜点";
			}else if(dltypeValue == "定位"){
				params.changci = $("#hero-changci-val").val();
				params.lastduanwei = $("#start-name-val-hero-dingwei").val();
				currHeroTitle = "【"+zpValue.substring(0,2)+heroDlTypeParam+"】 "+$("#start-name-val-hero-dingwei").val()
																			+" 需打"+$("#hero-changci-val").val()+"场";
			}else if(dltypeValue == "晋级"){
				params.shengchang = $("#hero-dlType-val-win").val();
				params.fuchang = $("#hero-dlType-val-negative").val();
				params.currduanwei = $("#start-name-val-hero-jinji").val()+" "+$("#start-star-val-hero-jinji").val();
				currHeroTitle = "【"+zpValue.substring(0,2)+heroDlTypeParam+"】 "+$("#start-name-val-hero-jinji").val()
																			+" "+$("#start-star-val-hero-jinji").val()+" 已有"+$("#hero-dlType-val-win").val()+"胜"
																					+$("#hero-dlType-val-negative").val()+"负";
			}
			
			
			params.efficiency = "20";
			params.safedeposit = "20";
			params.unitprice=$(".heroPriceQueryNew p:eq(0) em").text();
			params.ordertitle=currHeroTitle;
			params.dlcontent="请尽快上号代练哦";
			if (me.coupon) {
				params.couponcode = me.coupon.code;
				params.couponprice = me.coupon.parval;
			}
			dlm.goPage("publish_sec_new",params);
			return;
		}
		
	};
	
	Model.prototype.toRegisterPage = function()
	{
		dlm.goPage("register", {jumpPage: justep.Shell.impl.getActivePageXid()});
	};
	
	Model.prototype.toAvailableCoupon = function()
	{
		dlm.goPage("availableCoupon", {template_apply_game: 'G603', template_apply_role: '1', template_apply_platform: '1102'});
	};
	
	Model.prototype.onActive = function(event)
	{
		//页面激活事件
		var me = this;
		var type = $('#heroSubmitType').val();
		var userinfo = localStorage.userinfo ? JSON.parse(localStorage.userinfo) : null;
		if (userinfo) {
			me.setToRegistVisible(false);
			if (type == 'add') {
				//add 下一步
				me.useCoupon();
			}
			else {
				//query 算算价格
				me.getCouponInfo();
			}
		}
		else {
			me.showCouponInfo();
		}
	};
	
	Model.prototype.useCoupon = function()
	{
		var me = this;
		var orderPrice = $(".heroPriceQueryNew p:eq(0) em").text();
		$(me.getElementByXid("couponInfo")).hide();						
		var userinfo = localStorage.userinfo ? JSON.parse(localStorage.userinfo) : null;
		if (userinfo) {
			dlm.sendRequest({
				"action" : "/coupon/getAvailableCoupons.action",
				"params" : {template_apply_game: 'G603', orderprice:orderPrice, template_apply_role: '1', template_apply_platform: '1102'},
				"success" : function(json) {
					if (json && json.result == 1) {
						var count = json.count;
						if (count == 0) {
							$(me.getElementByXid("couponInfo")).hide();
							$(me.getElementByXid("hasIligalOperations")).hide();
						}
						else {
							var coupon = json.data[json.data.length - 1];
							dlm.sendRequest({
								"action" : "/coupon/hasIligalOperations.action",
								"params" : {},
								"success" : function(json) {
									me.hasIligalOperations = json.data;
									if (json.data) {
										//非法操作
										$(me.getElementByXid("hasIligalOperations")).show();
										$(me.getElementByXid("couponInfo")).hide();
									}
									else {
										$(me.getElementByXid("bottom1")).find(".release-bottom").hide();
										$(me.getElementByXid("paymoney")).html(orderPrice);
										me.coupon = coupon;
										$(me.getElementByXid("payless")).html(coupon.parval);
									}
								}
							});
						}
					}
				}
			});
		}
	};
	
	Model.prototype.onInactive = function(event)
	{
		//页面离开事件
			


	};
	
	Model.prototype.setToRegistVisible = function(bool)
	{
		var me = this;
		if (bool) {
			if (me.lastQueryRegisterMil != null) {
				var currentMil = new Date().getTime();
				if (currentMil - me.lastQueryRegisterMil < 60000) {
					if (me.lastQueryRegisterCount > 0) {
						$(me.getElementByXid("toRegister")).show();
					}
					else {
						$(me.getElementByXid("toRegister")).hide();
					}
					return;
				}
			}
			dlm.sendRequest({
				"action" : "/coupon/getRegisterCoupons.action",
				"params" : {},
				"success" : function(json) {
					me.lastQueryRegisterMil = new Date().getTime();
					me.lastQueryRegisterCount = json.count;
					if (json.count > 0) {
						$(me.getElementByXid("toRegister")).show();
					}
					else {
						$(me.getElementByXid("toRegister")).hide();
					}
				}
			});	
			
		}
		else {
			$(me.getElementByXid("toRegister")).hide();
		}
	};
	
	return Model;
});

