define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	var constant = require("$UI/dlapp/js/constant");
	require("$UI/system/lib/cordova/cordova");
	require("cordova!cordova-plugin-device");
	require("cordova!com.justep.cordova.plugin.alipay");
	require("cordova!cordova-plugin-OpenBrowser");
    require("cordova!cordova-plugin-inappbrowser");
	var Model = function() {
		this.callParent();
	};

	String.prototype.startWith = function(s) {
		if (s == null || s == "" || this.length == 0 || s.length > this.length)
			return false;
		if (this.substr(0, s.length) == s)
			return true;
		else
			return false;
		return true;
	}

	Model.prototype.noPayOrderId = "";
	Model.prototype.onlinePayType = ""; // 当前支付方式

	Model.prototype.data1 = {
		orderid : "",
		gameid : "",
		gamename : "",
		areaname : "",
		servername : "",
		rolename : "",
		dltype : "",
		ordertitle : "",
		unitprice : "",
		requiretime : "",
		safedeposit : "",
		efficiency : "",
		accountvalue : "",
		accountpwd : "",
		otherdesc : "",
		orderorgin : "0",
		dlcontent : "",
		receivecheck : "",
		closeday : "",
		onshelf : "",
		linktel : "",
		qq : "",
		price : "",
		title : "",
		content : "",
		paiweijiafen : "",
		ordersource : "0",
		// autoLoginVal:"",//自动登录
		// owner_phone:""//号主手机
		orginuserid : ""
	};

	Model.prototype.onlineBackClick = function(event) {
	//发单管理进入的支付，返回直接返回到发单管理；查价发单进入的要判断订单状态是否是未支付以外的状态
	var me=this;
	
	if (me.params.enterFrom && me.params.enterFrom == "orderManage") {
	//Alert(1)
	me.close();
	}else{
	//Alert(2)
	dlm.sendRequest({
				"action" : "/orderinfo.action",
				"params" : {
					"orderid" : me.params.releaseOrder.orderid
				},
				async : false,
				"trust" : true,
				"success" : function(json) {
					if (json.result == "1") {
					var info = json.data.info;
					if(info.orderstatus=="0"){
					//Alert(3)
                   	   me.close();  
					}else{
				//	Alert(4)
						dlm.goPage("publish_final", {
							"orderId" : info.orderid,
							"isUpdate" : "0",
							"gamename" : info.gamename
						});
					}
					}else{
					
					}
					}
					});
					
		}
		
	};




	Model.prototype.modelLoad = function(event) {

		var me = this;
		dlm.sendRequest({
			"action" : "/listpay.action",
			"success" : function(json) {
				var result = json.data;
              	if (json.result == "1") {
					for (var i = 0; i < result.length; i++) {
						var paytype = result[i];

						if (paytype.payid == "1001") {
							$("#zfb").show()
						} else if (paytype.payid == "1002") {
							$("#wx").show()
						} else if (paytype.payid == "1003") {
							$("#yb").show()
						}else if (paytype.payid == "1004") {
							$("#wx").show()
						}
					}

					var u = navigator.userAgent;
					var isAndroid = (u.indexOf('Android') > -1 || u.indexOf('Adr') > -1) && u.indexOf('x5app') > -1; // android终端app
					var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/) && u.indexOf('x5app') > -1; // ios终端

					// 在m端时，隐藏支付宝按钮
					if (isAndroid == false && isiOS == false) {
						var isWeixin = u.toLowerCase().indexOf('micromessenger') > -1;
						if (isWeixin) {
							$("#zfb").hide();
							// 20170803由于微信公众号被封，微信浏览器无法完成微信支付，所以隐藏掉
							$("#wx").hide()
						}
					}
					// 页面显示初始化
					me.pageShowInit(event);
					// 页面加载事件初始化
					// me.pageEventInit(event);
				}
			}
		});

	};
	/*
	 * //如果未支付订单绑定过优惠券，支付之前，展示出来 Model.prototype. Coupon = function(event) { if
	 * (me.params.couponprice && me.params.couponprice != "0") {
	 * $("#couponmoney").text(me.params.couponprice); $("#usemoney").show();
	 * $("#usercount").hide(); $("#nouse").hide();
	 * $(me.getElementByXid("payless")).text(me.params.couponprice);
	 *  } }
	 */

	// 查看红包
	Model.prototype.showCoupon = function(event) {

		var me = this;
		if (me.params.couponprice && me.params.couponprice == "0") {
			me.selectCouponCount(event);
		} else if (me.params.couponprice && me.params.couponprice != "0") {
			$("#couponmoney").text(me.params.couponprice);
			$("#usemoney").show();
			$("#usercount").hide();
			$("#nouse").hide();
			$(me.getElementByXid("payless")).text(me.params.couponprice);
			me.selectCouponCount(event, true);

		} else {
			me.selectCouponCount(event);

		}
	}

	Model.prototype.pageShowInit = function(currParams) {

		var me = this;
		if (me.params.enterFrom && me.params.enterFrom == "orderManage") {
			// 从发单管理中未支付订单中点击去支付跳到在线支付页面
			dlm.sendRequest({
				"action" : "/orderinfo.action",
				"params" : {
					"orderid" : me.params.orderid
				},
				async : false,
				"trust" : true,
				"success" : function(json) {
					var info = json.data.info;
					me.data1.orderid = info.orderid;
					me.data1.gameid = info.gameid;
					me.data1.gamename = info.gamename;
					me.data1.ordertitle = info.ordertitle;
					me.data1.areaname = info.areaname;
					me.data1.servername = info.servername;
					me.data1.unitprice = info.unitprice;
					// 查看红包信息
					me.showCoupon(event);

					$("#onlinePayOrderid").val(me.data1.orderid);
					// 头部展示
					$(me.getElementByXid("online_title")).text("");
					var currOrderTitle = "";
					if (me.data1.ordertitle.length > 20) {
						currOrderTitle = me.data1.ordertitle.substring(0, 17) + "..";
					} else {
						currOrderTitle = me.data1.ordertitle;
					}
					$(me.getElementByXid("online_title")).text(currOrderTitle);
					$(me.getElementByXid("online_qufu")).text("");
					$(me.getElementByXid("online_qufu")).text(me.data1.areaname + " " + me.data1.servername);
					$(me.getElementByXid("online_price")).text("");
					$(me.getElementByXid("online_price")).text(me.data1.unitprice);

					if (me.params.couponprice) {
						var paymoney = (me.data1.unitprice * 10000 - me.params.couponprice * 10000) / 10000;
						$(me.getElementByXid("paymoney")).text("");
						$(me.getElementByXid("paymoney")).text(paymoney);
						me.payMoney = paymoney + "";
					} else {
						$(me.getElementByXid("paymoney")).text("");
						$(me.getElementByXid("paymoney")).text(me.data1.unitprice);
						me.payMoney = me.data1.unitprice;
					}

					// 支付展示
					var currGameid = me.data1.gameid;
					$(me.getElementByXid("onliPayGameImg")).attr("src", "");
					if ("G603" == currGameid) {
						$(me.getElementByXid("onliPayGameImg")).attr("src", "http://cloundss.oss-cn-hangzhou.aliyuncs.com/dlm/images/yx_icon/yx_lol.png");
					} else if ("G604" == currGameid) {
						$(me.getElementByXid("onliPayGameImg")).attr("src", "http://cloundss.oss-cn-hangzhou.aliyuncs.com/dlm/images/yx_icon/yx_wzry.png");
					} else if ("G605" == currGameid) {
						$(me.getElementByXid("onliPayGameImg")).attr("src", "http://cloundss.oss-cn-hangzhou.aliyuncs.com/dlm/images/yx_icon/yx_swxf.png");
					} else if ("G606" == currGameid) {
						$(me.getElementByXid("onliPayGameImg")).attr("src", "http://cloundss.oss-cn-hangzhou.aliyuncs.com/dlm/images/yx_icon/yx_qqdzz.png");
					} else if ("G607" == currGameid) {
						$(me.getElementByXid("onliPayGameImg")).attr("src", "http://cloundss.oss-cn-hangzhou.aliyuncs.com/dlm/images/yx_icon/yx_hszz.png");
					}

					// 支付方式选中
					dlm.sendRequest({
						"action" : "/finance/getCurrentPayWay.action",
						"params" : {
							"unitprice" : me.payMoney
						},
						"async" : true,
						"success" : function(json) {
							/**
							 * 支付方式： 0：余额支付 1: 支付宝支付 2: 微信支付 3: 网银支付
							 */
							if (json && json.result == "1" && json.data) {
								var payway = json.data.payway;
								if ("0" == payway) {
									// 余额支付
									$(me.getElementByXid("zhifu_yue")).html("&#xe633;").css("color", "#f74a4a").parent().siblings("li").find(".gx").html("&#xe993;").css("color", "#aaa");
									me.onlinePayType = "10000";
								} else if ("1" == payway) {
									// 支付宝支付
									$(me.getElementByXid("zhifu_zhifubao")).html("&#xe633;").css("color", "#f74a4a").parent().siblings("li").find(".gx").html("&#xe993;").css("color", "#aaa");
									me.onlinePayType = "3002";
								} else if ("2" == payway) {
									// 微信支付
									$(me.getElementByXid("zhifu_weixin")).html("&#xe633;").css("color", "#f74a4a").parent().siblings("li").find(".gx").html("&#xe993;").css("color", "#aaa");
									me.onlinePayType = "3134";
								} else if ("3" == payway) {
									// 网银支付
									$(me.getElementByXid("zhifu_wangyin")).html("&#xe633;").css("color", "#f74a4a").parent().siblings("li").find(".gx").html("&#xe993;").css("color", "#aaa");
									me.onlinePayType = "3000";
								}

							}
						}
					});

					// 可用余额
					dlm.sendRequest({
						"action" : "/finance/getAccountInfo.action",
						"params" : {

						},
						"success" : function(json) {
							if (parseFloat(json.data.A) >= parseFloat(me.payMoney)) {
								$(me.getElementByXid("canUseMoney")).text(json.data.A);
							} else {
								$(me.getElementByXid("canUseMoneyDiv")).empty();
								$(me.getElementByXid("canUseMoneyDiv")).text("余额不足支付");
								$(me.getElementByXid("zhifu_yue")).remove();
							}
						}
					});

					// 需付金额
					/* $(me.getElementByXid("orderPrice")).text(me.data1.unitprice); */

				}
			});

		} else if (me.params.releaseOrder) {

			// 从去代练入口进行跳到在线支付
			me.data1.orderid = me.params.releaseOrder.orderid;
			me.data1.gameid = me.params.releaseOrder.gameid;
			me.data1.gamename = me.params.releaseOrder.gamename;
			me.data1.ordertitle = me.params.releaseOrder.ordertitle;
			me.data1.areaname = me.params.releaseOrder.areaname;
			me.data1.servername = me.params.releaseOrder.servername;
			me.data1.unitprice = me.params.releaseOrder.unitprice;
			// 查看红包信息
			me.showCoupon(event);

			$("#onlinePayOrderid").val(me.data1.orderid);
			// 头部展示
			$(me.getElementByXid("online_title")).text("");
			var currOrderTitle = "";
			if (me.data1.ordertitle.length > 20) {
				currOrderTitle = me.data1.ordertitle.substring(0, 17) + "..";
			} else {
				currOrderTitle = me.data1.ordertitle;
			}
			$(me.getElementByXid("online_title")).text(currOrderTitle);
			$(me.getElementByXid("online_qufu")).text("");
			$(me.getElementByXid("online_qufu")).text(me.data1.areaname + " " + me.data1.servername);
			$(me.getElementByXid("online_price")).text("");
			$(me.getElementByXid("online_price")).text(me.data1.unitprice);

			if (me.params.couponprice) {
				var paymoney = (me.data1.unitprice * 10000 - me.params.couponprice * 10000) / 10000;
				$(me.getElementByXid("paymoney")).text("");
				$(me.getElementByXid("paymoney")).text(paymoney);
				me.payMoney = paymoney + "";
			} else {
				$(me.getElementByXid("paymoney")).text("");
				$(me.getElementByXid("paymoney")).text(me.data1.unitprice);
				me.payMoney = me.data1.unitprice;
			}

			// 支付展示
			var currGameid = me.data1.gameid;
			$(me.getElementByXid("onliPayGameImg")).attr("src", "");
			if ("G603" == currGameid) {
				$(me.getElementByXid("onliPayGameImg")).attr("src", "http://cloundss.oss-cn-hangzhou.aliyuncs.com/dlm/images/yx_icon/yx_lol.png");
			} else if ("G604" == currGameid) {
				$(me.getElementByXid("onliPayGameImg")).attr("src", "http://cloundss.oss-cn-hangzhou.aliyuncs.com/dlm/images/yx_icon/yx_wzry.png");
			} else if ("G605" == currGameid) {
				$(me.getElementByXid("onliPayGameImg")).attr("src", "http://cloundss.oss-cn-hangzhou.aliyuncs.com/dlm/images/yx_icon/yx_swxf.png");
			} else if ("G606" == currGameid) {
				$(me.getElementByXid("onliPayGameImg")).attr("src", "http://cloundss.oss-cn-hangzhou.aliyuncs.com/dlm/images/yx_icon/yx_qqdzz.png");
			} else if ("G607" == currGameid) {
				$(me.getElementByXid("onliPayGameImg")).attr("src", "http://cloundss.oss-cn-hangzhou.aliyuncs.com/dlm/images/yx_icon/yx_hszz.png");
			}

			// 支付方式选中
			dlm.sendRequest({
				"action" : "/finance/getCurrentPayWay.action",
				"params" : {
					"unitprice" : me.payMoney
				},
				"async" : true,
				"success" : function(json) {
					/**
					 * 支付方式： 0：余额支付 1: 支付宝支付 2: 微信支付 3: 网银支付
					 */
					if (json && json.result == "1" && json.data) {
						var payway = json.data.payway;
						if ("0" == payway) {
							// 余额支付
							$(me.getElementByXid("zhifu_yue")).html("&#xe633;").css("color", "#f74a4a").parent().siblings("li").find(".gx").html("&#xe993;").css("color", "#aaa");
							me.onlinePayType = "10000";
						} else if ("1" == payway) {
							// 支付宝支付
							$(me.getElementByXid("zhifu_zhifubao")).html("&#xe633;").css("color", "#f74a4a").parent().siblings("li").find(".gx").html("&#xe993;").css("color", "#aaa");
							me.onlinePayType = "3002";
						} else if ("2" == payway) {
							// 微信支付
							$(me.getElementByXid("zhifu_weixin")).html("&#xe633;").css("color", "#f74a4a").parent().siblings("li").find(".gx").html("&#xe993;").css("color", "#aaa");
						//	me.onlinePayType = "3130";
						   me.onlinePayType = "3134";
						} else if ("3" == payway) {
							// 网银支付
							$(me.getElementByXid("zhifu_wangyin")).html("&#xe633;").css("color", "#f74a4a").parent().siblings("li").find(".gx").html("&#xe993;").css("color", "#aaa");
							me.onlinePayType = "3000";
						}

					}
				}
			});

			// 可用余额
			dlm.sendRequest({
				"action" : "/finance/getAccountInfo.action",
				"params" : {

				},
				"success" : function(json) {
					if (parseFloat(json.data.A) >= parseFloat(me.payMoney)) {
						$(me.getElementByXid("canUseMoney")).text(json.data.A);
					} else {
						$(me.getElementByXid("canUseMoneyDiv")).empty();
						$(me.getElementByXid("canUseMoneyDiv")).text("余额不足支付");
						$(me.getElementByXid("zhifu_yue")).remove();
					}
				}
			});

			// 需付金额
			// $(me.getElementByXid("orderPrice")).text(me.data1.unitprice);

		}

	};

	/*
	 * Model.prototype.pageEventInit = function(event){
	 * 
	 * $(".syt-paylist ul li").click(function() { }) };
	 */

	Model.prototype.payWayChange = function(event) {

		var me = this;
		var str = $(event.delegateTarget).find(".gx").siblings("i").text();
		if ("余额支付" == str) {
			me.onlinePayType = "10000";
		} else if ("支付宝支付" == str) {
			me.onlinePayType = "3002";
		} else if ("微信支付" == str) {
			//me.onlinePayType = "3130";
			me.onlinePayType = "3134";
		} else if ("网银支付" == str) {
			me.onlinePayType = "3000";
		}
		$(event.delegateTarget).find(".gx").html("&#xe633;").css("color", "#f74a4a").parent().siblings("li").find(".gx").html("&#xe993;").css("color", "#aaa");
	};

	Model.prototype.nowPay = function(event) {
		var me = this;

		// 版本验证
		if (!me.versionValidation()) {
			return;
		}
		// 支付金额验证
		/*
		 * if(!me.moneyValidation()){ return; }
		 */
		// 判断是否使用优惠券并且支付
		me.orderCoupon()

	};
	Model.prototype.orderCoupon = function(event) {
		var me = this;
		// 将支付时候选择的优化券插入到订单记录中
		// var couponcode=$('#couponcode').val();
		var couponcode = me.params.couponcode
		if (couponcode != "" && couponcode != "0" && couponcode != 'undefined') {
			dlm.sendRequest({
				"action" : "/orderCoupon.action",
				"params" : {
					"orderid" : me.data1.orderid,
					"couponcode" : couponcode,
					"couponprice" : me.params.couponprice,
					"usertype" : "1"
				},
				"async" : true,
				"success" : function(json) {
					console.log(json);

					if (json && json.result == "1") {
						// 获取哪一端的操作
						var orderChannel = me.parseChannel();
						// 开始支付
						me.orderPay(orderChannel);
					} else {
						Alert(json.data.message);
						return 

						

												

						

					}
				}
			});

		} else {
			// 获取哪一端的操作
			var orderChannel = me.parseChannel();
			// 开始支付
			me.orderPay(orderChannel);

		}
		// return true;
	}

	Model.prototype.orderPay = function(orderChannel) {
		var me = this;
		console.log("支付方式：" + me.onlinePayType);

		var fptname = "";
		if (me.onlinePayType == "3002") {
			if (navigator.alipay) {
				fptname = "支付宝移动支付";
			} else {
				me.onlinePayType = "3133";
				fptname = "支付宝";
			}
		} else if (me.onlinePayType == "3134") {
			//fptname = "微信支付";
			fptname = "合利宝微信移动";
		} else if (me.onlinePayType == "3000") {
			fptname = "易宝";
		}

		if (me.onlinePayType == "10000") {
			// 余额支付执行操作说明：
			// 1.将订单状态变为未接手
			// 2.将订单和财务的关系插入关系表（目的：和在线支付做区别）
			dlm.sendRequest({
				"action" : "/updateNoPayOrderStatus.action",
				"params" : {
					"orderid" : me.data1.orderid,
					"userdd" : me.payMoney,
					"financeChargeFcid" : "" // 余额支付无需充值，所以为空
				},
				"async" : true,
				"success" : function(json) {
					console.log(json);
					if (json && json.result == "1" && json.data) {
						dlm.goPage("publish_final", {
							"orderId" : json.data.orderid,
							"isUpdate" : "0",
							"gamename" : json.data.gamename
						});
					} else {
						Alert(json.data.message);
					}
				}
			});

		} else {
			var u = navigator.userAgent;
			//var isWeixin = u.toLowerCase().indexOf('micromessenger') > -1;
	      var u = navigator.userAgent;
		  var isAndroid = (u.indexOf('Android') > -1 || u.indexOf('Adr') > -1) && u.indexOf('x5app') > -1; // android终端app
		var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/) && u.indexOf('x5app') > -1; // ios终端
			// 第一次创建未支付订单成功后，第二次点击置灰
			/*
			 * var clickCount = parseInt($("#pawnow_count").val()) + 1;
			 * $("#pawnow_count").val(clickCount); if(parseInt(clickCount) > 1){
			 * $("#pawDiv").css("background","#8F8F8F"); console.log("拦截");
			 * return; }
			 */

			if ($(me.getElementByXid("submitValue")).html().startWith("去支付")) {

				$(me.getElementByXid("submitValue")).html("正在处理...");

				var nowpaymony = $(me.getElementByXid("paymoney")).text();
				// alert(nowpaymony)
				/*
				 * if (me.params.couponprice) { nowpaymony = (me.data1.unitprice *
				 * 10000 - me.params.couponprice * 10000) / 10000;
				 *  }
				 */
				
				dlm.sendRequest({
					"action" : "/finance/doAddCharge.action",
					"params" : {
						"fptname" : fptname,
						"amountyuan" : nowpaymony,
						"payway" : me.onlinePayType,
						"orderid" : me.data1.orderid
					},
					"success" : function(json) {
						// 
						var result = json.result;
						if (result == "1") {
							var orderid = json.data.fcid;
							var userid = json.data.userid;
							if (me.onlinePayType == "3002" || me.onlinePayType == "3133") {
								// 调用移动支付 支付宝
								me.payToThird(me.onlinePayType, orderid,nowpaymony, userid, event);

							} /*else if (me.onlinePayType == "3130") {
								// 调用微信支付
							

								if (orderChannel == '3') {// 浏览器
									location.href = constant.PAY_URL + "/wechat/swiftNativePay.action?oid=" + orderid + "&orderFrom=1&orderChannel=" + orderChannel;
								
									// 安卓需要使用插件拉起支付链接
									// 新增苹果也通过插件拉起
								} else if (orderChannel == '2' || orderChannel == '1') { // 安卓或者苹果
									*//**
									 * 参数说明 arg0:路径 arg3:成功回调 arg4:失败回调
									 *//*
									// 判断是否有插件
									try {
										var openBrower = cordova.plugins.OpenBrowser;
										openBrower.open([ constant.PAY_URL + "/wechat/swiftNativePay.action?oid=" + orderid + "&orderFrom=1&orderChannel=" + orderChannel + "&orderid="
												+ me.data1.orderid ]);
									

									} catch (e) {
										Alert("无法进行微信支付，请到官网下载代练猫客户端最新版本");
									
									}

								} else if (orderChannel == '4') { // 微信公众号
									var appId = "wx36f8658e88add3e6";
									var redirectUri = encodeURIComponent(constant.PAY_URL + "/wechat/swiftPay.action?orderChannel=1&oid=" + orderid + "&orderid=" + me.data1.orderid);
									location.href = "https://open.weixin.qq.com/connect/oauth2/authorize?appid=" + appId + "&redirect_uri=" + redirectUri
											+ "&response_type=code&scope=snsapi_base&state=123#wechat_redirect";

									
								
							} }*/else if (me.onlinePayType == "3000") {

								
								var src = constant.PAY_URL + "/yeeOnlinePay/send.action?oid=" + orderid + "&orderFrom=1&orderChannel=" + orderChannel;
								dlm.goPage("yeeOnlinePay", {src: src, back: function(){$(me.getElementByXid("submitValue")).html("去支付");}});
							    }else if (me.onlinePayType == "3134") {
							

								if (orderChannel == '3') {// 浏览器
									
								    location.href=  constant.PAY_URL+"/helbwechat/helbPay.action?oid="+orderid+"&orderFrom=1&orderChannel="+orderChannel;
									// 安卓需要使用插件拉起支付链接
									// 新增苹果也通过插件拉起
								} else if (orderChannel == '2' || orderChannel == '1') { // 安卓或者苹果
								try{
								 
									if(isiOS == true && isAndroid == false){
									 var openurl=constant.PAY_URL+"/helbwechat/helbPay.action?oid="+orderid+"&orderFrom=1&orderChannel="+orderChannel;
							          cordova.InAppBrowser.open(openurl,"_blank","location=no,toolbar=no,hidden=yes,zoom=no,hardwareback=no,toolbarposition=top,closebuttoncaption=关闭")
                                    }else{
									
									  var openBrower = cordova.plugins.OpenBrowser;
									  openBrower.open(
												[constant.PAY_URL+"/helbwechat/helbPay.action?oid="+orderid+"&orderFrom=1&orderChannel="+orderChannel]					 
									);
									}
									//$(event.delegateTarget).html("确认支付");
								}catch(e){
									Alert("无法进行微信支付，请到官网下载代练猫客户端最新版本");
									//$(event.delegateTarget).html("确认支付");
								}													
							

								} 
								}
								
						} else if (result == "2") {
							Alert(json.data.message);
						
							
						}//状态为3说明已经支付，再次支付
						else if (result == "3") {
								dlm.goPage("publish_final", {
							    "orderId" : me.data1.orderid,
							    "isUpdate" : "0",
							"gamename" : me.data1.gamename
						});
							
						}
				setTimeout(function() {
					$(me.getElementByXid("submitValue")).html("去支付");
						}, 5000);
					}

				});

			}

		}

	}

	Model.prototype.moneyValidation = function(event) {

		var me = this;
		var amountyuan = $.trim(me.data1.unitprice);
		var isNum = /^\d+(\.\d+)?$/;
		var isInt = /^(-|\+)?\d+$/;
		if (!isInt.test(amountyuan)) {
			Alert("充值金额为整数");
			return false;
		}
		return true;
	};

	Model.prototype.parseChannel = function(event) {

		var u = navigator.userAgent;
		var isAndroid = (u.indexOf('Android') > -1 || u.indexOf('Adr') > -1) && u.indexOf('x5app') > -1; // android终端app
		var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/) && u.indexOf('x5app') > -1; // ios终端
		var isWeixin = u.toLowerCase().indexOf('micromessenger') > -1;
		var orderChannel = "";
		if (isiOS == true && isAndroid == false) {
			orderChannel = 1;
		} else if (isAndroid == true && isiOS == false) {
			orderChannel = 2;
			// 微信
		} else if (isWeixin == true) {
			orderChannel = 4;
			// 浏览器
		} else {
			orderChannel = 3;
		}
		return orderChannel;
	};

	Model.prototype.versionValidation = function(event) {
		var currentVersion = localStorage.currentVersion;
		var localVersion = constant.version;
		if (currentVersion) {
			if (!localVersion || currentVersion < '1.1.6') {
				Alert("请更新至新版本进行充值支付");
				return false;
			}
		}
		return true;
	};

	Model.prototype.payToThird = function(payway, orderid, price, userid, event) {
		var me = this;
		if (me.onlinePayType == "3002" || me.onlinePayType == "3133") { // 支付宝充值
			me.alipay(orderid, price, userid, event);
		}
	};

	Model.prototype.alipay = function(orderid, price, userid, event) {

		var me = this;
		var userinfo = localStorage.userinfo ? JSON.parse(localStorage.userinfo) : null;
		if (userinfo == null) {
			Alert("登录已失效，请返回重新登录");
			return;
		}
		var nowpaymony = $(me.getElementByXid("paymoney")).text();
		
		
        if(nowpaymony!=price){
        Alert("支付金额不正确，请重新支付！");
			return;
        }
  

		if (!navigator.alipay) {
			// Alert("很抱歉，暂无法支持该方式的充值");
			// 打开充值页面
			d
			// window.open(url, "支付宝充值", 'top=0, left=0, toolbar=no, menubar=no,
			// scrollbars=no, resizable=no, location=no, status=no', true);
			// Alert("充值完成后请点击左上角取消查看余额");
			setTimeout(function() {
				// $(me.getElementByXid("payDiv")).html("<i
				// xid=\"submitValue\">去支付</i>");
				$(me.getElementByXid("submitValue")).html("去支付");
			}, 30000);
			return;
		}
		// var notifyUrl = location.origin;
		var notifyUrl = encodeURI(constant.INTF_URL + "/finance/zfbNotifyForCharge.action");
		var alipay = navigator.alipay;
		
		alipay.pay({
			"seller" : constant.ZFB_ACCOUNT, // 卖家支付宝账号或对应的支付宝唯一用户号
			// "subject" : "呆脸猫移动支付", // 商品名称
			"subject" : orderid,
			"body" : "呆脸猫移动应用充值", // 商品详情
			"price" : price, // 金额，单位为RMB
			"tradeNo" : orderid, // 唯一订单号
			"timeout" : "30m", // 超时设置
			"notifyUrl" : notifyUrl
		// 服务器通知路径
		}, function(message) {
			var responseCode = parseInt(message);
			if (responseCode == 9000) {
				// me.noticepay(userid, orderid);
				// $(event.delegateTarget).html("确认支付");
				// Alert("充值成功");
				// me.params.reloadParent();
				// me.close();
				// Alert("充值完成，请确认充值是否到账；若24小时内仍然没有到账，请联系客服人员");
				me.updateOrderStatus(orderid);
				return;
			} else {
				Alert("充值遇到问题，请稍后重试");
				// $(me.getElementByXid("payDiv")).html("<i
				// xid=\"submitValue\">去支付</i>");
				$(me.getElementByXid("submitValue")).html("去支付");
				return;
			}
			// $(me.getElementByXid("payDiv")).html("<i
			// xid=\"submitValue\">去支付</i>");
			$(me.getElementByXid("submitValue")).html("去支付");
		}, function(msg) {
			Alert("充值遇到问题，请稍后重试");
			// $(me.getElementByXid("payDiv")).html("<i
			// xid=\"submitValue\">去支付</i>");
			$(me.getElementByXid("submitValue")).html("去支付");
			return;
		});
	};

	// 订单状态由未支付改为未接手（根据fcid去关系表中查询到订单号）
	Model.prototype.updateOrderStatus = function(orderid) {
		var me = this;
		var currPayWay = "0"; // 余额支付
		if (me.onlinePayType == "3002" || me.onlinePayType == "3133") {
			currPayWay = "1"; // 支付宝支付
		} else if (me.onlinePayType == "3130") {
			currPayWay = "2"; // 微信支付
		} else if (me.onlinePayType == "3000") {
			currPayWay = "3"; // 网银支付
		}
		dlm.sendRequest({
			"action" : "/updateOnlineNoPayOrderStatus.action",
			"params" : {
				"financeChargeFcid" : orderid,
				"currPayWay" : currPayWay
			},
			"async" : true,
			"success" : function(json) {
				if (json && json.result == "1" && json.data) {
					dlm.goPage("publish_final", {
						"orderId" : json.data.orderid,
						"isUpdate" : "0",
						"gamename" : json.data.gamename
					});
				} else {
					Alert(json.data.message);
				}
			}
		});
	};

	Model.prototype.couponcount = 0;
	Model.prototype.selectCouponCount = function(event, initializeCouponcount) {
		var me = this;
		dlm.sendRequest({
			"action" : "/selectCouponCount.action",
			"params" : {
				"appRole" : "1",
				"orderprice" : me.data1.unitprice,
				"gameid" : me.data1.gameid

			},
			"async" : true,
			"success" : function(json) {
				if (!!initializeCouponcount) {
					me.couponcount = json.data || 0;
					return;
				}
				console.log(json);
				if (json && json.result == "1") {
					var count = json.data;
					if (count > 0) {
						me.couponcount = count;
						$("#usercount").html("<em>" + count + "个</em>");
						$("#nouse").hide();
						$("#usercount").show();

					} else {
						$("#nouse").show();
						$("#usercount").hide();
						me.couponcount = 0
					}
				} else {
					Alert(json.data.message);
					return 

					

										

					

				}
			}
		});

	}
	// return true;

	Model.prototype.goCouponPage = function(event) {

		var me = this;
		if (me.params.enterFrom && me.params.enterFrom == "orderManage") {
			dlm.goPage("selectCouponList", {
				enterFrom : me.params.enterFrom,
				orderid : me.params.orderid,
				couponcount : me.couponcount,
				orderprice : me.data1.unitprice,
				gameid : me.data1.gameid
			});

		} else {
			dlm.goPage("selectCouponList", {
				releaseOrder : me.params.releaseOrder,
				couponcount : me.couponcount,
				orderprice : me.data1.unitprice,
				gameid : me.data1.gameid
			});
		}
	};

	return Model;
});