define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	var gameinfolist = require("$UI/dlapp/js/gameinfo_app");
	var browser = require("$UI/system/lib/base/browser");
	
	var Model = function(){
		this.callParent();
	};
	
	Model.prototype.data1 = {
		orderid:"",
		gameid:"",
		gamename:"",
		areaname:"",
		servername:"",
		rolename:"",
		dltype:"",
		ordertitle:"",
		unitprice:"",
		requiretime:"",
		safedeposit:"",
		efficiency:"",
		accountvalue:"",
		accountpwd:"",
		otherdesc:"",
		orderorgin:"0",
		dlcontent:"",
		receivecheck:"",
		closeday:"",
		onshelf:"",
		linktel:"",
		qq:"",
		price:"",
		title:"",
		content:"",
		paiweijiafen:"",
		ordersource:"0",
		//autoLoginVal:"",//自动登录
		//owner_phone:""//号主手机
		orginuserid:""
		/*paiwei:{
			begingrade:"",
			beginstar:"",
			endgrade:"",
			endstar:"",
			currShengDian:""
		},
		dingwei:{
			lastSaiDuanWei:"",
			changci:""
		},
		jinji:{
			duanweiName:"",
			duanweiStar:"",
			shengchang:"",
			fuchang:""
		}*/
	};
	
	
	Model.prototype.chushihua = function(){
		
		var me =this;
		var _gameinfo;
		var _gamelist;
		var _ul = me.getElementByXid("qu_fu");
		var _orderUl = me.getElementByXid("dlType");
		var _game  = gameinfolist.list;
		
		for(var i =0;i<_game.length;i++){
			if(_game[i].id==me.data1.gameid){
				_gameinfo = _game[i];
				_gamelist = _game[i].list;
			}
		}
		for(var i =0;i<_gamelist.length;i++){
			if(_gamelist[i].name=="全区全服"){
				continue;
			}
			var _html ='<li>'+
						'<span data-val="'+_gamelist[i].name+'">'+_gamelist[i].name+'</span>'+
						'<ul>';
			for(var j=0;_gamelist[i] && _gamelist[i].list && j<_gamelist[i].list.length;j++){
				if(_gamelist[i].list[j].name=="全服"){
					continue;
				}
				 _html +='<li data-val="'+_gamelist[i].list[j].name+'">'+_gamelist[i].list[j].name+'</li>';
			}
			_html +='</ul>'+
					'</li>';
			$(_ul).append(_html);
		}
		for(var i=0;_gameinfo.dltype && i<_gameinfo.dltype.length;i++){
			var _html='<li><span data-val="'+_gameinfo.dltype[i]+'">'+_gameinfo.dltype[i]+'</span></li>';
			$(_orderUl).append(_html);
		}
		
		
		
		
		
		$(".mw-btn").click(function(){
			var _html = $(".mw-box-pop").html();
			layer.open({
			    content: _html,
			    className: 'mwBox',
		  	});
	  	});
	  	
	  	$(".aq-btn").click(function(){
			var _html = $(".aq-box").html();
			layer.open({
			    content: _html,
			    className: 'com-tips',
			    btn:['确认', '']
		  	});
	  	});
	  	
	  	$(".xl-btn").click(function(){
			var _html = $(".xl-box").html();
			layer.open({
			    content: _html,
			    className: 'com-tips',
			    btn:['确认', '']
		  	});
	  	});
	  	
	  	$('#mingwenchange').bind('input propertychange', function() {  
	  		$('.button-blue').text("");
		    $('.button-blue').text("算算价格");  
		    me.showCouponInfo();
		    $('#submitType').val("query");
		}); 
	  	
	  	
	    Zepto('.qf-input-priceQuery').mobiscroll().treelist({
	        theme: 'mobiscroll',
	        lang: 'zh',
	        display: 'bottom',
	        inputClass: 'sec-input',
	        width: [160, 170],
	        placeholder: '请选择您所在的平台',
	        labels: ['qu', 'fu'],
	        onSelect: function (valueText, inst) {
	        	var quval = $('.qf-input-priceQuery>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
	        	var fuval = $('.qf-input-priceQuery>li').eq(inst._tempWheelArray[0]).find('ul').find('li[data-val='+inst._tempWheelArray[1]+']').attr('data-val');
	        	$("#qu-val").val(quval);
	        	$("#fu-val").val(fuval);
	        	
	        	$('.button-blue').text("");
	        	$('.button-blue').text("算算价格");
	        	me.showCouponInfo();
	        	$('#submitType').val("query");
	        },
	        formatResult: function (array) { //返回自定义格式结果
	        	qu = $('.qf-input-priceQuery>li').eq(array[0]).children('span');
	        	fu = $('.qf-input-priceQuery>li').eq(array[0]).find('ul').find('li[data-val='+array[1]+']');
	        	return  qu.text() + ' ' + fu.text();           
	        }
	    });
	    
	    Zepto('.dlType').mobiscroll().treelist({
	    	disabled: true,
	        theme: 'mobiscroll',
	        lang: 'zh',
	        display: 'bottom',
	        inputClass: 'sec-input',
	        placeholder: '请选择代练类型',
	        onSelect: function (valueText, inst) {
	        	var typeval = $('.dlType>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
	        	$("#dlType-val").val(typeval);
	        	if(typeval=='排位'){
	        		$('.grade-item').show();
	        	}else{
	        		$('.grade-item').hide();
	        	}
	        	$('.button-blue').text("");
	        	$('.button-blue').text("算算价格");
	        	me.showCouponInfo();
	        	$('#submitType').val("query");
	        	
	        },
	        formatResult: function (array) { //返回自定义格式结果
	        	onDlType = $('.dlType>li').eq(array[0]).children('span');
	        	return  onDlType.text();                   
	        }
	    });
	    
	    
	    Zepto('.grade-start').mobiscroll().treelist({
	        theme: 'mobiscroll',
	        lang: 'zh',
	        display: 'bottom',
	        inputClass: 'sec-input',
	        placeholder: '请选择初始段位',
	        onSelect: function (valueText, inst) {
	        	var nameval = $('.grade-start>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
	        	var starval = $('.grade-start>li').eq(inst._tempWheelArray[0]).find('ul').find('li[data-val='+inst._tempWheelArray[1]+']').attr('data-val');
	        	$("#start-name-val").val(nameval);
	        	$("#start-star-val").val(starval);
	        	
	        	$('.button-blue').text("");
	        	$('.button-blue').text("算算价格");
	        	$('#submitType').val("query");
	        	me.showCouponInfo();
	        },
	        formatResult: function (array) { //返回自定义格式结果
	        	n = $('.grade-start>li').eq(array[0]).children('span');
	        	s = $('.grade-start>li').eq(array[0]).find('ul').find('li[data-val='+array[1]+']');
	        	return  n.text() + ' ' + s.text();                   
	        }
	    });
    
	    Zepto('.grade-target').mobiscroll().treelist({
	        theme: 'mobiscroll',
	        lang: 'zh',
	        display: 'bottom',
	        inputClass: 'sec-input',
	        placeholder: '请选择目标段位',
	       onSelect: function (valueText, inst) {
	        	var nameval = $('.grade-target>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
	        	var starval = $('.grade-target>li').eq(inst._tempWheelArray[0]).find('ul').find('li[data-val='+inst._tempWheelArray[1]+']').attr('data-val');
	        	$("#target-name-val").val(nameval);
	        	$("#target-star-val").val(starval);
	        	
	        	$('.button-blue').text("");
	        	$('.button-blue').text("算算价格");
	        	me.showCouponInfo();
	        	$('#submitType').val("query");
	        },
	        formatResult: function (array) { //返回自定义格式结果
	        	n = $('.grade-target>li').eq(array[0]).children('span');
	        	s = $('.grade-target>li').eq(array[0]).find('ul').find('li[data-val='+array[1]+']');
	        	return  n.text() + ' ' + s.text();                   
	        }
	    });
	    
	    
	    
	     /*$(".heropage").click(function(){
	    	 var url = '$UI/dlapp/page/publish/hero_list.w';
	    	 justep.Shell.showPage(url, null);
	    	 var heroValue = $.trim($(".list-right-tips").text());
	    	 var selectedFlag = heroValue.indexOf("请");
	    	 if(selectedFlag == 0){
	    		 dlm.goPage("hero_list",{"selectedFlag":false});
	    	 }else if(selectedFlag == -1){
	    		 dlm.goPage("hero_list",{"selectedFlag":true});
	    	 }
	    	 
	     });*/
	     
	     
    
	}
	
	Model.prototype.modelLoad = function(event){
		var me = this;
		if (browser.isX5App) {
			if (browser.isIOS) {
	        	me.comp("panel1").setHeight("top", 63);
	        } 
		}
        var currNoPayOrder = dlm.getCache("currNoPayOrder");
        //页面属性初始化，将传过来的值进行初始化赋值
		me.propertyInit(event);
		//页面显示初始化
		me.pageShowInit(event);
		me.showCouponInfo();
		var myScroll;
		var def = function(e){e.preventDefault();}
		function loaded () {
			//加载默认的事件
			myScroll = new IScroll('#ba_wrapper1',{
				bounce:false,
				momentum:false
			});
			document.addEventListener('touchmove',def,false);
		};
		
	};
	
	Model.prototype.getCouponInfo = function()
	{
		var me = this;
		var userinfo = localStorage.userinfo ? JSON.parse(localStorage.userinfo) : null;
		if (userinfo) {
			dlm.sendRequest({
				"action" : "/coupon/getAvailableCoupons.action",
				"params" : {template_apply_game: 'G604', template_apply_role: '1', template_apply_platform: '1102'},
				"success" : function(json) {
					if (json && json.result == 1) {
						var count = json.count;
						var parval = count == 0 ? null : json.data[json.data.length - 1].parval;
						if (count == 0) {
							me.showCoupon = false;
							$(me.getElementByXid("couponInfo")).hide();
						}
						else {
							dlm.sendRequest({
								"action" : "/coupon/hasIligalOperations.action",
								"params" : {},
								"success" : function(json) {
									me.hasIligalOperations = json.data;
									if (json.data) {
										//非法操作
										$(me.getElementByXid("hasIligalOperations")).show();
										me.showCoupon = false;
										$(me.getElementByXid("couponInfo")).hide();
									}
									else {
										$(me.getElementByXid("couponInfo")).find("span").html("您有" + count +"张最高" + parval + "元的优惠券可使用哦~");
										$(me.getElementByXid("couponInfo")).show();
										me.showCoupon = true;
									}
								}
							});	
							
						}
					}
				}
			});
				
			
		}
	};
	
	Model.prototype.showCouponInfo = function()
	{
		var me = this;
		var userinfo = localStorage.userinfo ? JSON.parse(localStorage.userinfo) : null;
		if (userinfo) {
			me.setToRegistVisible(false);
			if (me.showCoupon == null) {
				me.getCouponInfo();
			}
			else if (me.showCoupon) {
				$(me.getElementByXid("couponInfo")).show();
			}
			else {
				$(me.getElementByXid("couponInfo")).hide();
			}
		}
		else {
			me.setToRegistVisible(true);
			$(me.getElementByXid("couponInfo")).hide();
		}
		$(me.getElementByXid("bottom1")).find(".release-bottom").show();
		me.coupon = null;
	};
	
	/*Model.prototype.modeActive = function(event){
		var me = this;
		//判断是新建订单还是修改订单
        var currNoPayOrder = dlm.getCache("currNoPayOrder");
        if(currNoPayOrder){
        	console.log("订单更新");
        	//修改订单，此时将显示已创建的未支付订单信息，在此基础上的所有修改都是更新
        	var currNoPayOrderTemp = JSON.parse(currNoPayOrder);
        	me.data1.orderid = currNoPayOrderTemp.orderid;
        }
	};*/
	
	
	Model.prototype.propertyInit = function(event){
		
		var me = this;
    	me.data1.gameid= this.params.gameid;
		me.data1.gamename=this.params.gamename;
	};
	
	
	Model.prototype.pageShowInit = function(event){
		
		var me = this;
		//订单新建
		$("#currGameId").val(me.data1.gameid);
		$("#currGameName").val(me.data1.gamename);
		
		me.chushihua();
		
		//默认排位选中
		$("#dlType-val").val("排位").attr("data-val","排位");
		$(me.getElementByXid("dlType")).prev().val("排位");
		
		/*var currNoPayOrder = dlm.getCache("currNoPayOrder");
        if(currNoPayOrder){
        	console.log("订单更新");
        	//修改订单，此时将显示已创建的未支付订单信息，在此基础上的所有修改都是更新
        	currNoPayOrder = JSON.parse(currNoPayOrder);
        	me.data1.orderid = currNoPayOrder.orderid;
        	me.data1.gameid= currNoPayOrder.gameid;
			me.data1.gamename=currNoPayOrder.gamename;
			$("#currGameId").val(currNoPayOrder.gameid);
			$("#currGameName").val(currNoPayOrder.gamename);
			
        	me.chushihua();
        	
        	$("#qu-val").val(currNoPayOrder.areaname).attr("data-val",currNoPayOrder.areaname);
			$("#fu-val").val(currNoPayOrder.servername).attr("data-val",currNoPayOrder.servername);
			$(me.getElementByXid("qu_fu")).prev().val(currNoPayOrder.areaname + ' ' + currNoPayOrder.servername);
			$("#mingwenchange").val(currNoPayOrder.otherdesc.split("铭文： ")[1]);
        	$("#dlType-val").val(currNoPayOrder.dltype).attr("data-val",currNoPayOrder.dltype);
			$(me.getElementByXid("dlType")).prev().val(currNoPayOrder.dltype);
			//初始段位
			$("#start-name-val").val(currNoPayOrder.begingrade),
			$("#start-star-val").val(currNoPayOrder.beginstar)
			$("#beginLev").prev().val(currNoPayOrder.begingrade + ' ' + currNoPayOrder.beginstar+"星");
			//结束段位
			$("#target-name-val").val(currNoPayOrder.endgrade),
			$("#target-star-val").val(currNoPayOrder.endstar)
			$("#endLev").prev().val(currNoPayOrder.endgrade + ' ' + currNoPayOrder.endstar+"星");
			
        }*/
	
	};
	
	
	Model.prototype.cancle_priceQuey = function(event){
		var me = this;
		me.close();
	};
	
	
	Model.prototype.priceClick = function(event){
		
		var me = this;
		var submitValue = $('#submitType').val();
		if('query' == submitValue){
				
			var currAreaName = $.trim($("#qu-val").val());
			var currServerName = $.trim($("#fu-val").val());
			if(currAreaName =="" || currServerName ==""){
				Alert("请选择平台区服");
				return;
			}
			
			var g = /^[1-9]*[1-9][0-9]*$/; 
			var mingwenValue = $.trim($("#mingwenchange").val());
			if(mingwenValue ==""){
				Alert("请填写铭文");
				return;
			}else if(!g.test(mingwenValue) || (parseInt(mingwenValue)<0 || parseInt(mingwenValue)>150)){
				Alert("要求铭文必须为0-150的正整数");
				return;
			}
			
			//拥有英雄验证
			/*var heroValue = $.trim($(".list-right-tips").text());
			if(heroValue == "" || heroValue =="请选择已拥有英雄"){
				Alert("请选择英雄");
				return;
			}*/
			
			//代练类型验证
			var dltypeValue = $.trim($("#dlType-val").val());
			if(dltypeValue == ""){
				Alert("请选择代练类型");
				return;
			}else if(dltypeValue != "" && (dltypeValue == '定位' || dltypeValue == '等级' || dltypeValue == '陪练'
												 || dltypeValue == '匹配'  || dltypeValue == '晋级'  || dltypeValue == '级别' || dltypeValue == '其他')){
				Alert("暂未开放此类型价格查询，攻城狮正在开发路上，再等等哦");
				return;
			}else if(dltypeValue == "排位"){
			
				var beginLe01 = $.trim($("#start-name-val").val());
				var beginLe02 = $.trim($("#start-star-val").val());
				if(beginLe01 == "" || beginLe02 == ""){
					Alert("请选择初始段位");
					return;
				}
				
				var endLe01 = $.trim($("#target-name-val").val());
				var endLe02 = $.trim($("#target-star-val").val());
				if(endLe01 == "" || endLe02 == ""){
					Alert("请选择目标段位");
					return;
				}
			}
			
			$(me.getElementByXid("priceQueryloading")).show();
			var currParams = {
					"pricePostParams.gamename": this.data1.gamename,
					"pricePostParams.areaname": $("#qu-val").val(),
					"pricePostParams.servername": $("#fu-val").val(),
					"pricePostParams.begingrade": $("#start-name-val").val(),
					"pricePostParams.endgrade": $("#target-name-val").val(),
					"pricePostParams.runeslevel": $("#mingwenchange").val(),
					"pricePostParams.beginstar":$("#start-star-val").val(),
					"pricePostParams.endstar": $("#target-star-val").val()
					//"pricePostParams.userid": ""
					//"pricePostParams.userid": JSON.parse(localStorage.userinfo).userid,
					//"pricePostParams.timestamp": new Date().getTime()
			};
			
			//请求定价器
			dlm.sendRequest({
				"action":"/priceParamsEnc.action",
				"params":currParams,
				
				"async":true,
				"success":function(json){
					$(me.getElementByXid("priceQueryloading")).hide();
					if(json.data && json.data.result == "success" || json.data.result == "SUCCESS"){
						
						/*$(".clearfix").find("em:eq(0)").text(json.data.data.price);
						$(".clearfix").find("em:eq(1)").text(json.data.data.requiretime);
						$(".clearfix").find("em:eq(2)").text(json.data.data.deposit);
						$(".clearfix").find("em:eq(3)").text(json.data.data.deposit);*/
						var orderPrice = json.data.data.price != null ? Math.ceil(json.data.data.price) : '';
						$(".priceQueryNew p:eq(0) em").text(orderPrice);
						$(".priceQueryNew p:eq(1) em").text(json.data.data.requiretime || '');
						$("#deposit").val(json.data.data.deposit || 20);
						$(".priceQueryNew").show();
						$('.button-blue').text("");
						$('.button-blue').text("下一步");
						$('#submitType').val("add");
						
						me.useCoupon();
					}else{
						Alert(json.data.data.msg);
						return;
					}
				}
			});
			return;
			
		}
		if('add' == submitValue){
			//校验登录状态
			var userinfo = localStorage.userinfo ? JSON.parse(localStorage.userinfo) : null;
			if(!userinfo){
				layer.closeAll();
				dlm.goPage("login", {jumpPage: justep.Shell.impl.getActivePageXid()});
				return;
			}
			
			var params = {};
			params.orderid=me.data1.orderid;
			params.gameId=$("#currGameId").val();
			params.gameName=$("#currGameName").val();
			params.areaname=$("#qu-val").val();
			params.servername=$("#fu-val").val();
			params.dltype=$("#dlType-val").val();
			params.ordertitle=$("#start-name-val").val()+"("+$("#start-star-val").val()+"星)-"+$("#target-name-val").val()+"("+$("#target-star-val").val()+"星)";
			params.unitprice=$(".priceQueryNew p:eq(0) em").text();
			params.requiretime=$(".priceQueryNew p:eq(1) em").text();
			params.efficiency=$("#deposit").val();
			params.safedeposit=$("#deposit").val();
			/*params.paiwei = {};
			params.paiwei.begingrade = $("#start-name-val").val();
			params.paiwei.beginstar = $("#start-star-val").val();
			params.paiwei.endgrade = $("#target-name-val").val();
			params.paiwei.endstar = $("#target-star-val").val();*/
			/*var heroStr = "";
			$.each(window.selectedHeroJosn, function(i, item){
				heroStr = heroStr + ", " + item;
			});*/
			params.otherdesc="铭文： "+$("#mingwenchange").val();
			params.dlcontent="请尽快上号代练哦";
			params.ordertitle += "　" + params.otherdesc;
			if (me.coupon) {
				params.couponcode = me.coupon.code;
				params.couponprice = me.coupon.parval;
			}
			dlm.goPage("publish_sec_new",params);
			return;
		}
	};
	
	Model.prototype.toRegisterPage = function()
	{
		dlm.goPage("register", {jumpPage: justep.Shell.impl.getActivePageXid()});
	};
	
	Model.prototype.toAvailableCoupon = function()
	{
		dlm.goPage("availableCoupon", {template_apply_game: 'G604', template_apply_role: '1', template_apply_platform: '1102'});
	};
	
	Model.prototype.onActive = function(event)
	{
		//页面激活事件
		var me = this;
		var type = $('#submitType').val();
		var userinfo = localStorage.userinfo ? JSON.parse(localStorage.userinfo) : null;
		if (userinfo) {
			me.setToRegistVisible(false);
			if (type == 'add'){
				//add 下一步
				me.useCoupon();
			}
			else {
				//算算价格
				me.getCouponInfo();
			}
		}
		else {
			me.showCouponInfo();
		}
	};
	
	Model.prototype.useCoupon = function()
	{
		var me = this;
		var orderPrice = $(".priceQueryNew p:eq(0) em").text();
		$(me.getElementByXid("couponInfo")).hide();				
		var userinfo = localStorage.userinfo ? JSON.parse(localStorage.userinfo) : null;
		if (userinfo) {
			
			dlm.sendRequest({
				"action" : "/coupon/getAvailableCoupons.action",
				"params" : {template_apply_game: 'G604', orderprice:orderPrice, template_apply_role: '1', template_apply_platform: '1102'},
				"success" : function(json) {
					if (json && json.result == 1) {
						var count = json.count;
						if (count == 0) {
							$(me.getElementByXid("couponInfo")).hide();
							$(me.getElementByXid("hasIligalOperations")).hide();
						}
						else {
							var coupon = json.data[json.data.length - 1];
							dlm.sendRequest({
								"action" : "/coupon/hasIligalOperations.action",
								"params" : {},
								"success" : function(json) {
									me.hasIligalOperations = json.data;
									if (json.data) {
										//非法操作
										$(me.getElementByXid("hasIligalOperations")).show();
										$(me.getElementByXid("couponInfo")).hide();
									}
									else {
										$(me.getElementByXid("bottom1")).find(".release-bottom").hide();
										$(me.getElementByXid("paymoney")).html(orderPrice);
										me.coupon = coupon;
										$(me.getElementByXid("payless")).html(coupon.parval);
									}
								}
							});	
							
						}
					}
				}
			});
		}
	};
	
	
	Model.prototype.onInactive = function(event)
	{
		//页面离开事件
			


	};
	
	Model.prototype.setToRegistVisible = function(bool)
	{
		var me = this;
		if (bool) {
			if (me.lastQueryRegisterMil != null) {
				var currentMil = new Date().getTime();
				if (currentMil - me.lastQueryRegisterMil < 60000) {
					if (me.lastQueryRegisterCount > 0) {
						$(me.getElementByXid("toRegister")).show();
					}
					else {
						$(me.getElementByXid("toRegister")).hide();
					}
					return;
				}
			}
			dlm.sendRequest({
				"action" : "/coupon/getRegisterCoupons.action",
				"params" : {},
				"success" : function(json) {
					me.lastQueryRegisterMil = new Date().getTime();
					me.lastQueryRegisterCount = json.count;
					if (json.count > 0) {
						$(me.getElementByXid("toRegister")).show();
					}
					else {
						$(me.getElementByXid("toRegister")).hide();
					}
				}
			});	
			
		}
		else {
			$(me.getElementByXid("toRegister")).hide();
		}
	};
	
	return Model;
});

