define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	var gameinfolist = require("$UI/dlapp/js/gameinfo_app");

	var Model = function(){
		this.callParent();
	};

	Model.prototype.a1Click = function(event){
		justep.Shell.showPage("main");
	};
	
	Model.prototype.nextClick = function(event){
		var gameName = $('input[name="publish_gameId"]:checked').parent().parent().find(".list-before").text();
		var gameId =$('input[name="publish_gameId"]:checked').val();
		dlm.goPage("publish_sec",{"gameName":gameName,"gameId":gameId});
	};

	Model.prototype.modelLoad = function(event){
		var me = this;
		var _ul = me.getElementByXid("game-list");
		var _game = gameinfolist.list;
		for(var  i=0;i<_game.length;i++){
			var _html = '<li class="list-item-03">'+
						'<label class="label-radio">'+
						'<div class="list-before">'+_game[i].name+'</div>'+
						'<div class="list-after">';
						if(i==0){
							_html+='<input type="radio" name="publish_gameId" xid="'+_game[i].name+'" value="'+_game[i].id+'" checked="checked" />';
						}else{
							_html+='<input type="radio" name="publish_gameId" xid="'+_game[i].name+'" value="'+_game[i].id+'"" />';
						}
						_html+='<div class="radio"></div>'+
						'</div>'+
						'</label>'+
						'</li>';
			$(_ul).append(_html);
		}
	};

	return Model;
	
	
});