define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	var gameinfolist = require("$UI/dlapp/js/gameinfo_app");
	var browser = require("$UI/system/lib/base/browser");
	
	var Model = function(){
		this.callParent();
	};
	
	Model.prototype.operationType = "";
	
	Model.prototype.data1 = {
		orderid:"",
		gameid:"",
		gamename:"",
		areaname:"",
		servername:"",
		rolename:"",
		dltype:"",
		ordertitle:"",
		unitprice:"",
		requiretime:"",
		safedeposit:"",
		efficiency:"",
		accountvalue:"",
		accountpwd:"",
		otherdesc:"",
		orderorgin:"0",
		dlcontent:"",
		receivecheck:"",
		closeday:"",
		onshelf:"",
		linktel:"",
		qq:"",
		price:"",
		title:"",
		content:"",
		paiweijiafen:"",
		ordersource:"0",
		//autoLoginVal:"",//自动登录
		//owner_phone:""//号主手机
		orginuserid:""
	};
	
	Model.prototype.a1Click = function(event){
		this.close();
	};
	
	Model.prototype.checkNum = function(event){
	    var g = /^[1-9]*[1-9][0-9]*$/; 
	    return g.test(event);  
	};
	//确认发布
	Model.prototype.submitClick = function(event){
		var me = this;
		this.data1.orderid=me.data1.orderid;
		this.data1.areaname=$("#qu-val").val();
		this.data1.accountpwd=$("#gamepwd").val();//密码
		this.data1.autoLoginVal=$("#autoLogin-val").val();//是否自动登录
		this.data1.owner_phone=$("#_phone").val();//号主手机
		if(this.data1.areaname ==""){
			Alert("请选择大区名称");
			return;
		}
		/*if(this.data1.areaname.indexOf("QQ")!=-1){
			if(this.data1.accountpwd ==""){
				Alert("请填写游戏密码");
				return;
			}
		
		}else if(this.data1.areaname.indexOf("微信")!=-1){
		     if(this.data1.autoLoginVal=='1'){//微信自动登录   密码非必填    手机号必填
		          if(this.data1.owner_phone ==""){
						Alert("请填写号主手机");
						return;
					}
		     }else if(this.data1.autoLoginVal=='0'){//非自动登录  密码必填    手机号非必填
		       if(this.data1.accountpwd ==""){
						Alert("请填写游戏密码");
						return;
					}
		     }
		
		}else{
		   if(this.data1.accountpwd ==""){
				Alert("请填写游戏密码");
				return;
			}
		}*/
		this.data1.servername=$("#fu-val").val();
		if(this.data1.servername ==""){
			Alert("请选择服务器名称");
			return;
		}
		this.data1.dltype=$("#ord-type-val").val();
		if(this.data1.dltype ==""){
			Alert("请选择订单类型");
			return;
		}
		this.data1.ordertitle=$("#sec_ordertitle").val();
		if(this.data1.ordertitle ==""){
			Alert("请选择订单标题");
			return;
		}
		this.data1.unitprice=$(this.getElementByXid("orderprice")).val();
		if(this.data1.unitprice ==""){
			Alert("请选择订单价格");
			return;
		}
		if (!this.checkNum(this.data1.unitprice)) {
			Alert("请输入正整数订单价格");
			return;
		}
		this.data1.safedeposit=$(this.getElementByXid("safeprice")).val();
		if(this.data1.safedeposit ==""){
			Alert("请选择安全保证金");
			return;
		}
		this.data1.efficiency=$(this.getElementByXid("speedprice")).val();
		if(this.data1.efficiency ==""){
			Alert("请选择效率保证金");
			return;
		}
		this.data1.requiretime=$("#comTime-val").val();
		if(this.data1.requiretime ==""){
			Alert("请选择要求时间");
			return;
		}
		if(!this.checkNum(this.data1.requiretime)){
			Alert("要求时间必须为正整数");
			return;
		}
		this.data1.accountvalue=$(this.getElementByXid("gameaccount")).val();
		if(this.data1.accountvalue ==""){
			Alert("请填写游戏账号");
			return;
		}
		this.data1.accountpwd=$("#gamepwd").val();
		if(this.data1.accountpwd ==""){
			Alert("请填写游戏密码");
			return;
		}
		this.data1.dlcontent=$(this.getElementByXid("orderremark")).val();
		if(this.data1.dlcontent ==""){
			Alert("请填写代练要求");
			return;
		}
		this.data1.rolename=$(this.getElementByXid("rolename")).val();
		if (me.data1.gamename != '王者荣耀') {
			if(this.data1.rolename ==""){
				Alert("请填写角色名称");
				return;
			}
		}
		this.data1.receivecheck=$("#badSay-val").val();
		this.data1.otherdesc=$(this.getElementByXid("gameremark")).val();
		this.data1.price=$(this.getElementByXid("remarkprice")).val();
		this.data1.title=$(this.getElementByXid("remarktitle")).val();
		this.data1.content=$(this.getElementByXid("ordercontent")).val();
		this.data1.linktel=$(this.getElementByXid("tel")).val();
		this.data1.qq=$(this.getElementByXid("qq")).val();
		this.data1.closeday=$("#onShelf-val").val();
		if(this.data1.closeday ==""){
			Alert("请选择下架时间");
			return;
		}
		if (me.beforeSubmitCheck && !me.beforeSubmitCheck()) {
			return;
		}
		
		var currReleaseOrder = {
				"gameid":this.data1.gameid,
				"orderid":this.data1.orderid,
				"gamename":this.data1.gamename,
				"areaname":this.data1.areaname,
				"servername":this.data1.servername,
				"ordertitle":this.data1.ordertitle,
				"orderorgin":this.data1.orderorgin,
				"unitprice":this.data1.unitprice,
				"dltype":this.data1.dltype,
				"safedeposit":this.data1.safedeposit,
				"efficiency":this.data1.efficiency,
				"requiretime":this.data1.requiretime,
				"closeday":this.data1.closeday,
				"linktel":this.data1.linktel,
				"qq":this.data1.qq,
				"ordersource":this.data1.ordersource,
				"accountvalue":this.data1.accountvalue,
				"accountpwd":this.data1.accountpwd,
				"rolename":this.data1.rolename,
				"receivecheck":this.data1.receivecheck,
				"dlcontent":this.data1.dlcontent,
				"paiweijiafen":this.data1.paiweijiafen,
				"otherdesc":this.data1.otherdesc,
				"price":this.data1.price,
				"title":this.data1.title,
				"content":this.data1.content,
				"orginuserid":this.data1.orginuserid
				//"autologin":this.data1.autoLoginVal,//是否自动登录
				//"autologinphone":this.data1.owner_phone//号主手机号
			};
			var _html = $(".aq-box.publish-order").html();
			layer.open({
			    content: _html,
			    className: 'com-tips',
			    success: function(){
					$(".layermanim").find(".argeen").click(function(){
						if($(this).is(":checked")){
							$(".layermanim").find(".sure-agr").addClass("on");
						}else{
							$(".layermanim").find(".sure-agr").removeClass("on");
						}
					});
					$(".layermanim").find("#publishOrderProtocol").click(function(){
						layer.closeAll();
						me.publishOrderProtocolClick();
					});
					$(".layermanim").find(".sure-agr").click(function(){
						if($(this).hasClass("on")){
							layer.closeAll();
							
							if(me.operationType == "edit"){
								//从发单管理跳过来的未接手和已下架编辑功能（修改未接手订单）
								dlm.sendRequest({
									"action":"/updateNoJieShouOrder.action",
									"params":currReleaseOrder,
									"async":true,
									"success":function(json){
										
										if(json && json.result == "1" && json.data){
											if(me.data1.orderid){
												dlm.goPage("publish_final",{"orderId":me.data1.orderid,"isUpdate":"1","gamename":me.data1.gamename});
											}else{
												dlm.goPage("publish_final",{"orderId":json.data.orderid,"isUpdate":"0","gamename":me.data1.gamename});
											}
											
										}else{
											Alert(json.data.message);
											
										}
									}
								});
							
							}else if(me.operationType == "republic"){
							
						       currReleaseOrder.orderid="";
								//创建一条未支付订单
								dlm.sendRequest({
									"action":"/createNoPayOrder.action",
									"params":currReleaseOrder,
									"async":true,
									"success":function(json){
										console.log(json);
										if(json && json.result == "1" && json.data){
											console.log(json.data.message);
											currReleaseOrder.orderid = json.data.orderid;
											
											//未支付订单创建成功之后订单ID放入缓存
											dlm.addCache("currNoPayOrder",currReleaseOrder);
											dlm.goPage("onlinePay",{"releaseOrder":currReleaseOrder});
										}else{
											if(json && json.result == "7" && json.data){
												  Alert(json.data);
												}else{
													Alert(json.data.message);
												}
										}
									}
								});
							}else{
							
								var currNoPayOrder = dlm.getCache("currNoPayOrder");
						        if(currNoPayOrder){
						        	console.log("订单更新");
						        	//修改订单，此时将显示已创建的未支付订单信息，在此基础上的所有修改都是更新
						        	var currNoPayOrderTemp = JSON.parse(currNoPayOrder);
						        	currReleaseOrder.orderid = currNoPayOrderTemp.orderid;
						        }
						        
						        //第一次创建未支付订单成功后，第二次点击置灰
								var clickCount = parseInt($("#publish_sew_click_count").val()) + 1;
								$("#publish_sew_click_count").val(clickCount);
								if(currReleaseOrder.orderid && "" == currReleaseOrder.orderid && parseInt(clickCount) > 1){
									$("#button-publish").css("background","#8F8F8F");
									console.log("拦截");
									return;
								}
											
								//创建一条未支付订单
								dlm.sendRequest({
									"action":"/createNoPayOrder.action",
									"params":currReleaseOrder,
									"async":true,
									"success":function(json){
										console.log(json);
										if(json && json.result == "1" && json.data){
											console.log(json.data.message);
											currReleaseOrder.orderid = json.data.orderid;
											
											//未支付订单创建成功之后订单ID放入缓存
											dlm.addCache("currNoPayOrder",currReleaseOrder);
											dlm.goPage("onlinePay",{"releaseOrder":currReleaseOrder});
										}else{
											if(json && json.result == "7" && json.data){
												  Alert(json.data);
												}else{
													Alert(json.data.message);
												}
										}
									}
								});
							}
							
							
						}
					});
				}    
		  	});
		
	};
	Model.prototype.chushihua = function(){
		var me =this;
		var _gameinfo;
		var _gamelist;
		var _ul = me.getElementByXid("qu_fu");
		var _orderUl = me.getElementByXid("ordertype");
		var _game  = gameinfolist.list;
		console.log(_game)
		for(var i =0;i<_game.length;i++){
			//console.log(me.data1.gameid)
		//		console.log(_game[i].id)
			if(_game[i].id==me.data1.gameid){
			
				_gameinfo = _game[i];
				_gamelist = _game[i].list;
			}
		}
		
		//console.log(_gamelist)
		for(var i =0;i<_gamelist.length;i++){
			if(_gamelist[i].name=="全区全服"){
				continue;
			}
			var _html ='<li>'+
						'<span data-val="'+_gamelist[i].name+'">'+_gamelist[i].name+'</span>'+
						'<ul>';
			for(var j=0;_gamelist[i] && _gamelist[i].list && j<_gamelist[i].list.length;j++){
				if(_gamelist[i].list[j].name=="全服"){
					continue;
				}
				 _html +='<li data-val="'+_gamelist[i].list[j].name+'">'+_gamelist[i].list[j].name+'</li>';
			}
			_html +='</ul>'+
					'</li>';
			$(_ul).append(_html);
		}
		for(var i=0;_gameinfo.dltype && i<_gameinfo.dltype.length;i++){
			var _html='<li><span data-val="'+_gameinfo.dltype[i]+'">'+_gameinfo.dltype[i]+'</span></li>';
			$(_orderUl).append(_html);
		}
		
		$(".aq-btn-sec").click(function(){
			var _html = $(".aq-box-sec").html();
			layer.open({
			    content: _html,
			    className: 'com-tips',
			    btn:['确认', '']
		  	});
	  	});
  	
  	$(".xl-btn-sec").click(function(){
		var _html = $(".xl-box-sec").html();
		layer.open({
		    content: _html,
		    className: 'com-tips',
		    btn:['确认', '']
	  	});
  	});
  	
  	$(".mm-btn").click(function(){
		var _html = $(".mm-box").html();
		layer.open({
		    content: _html,
		    className: 'com-tips',
		    btn:['确认', '']
	  	});
  	});
  	//号主手机号提示
  	$(".hz-btn").click(function(){
		var _html = $(".hz-box").html();
		layer.open({
		    content: _html,
		    className: 'com-tips',
		    btn:['确认', '']
	  	});
  	});
  	
	Zepto('.newqufu').mobiscroll().treelist({
        theme: 'mobiscroll',
        lang: 'zh',
        display: 'bottom',
        inputClass: 'sec-input',
        width: [160, 170],
        placeholder: '请选择您所在的区服，必填项',
        labels: ['qu', 'fu'],
        onSelect: function (valueText, inst) {
        	var quval = $('.qf-input>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
        	var fuval = $('.qf-input>li').eq(inst._tempWheelArray[0]).find('ul').find('li[data-val='+inst._tempWheelArray[1]+']').attr('data-val');
        	$("#qu-val").val(quval);
        	$("#fu-val").val(fuval);
        },
        formatResult: function (array) { //返回自定义格式结果
        	qu = $('.qf-input>li').eq(array[0]).children('span');
        	fu = $('.qf-input>li').eq(array[0]).find('ul').find('li[data-val='+array[1]+']');
        	return  qu.text() + ' ' + fu.text();           
        }
    });
    
    Zepto('.ord-type').mobiscroll().treelist({
        theme: 'mobiscroll',
        lang: 'zh',
        display: 'bottom',
        inputClass: 'sec-input',
        placeholder: '请选择您的订单类型，必填项',
        onSelect: function (valueText, inst) {
        	var ordTypeval = $('.ord-type>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
        	$("#ord-type-val").val(ordTypeval);
        },
        formatResult: function (array) { //返回自定义格式结果
        	var ordType = $('.ord-type>li').eq(array[0]).children('span');
        	return ordType.text();                   
        }
    });
    
    Zepto('.com-time').mobiscroll().treelist({
        theme: 'mobiscroll',
        lang: 'zh',
        display: 'bottom',
        inputClass: 'sec-input',
        placeholder: '请选择您期望完成订单的时间，必填项',
        onSelect: function (valueText, inst) {
        	var comTimeval = $('.com-time>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
        	$("#comTime-val").val(comTimeval);
        },
        formatResult: function (array) { //返回自定义格式结果
        	var comTime = $('.com-time>li').eq(array[0]).children('span');
        	return  comTime.text();                   
        }
    });
    Zepto('.bad-say').mobiscroll().treelist({
        theme: 'mobiscroll',
        lang: 'zh',
        display: 'bottom',
        inputClass: 'sec-input',
        placeholder: '请选择您期望接单打手差评数',
        onSelect: function (valueText, inst) {
        	var badSayval = $('.bad-say>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
        	$("#badSay-val").val(badSayval);
        },
        formatResult: function (array) { //返回自定义格式结果
        	var badSay = $('.bad-say>li').eq(array[0]).children('span');
        	return  badSay.text();                   
        }
    });
    
    Zepto('.on-shelf').mobiscroll().treelist({
        theme: 'mobiscroll',
        lang: 'zh',
        display: 'bottom',
        inputClass: 'sec-input',
        placeholder: '7天',
        onSelect: function (valueText, inst) {
        	var onShelfval = $('.on-shelf>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
        	$("#onShelf-val").val(onShelfval);
        },
        formatResult: function (array) { //返回自定义格式结果
        	var onShel = $('.on-shelf>li').eq(array[0]).children('span');
        	return  onShel.text();                   
        }
    });
    
    //新增自动登录
     Zepto('.auto-login').mobiscroll().treelist({
        theme: 'mobiscroll',
        lang: 'zh',
        display: 'bottom',
        inputClass: 'sec-input',
        placeholder: '请选择是否自动登录',
        onSelect: function (valueText, inst) {
        	var autoLoginVal = $('.auto-login>li').eq(inst._tempWheelArray[0]).children('span').attr('data-val');
        	$("#autoLogin-val").val(autoLoginVal);
        	var areaname = $("#qu-val").val()
        	if(areaname.indexOf("QQ")!=-1){
		      $("#gamepwd").attr("placeholder","请输入您的游戏密码(必填项)");
		      $("#_phone").attr("placeholder","请输入号主手机号(可不填)");
		    }
		    if(areaname.indexOf("微信")!=-1){
			    if($("#autoLogin-val").val()==1){//自动登录
			       $("#gamepwd").attr("placeholder","请输入您的游戏密码 (可不填)");
			       $("#_phone").attr("placeholder","请输入号主手机号(必填项)");
			    }else if($("#autoLogin-val").val()==0){//非自动登录
			       $("#gamepwd").attr("placeholder","请输入您的游戏密码(必填项)");
			       $("#_phone").attr("placeholder","请输入号主手机号(可不填)");
			    }
		    }
        	
        },
        formatResult: function (array) { //返回自定义格式结果
        	autoLogin = $('.auto-login>li').eq(array[0]).children('span');
        	return  autoLogin.text();                   
        }
    });
	};
	
	Model.prototype.publishOrderProtocolClick = function(event)
	{
		dlm.goPage("publishOrderProtocol");
	};
	
	Model.prototype.te2 = function(event){
		 $(".release-info-wrap").find(".list-input-05").each(function(){
	    	var _len = $(this).find(".must-input").length;
	    	if(_len=="2"){
	    		var _str = "";
	    		$(this).find(".must-input").each(function(index){
	    			_str += $(this).attr("data-val")+" ";
	    			if($(this).attr("data-val") !== ""){
		    			if(index==1){
		    				_str = _str.substring(0,_str.length-1)
		    				$(this).closest(".list-input-05").find(".sec-input").val(_str);
		    			}
	    			}
	    		});
	    	}else{
	    		var _str = $(this).find(".must-input").attr("data-val");
	    		if( _str !== ""){
	    			$(this).closest(".list-input-05").find(".sec-input").val(_str);
	    		}
	    	}
	    });
	};
	
	Model.prototype.modelLoad = function(event){
		var me = this;
		if (browser.isX5App) {
			if (browser.isIOS) {
	        	me.comp("panel1").setHeight("top", 63);
	        } 
		}
        
        var bottom = me.getElementByXid("bottom1");
        me.comp("panel1").setHeight("bottom", $($(bottom).children(0)).height());
        
        //页面属性初始化，将传过来的值进行初始化赋值
		me.propertyInit(event);
		
		if(me.data1.orderid && me.operationType == "edit"){
        	$("#button-publish").text("确认修改");
        }else if(me.data1.orderid && me.operationType == "detail"){
        	$("#button-publish").hide();
        }
        else if(me.data1.orderid && me.operationType == "republic"){
        	$("#button-publish").text("确认发布");
        }
        
        
		//页面显示初始化
		me.pageShowInit(event);
	};
	
	
	/*Model.prototype.modeActive = function(event){
		var me = this;
		//判断是新建订单还是修改订单
        var currNoPayOrder = dlm.getCache("currNoPayOrder");
        if(currNoPayOrder){
        	console.log("订单更新");
        	//修改订单，此时将显示已创建的未支付订单信息，在此基础上的所有修改都是更新
        	var currNoPayOrderTemp = JSON.parse(currNoPayOrder);
        	me.data1.orderid = currNoPayOrderTemp.orderid;
        }
	};*/
	
	
	Model.prototype.propertyInit = function(event){
		//订单新建
		var me = this;
		me.data1.orderid= this.params.orderid;
    	me.data1.gameid= this.params.gameid;
		me.data1.gamename=this.params.gamename;
		
		//0: 修改未支付订单   1：修改未接手订单   
		me.operationType = this.params.operationType;
	}
	
	Model.prototype.pageShowInit = function (event){
		var me = this;
		var republish = this.params.republish || false;
		if(me.data1.orderid && me.operationType == "edit"){
			//发单管理列表点击编辑->
			dlm.sendRequest({
				"action":"/orderinfo.action",
				"params":{
					"orderid":me.data1.orderid
				},
				"trust":true,
				"success":function(json){
					var info = json.data.info;
					me.data1.gameid=info.gameid;
					me.data1.gamename=info.gamename;
					if (info.gamename == '王者荣耀') {
						$(me.getElementByXid("roleSetting")).hide();
						me.beforeSubmitCheck = function() {
							var orderPrice = $(this.getElementByXid("orderprice")).val() || '0';
							var previousOrderPrice = info.unitprice;
							var pricexs = info.pricexs || 1;
							var standardPrice = Math.ceil(previousOrderPrice / pricexs);
							if (Number(orderPrice) < standardPrice) {
								Alert("价格不得低于原发单价，若修改发单内容，请重新发单");
								return false;
							}
							return true;
						};
					}
					//默认发单渠道
					me.data1.orderorgin = info.orderorgin;
					me.data1.orginuserid = info.orginuserid;
					me.chushihua();
					$(me.getElementByXid("titleH")).text("编辑"+me.data1.gamename);
					if (!republish) {
						var _oneUl = me.getElementByXid("oneUl");
						//$("#button-publish").text("确认修改");
						var _oneUlText = '<li class="list-input-03">'+
										'<div class="list-before">订单编号</div>'+
										'<div class="list-inner"><input type="text" xid="orderid" id="orderid-publish" value="'+me.data1.orderid+'" readonly="readonly" /></div>'+
										'</li>';
						$(_oneUl).append(_oneUlText);
					}
					$("#qu-val").val(info.areaname).attr("data-val",info.areaname);
					$("#fu-val").val(info.servername).attr("data-val",info.servername);
					$(me.getElementByXid("qu_fu")).prev().val(info.areaname + ' ' + info.servername);
					$("#ord-type-val").val(info.dltype).attr("data-val",info.dltype);
					$(me.getElementByXid("ordertype")).prev().val(info.dltype);
					$("#sec_ordertitle").val(info.ordertitle);
					$(me.getElementByXid("orderprice")).val(info.unitprice);
					$("#comTime-val").val(info.requiretime).attr("data-val",info.requiretime+"天");
					$("#paiweijiafen").val(info.paiweijiafen).attr("data-val",info.paiweijiafen);
					$(me.getElementByXid("safeprice")).val(info.safedeposit);
					$(me.getElementByXid("speedprice")).val(info.efficiency);
					$(me.getElementByXid("gameaccount")).val(info.accountvalue);
					$("#gamepwd").val(info.accountpwd);
					$(me.getElementByXid("rolename")).val(info.rolename);
					$(me.getElementByXid("gameremark")).val(info.otherdesc);
					$(me.getElementByXid("orderremark")).val(info.dlcontent);
					$("#badSay-val").val(info.receivecheck).attr("data-val","低于"+info.receivecheck+"条");
					$("#onShelf-val").val(info.closeday).attr("data-val",info.closeday+"天");
					$(me.getElementByXid("tel")).val(info.linktel);
					$(me.getElementByXid("qq")).val(info.qq);
					$(me.getElementByXid("remarkprice")).val(info.price);
					$(me.getElementByXid("remarktitle")).val(info.title);
					$(me.getElementByXid("ordercontent")).val(info.content);
					/*if(me.data1.gamename=='王者荣耀'){
						if(info.autologin==0){
						  $("#autoLogin-val").val(info.autologin).attr("data-val","否").attr("value","0");//是否自动登录
						}
						if(info.autologin==1){
						debugger
						  $("#autoLogin-val").val(info.autologin).attr("data-val","是").attr("value","1");//是否自动登录
						}
						$("#_phone").val(info.autologinphone);//号主手机号
						me.te2();
					}else{
					   $("#autoLogin").hide();
					   $("#owner_phone").hide();
					}*/
					
				}
			});
		}else if(me.data1.orderid && (me.operationType == "detail"||me.operationType == "republic")){
			
			//发单管理列表点击未支付、未接手、已下架的订单详情显示->
			dlm.sendRequest({
				"action":"/orderinfo.action",
				"params":{
					"orderid":me.data1.orderid
				},
				"trust":true,
				"success":function(json){
					var info = json.data.info;
					me.data1.gameid=info.gameid;
					me.data1.gamename=info.gamename;
					if (me.data1.gamename == '王者荣耀') {
						$(me.getElementByXid("roleSetting")).hide();
						me.beforeSubmitCheck = function() {
							var orderPrice = $(this.getElementByXid("orderprice")).val() || '0';
							var previousOrderPrice = info.unitprice;
							var pricexs = info.pricexs || 1;
							var standardPrice = Math.ceil(previousOrderPrice / pricexs);
							if (Number(orderPrice) < standardPrice) {
								Alert("价格不得低于原发单价，若修改发单内容，请重新发单");
								return false;
							}
							return true;
						};
					}
					//默认发单渠道
					me.data1.orderorgin = info.orderorgin;
					me.data1.orginuserid = info.orginuserid;
					me.chushihua();
					$(me.getElementByXid("titleH")).text(me.data1.gamename);
					/*$("#publish_sec_bottom").attr("bind-visible",false);
					me.comp("bottom1").setVisible("bottom", false);*/
					//$("#button-publish").hide();
					
					$("#qu-val").val(info.areaname).attr("data-val",info.areaname);
					$("#fu-val").val(info.servername).attr("data-val",info.servername);
					$(me.getElementByXid("qu_fu")).prev().val(info.areaname + ' ' + info.servername);
					$("#ord-type-val").val(info.dltype).attr("data-val",info.dltype);
					$(me.getElementByXid("ordertype")).prev().val(info.dltype);
					$("#sec_ordertitle").val(info.ordertitle);
					$(me.getElementByXid("orderprice")).val(info.unitprice);
					$("#comTime-val").val(info.requiretime).attr("data-val",info.requiretime+"天");
					$("#paiweijiafen").val(info.paiweijiafen).attr("data-val",info.paiweijiafen);
					$(me.getElementByXid("safeprice")).val(info.safedeposit);
					$(me.getElementByXid("speedprice")).val(info.efficiency);
					$(me.getElementByXid("gameaccount")).val(info.accountvalue);
					$("#gamepwd").val(info.accountpwd);
					$(me.getElementByXid("rolename")).val(info.rolename);
					$(me.getElementByXid("gameremark")).val(info.otherdesc);
					$(me.getElementByXid("orderremark")).val(info.dlcontent);
					$("#badSay-val").val(info.receivecheck).attr("data-val","低于"+info.receivecheck+"条");
					$("#onShelf-val").val(info.closeday).attr("data-val",info.closeday+"天");
					$(me.getElementByXid("tel")).val(info.linktel);
					$(me.getElementByXid("qq")).val(info.qq);
					$(me.getElementByXid("remarkprice")).val(info.price);
					$(me.getElementByXid("remarktitle")).val(info.title);
					$(me.getElementByXid("ordercontent")).val(info.content);
				}
			});
			
		}else{
			$(me.getElementByXid("titleH")).text("发布"+me.data1.gamename);
			
			//增加判断，如果是王者荣耀，就显示自动登录，其它游戏不显示
			if(me.data1.gamename=='王者荣耀'){
				$(me.getElementByXid("roleSetting")).hide();
			}else{
			   $("#autoLogin").hide();
			   $("#owner_phone").hide();
			}
			me.chushihua();
		}
	};
	
	
	return Model;
});