define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dlm = require("$UI/dlapp/js/dlm");
	var Model = function(){
		this.callParent();
	};
	
	Model.prototype.doLoad = function(event)
	{
		
	};
	
	Model.prototype.back = function(event)
	{
		var me = this;
		me.close();
	};
	
	Model.prototype.exchangeClick = function(event)
	{
		var me = this;
		var score =  me.comp("data1").getValue("score");
		dlm.goPage("integralExchange", {score: score, refresh: function(){me.refresh();}});
	};
	
	Model.prototype.exchangeRule = function(event)
	{
		dlm.goPage("addQualityBuyerStep1", {"onlyShow":"true","locationScore":"true"});
	};
	
	Model.prototype.refresh = function(event)
	{
		var me = this;
		me.data1CustomRefresh();
		me.comp("acquisitionPage").refresh();
		me.comp("exchangePage").refresh();
	};
	
	Model.prototype.data1CustomRefresh = function(event)
	{
		var me =  this;
		//请求优质打手信息
		dlm.sendRequest({
			"action" : "/beater/getBeaterUserInfo.action",
			"params" : {},
			"success" : function(json) {
				if (json.result == 1 && json.data) {
					me.comp("data1").loadData([json.data]);
					me.comp("data1").first();
				}
				else {
					Alert(json.data);
				}
			}
		});
	};
	
	Model.prototype.contents1ActiveChange = function(event)
	{
		var me = this;
		$(me.getElementByXid("tabs")).find("span").each(function(index, element){
			if (index == event.to) {
				$(element).addClass("on");
			}
			else {
				$(element).removeClass("on");
			}
		});
	};

	return Model;
});