define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var constant = require("$UI/dlapp/js/constant");
	var dlm = require("$UI/dlapp/js/dlm");
	
	var Model = function(){
		this.callParent();
	};
	
	Model.prototype.integralClick = function(event)
	{
		event.stopPropagation();
		dlm.goPage("integral");
	};
	
	Model.prototype.modelLoad = function(obj) {
		
		var me = this;
		
		var userinfo = dlm.getUserInfo();
		if (userinfo.touaddr) {
			$(me.getElementByXid("profit_headimg")).attr("src", userinfo.touaddr);
		}
		
		
//		$(me.getElementByXid("notice-text")).html(me.params.lastoperation);
		var tempText=me.params.lastoperation;
		$(".notice-content b").text(tempText);
		var tempLength=$(".notice-content b").width();
		var tempLength1=$(".notice-content").width();
		if(tempLength >= tempLength1){
			$(".notice-content b").text("");
			$(".notice-content b").append("<marquee direction='left' behavior='scroll' align='right' contenteditable='true' onstart='this.firstChild.innerHTML+=this.firstChild.innerHTML;' scrollamount='3' scrolldelay='-100' loop='-1' width='auto' height='100%' hspace='10' vspace='10'>"+ tempText +"</marquee>");
		}
		
		
		
		
		
		$(me.getElementByXid("profit_grade_logo")).attr("src", me.params.gradeimg);
		$(me.getElementByXid("profit_grade_name")).text(me.params.gradename);
		$(me.getElementByXid("profit_qf")).html("认证账号："+me.params.auth_qf);
		$(me.getElementByXid("profit_role")).html("角色名称："+me.params.auth_role);
		
		if(me.params.qqnum){
			$(me.getElementByXid("profit_qq")).html("QQ:"+me.params.qqnum);
		}else{
			$(me.getElementByXid("profit_qfzx_li")).attr("class","disab");
		}
		$(me.getElementByXid("profit_ys")).html("自动"+me.params.checktime+"小时");
		
		if(me.params.couponsum == '0'){
			$(me.getElementByXid("profit_ys_li")).attr("class","disab");
		}else{
			$(me.getElementByXid("profit_fq")).html("返券"+me.params.couponsum+"元");
		}
		
		if(me.params.currentgrade < 10){
			$(me.getElementByXid("profit_nqjl_li")).attr("class","disab");
		}
		
		if(me.params.hint_read == '1'){
			
			$(me.getElementByXid("auth-suc-pop_img")).attr("src", me.params.gradeimg);
			$(me.getElementByXid("auth-suc-pop_text")).text("恭喜您！已通过:"+me.params.gradename);
		
			var _html = $(me.getElementByXid("sucpop2")).html();
			layer.open({
			    content: _html,
			    className: 'auth-pop',
			    success:function(){
			    	
					
			    	$(".auth-suc-box a").click(function(){
						layer.closeAll();
					});
			    }
		  	});
			
			dlm.sendRequest({
				"action" : "/beater/updateBeaterHintRead.action",
				"params" : {},
				"success" : function(json) {
				}
			});
		}

		//判断如果在已经提交审核，那么不显示升段按钮
		if (me.params.auth_status == 2 || me.params.currentgrade == 4 ||  me.params.currentgrade == 14) {
			$(me.getElementByXid("button01")).hide();
		}
		
		$(".welfare-box").on("click","li",function(){
			var _index = $(this).index();
			var _html = $(".welfare-detail-pop").html();
			layer.open({
			    content: _html,
			    className: 'welfare-detail',
			    success:function(){
			    	var w=document.documentElement.clientWidth*0.88
		        	$(".layermbox0 .layermchild").css("width",w+"px");
			    	var swiper = new Swiper('.welfare-detail .swiper-container', {
				        pagination: '.welfare-detail .swiper-pagination-banner',
				        slidesPerView: 1,
				        initialSlide :_index,
						autoplayDisableOnInteraction : false,
				        paginationClickable: true,
				        loop: true
				    });
			    	$(".welfare-detail a.btn-closed").click(function(){
						layer.closeAll();
						
					});
			    }
		  	});
	  	});

	}
	
	
	
	
	Model.prototype.back = function(event) {
		this.close();
	};
	
	Model.prototype.goguide = function(event) {
		dlm.goPage("addQualityBuyerStep1", {"onlyShow":"true"});
	};
	
	
	Model.prototype.goadd = function(event) {
		var me =this;
		dlm.goPage("addQualityBuyer",me.params);
	};
	
	Model.prototype.gorecord = function(event) {
		var me =this;
		dlm.goPage("operationRecordList",me.params);
	};

	return Model;
});